Bug 216707 - exp-run: Update lang/gcc from GCC 4.9 to GCC 5
Summary: exp-run: Update lang/gcc from GCC 4.9 to GCC 5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords:
Depends on: 196712 216806 216809 216810 216843
Blocks: 218125
  Show dependency treegraph
 
Reported: 2017-02-01 23:43 UTC by Gerald Pfeifer
Modified: 2017-04-03 13:55 UTC (History)
7 users (show)

See Also:
gerald: merge-quarterly+


Attachments
First version of a proposed patch (33.64 KB, patch)
2017-02-01 23:43 UTC, Gerald Pfeifer
no flags Details | Diff
Slightly revised version of the proposed patch (adding LANG_GCC_IS and adjust to cleanups to lang/gcc* ports) (34.24 KB, patch)
2017-02-03 16:34 UTC, Gerald Pfeifer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2017-02-01 23:43:30 UTC
Created attachment 179503 [details]
First version of a proposed patch

Let's hope this goes easier (and faster) than the update from GCC 4.8 
to 4.9, with fewer broken ports out there, so that we can finally be
on a version of GCC that is before EOL again. :-)
Comment 1 Antoine Brodin freebsd_committer 2017-02-03 13:16:11 UTC
Update of LANG_GCC_IS is missing?
Comment 2 Gerald Pfeifer freebsd_committer 2017-02-03 16:34:59 UTC
Created attachment 179572 [details]
Slightly revised version of the proposed patch (adding LANG_GCC_IS and adjust to cleanups to lang/gcc* ports)

(In reply to Antoine Brodin from comment #1)
> Update of LANG_GCC_IS is missing?

Yes, of course!  Good eyes, Antoine.  I had this hunch something was missing,
but could not realize what it was...
Comment 3 Pedro F. Giffuni freebsd_committer 2017-02-03 17:41:13 UTC
I am unsure if we still use libstdc++ but it may cause trouble on FreeBSD-10 starting with GCC5 since the old clang in base won't support support the new abi thing. My guess the exp-run is especially important on FreeBSD 10.x.

This said, why not jump directly to GCC6 instead of GCC5?
Comment 4 Gerald Pfeifer freebsd_committer 2017-02-03 19:59:08 UTC
(In reply to Pedro F. Giffuni from comment #3)
> This said, why not jump directly to GCC6 instead of GCC5?

In my experience every GCC update runs into a number of broken ports
(usually software not compliant with C or C++ standards or those
"cleverly" using -Werror and then triggering new warnings).  

While going from 4.9 to 6 would not double that number over going to 6,
I guess it would be at least 50% or more above. (See the dependencies in
PR 196712 for how much pain that last update was.)
Comment 5 commit-hook freebsd_committer 2017-02-04 04:19:46 UTC
A commit references this bug:

Author: jbeich
Date: Sat Feb  4 04:16:59 UTC 2017
New revision: 433278
URL: https://svnweb.freebsd.org/changeset/ports/433278

Log:
  net-mgmt/flow-tools: respect CFLAGS and unbreak with gcc5 or later

  ../lib/libft.a(ftfil.o): In function `resolve_primitives':
  ftfil.c:(.text+0x12bb): undefined reference to `eval_match_src_as'
  ftfil.c:(.text+0x13e7): undefined reference to `eval_match_ip_prot'
  ftfil.c:(.text+0x1432): undefined reference to `eval_match_ip_src_prefix_len'
  [...]

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/net-mgmt/flow-tools/Makefile
  head/net-mgmt/flow-tools/files/patch-lib_Makefile.in
  head/net-mgmt/flow-tools/files/patch-src_Makefile.in
Comment 6 commit-hook freebsd_committer 2017-02-04 06:01:10 UTC
A commit references this bug:

Author: jbeich
Date: Sat Feb  4 06:00:42 UTC 2017
New revision: 433280
URL: https://svnweb.freebsd.org/changeset/ports/433280

Log:
  audio/csound: use libc++ and unbreak with gcc5 or later

  $ ldd $(which csound5gui) | fgrep c++
          libc++.so.1 => /usr/lib/libc++.so.1 (0x803309000)
          libstdc++.so.6 => /usr/local/lib/gcc49/libstdc++.so.6 (0x803a22000)

  libcsound64.so.5: undefined reference to `csp_dag_is_finished'
  libcsound64.so.5: undefined reference to `csp_set_count'
  libcsound64.so.5: undefined reference to `csp_set_get_num'
  collect2: error: ld returned 1 exit status

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/audio/csound/Makefile
Comment 7 commit-hook freebsd_committer 2017-02-05 03:30:35 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 03:30:08 UTC 2017
New revision: 433342
URL: https://svnweb.freebsd.org/changeset/ports/433342

Log:
  lang/gcl: use clang and unbreak with gcc5 or later

  ./libpre_gcl.a(num_sfun.o): In function `number_expt':
  num_sfun.c:(.text+0x3d78): undefined reference to `number_fix_iexpt'
  num_sfun.c:(.text+0x4c62): undefined reference to `number_big_iexpt'
  [...]
  ./libpre_gcl.a(alloc.o): In function `alloc_object':
  alloc.c:(.text+0x6c07): undefined reference to `alloc_after_turning_off_sgc'
  alloc.c:(.text+0x76f1): undefined reference to `maybe_reallocate_page'
  [...]

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/lang/gcl/Makefile
Comment 8 commit-hook freebsd_committer 2017-02-05 03:30:37 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 03:30:17 UTC 2017
New revision: 433343
URL: https://svnweb.freebsd.org/changeset/ports/433343

Log:
  net-mgmt/driftnet: use clang and unbreak with gcc5 or later

  driftnet.o: In function `capture_thread':
  src/driftnet.c:89: undefined reference to `packetcapture_dispatch'
  options.o: In function `validate_options':
  src/options.c:178: undefined reference to `get_default_interface'
  media/libmedia.a(media.o): In function `dispatch_image':
  src/media/media.c:47: undefined reference to `get_tmpdir'
  display/libdisplay.a(display.o): In function `pipe_event':
  src/display/display.c:356: undefined reference to `get_tmpdir'
  src/display/display.c:346: undefined reference to `get_tmpdir'
  collect2: error: ld returned 1 exit status

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/net-mgmt/driftnet/Makefile
  head/net-mgmt/driftnet/files/patch-Makefile.am
  head/net-mgmt/driftnet/files/patch-Makefile.in
Comment 9 commit-hook freebsd_committer 2017-02-05 03:31:41 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 03:30:25 UTC 2017
New revision: 433344
URL: https://svnweb.freebsd.org/changeset/ports/433344

Log:
  games/wizznic: use clang and unbreak with gcc5 or later

  board.o: In function `doRules':
  board.c:(.text+0x14b1): undefined reference to `getTicks'
  draw.o: In function `drawPath':
  draw.c:(.text+0x90d): undefined reference to `plotPixel'
  draw.o: In function `draw':
  draw.c:(.text+0x9aa): undefined reference to `setting'
  [...]

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/games/wizznic/Makefile
Comment 10 commit-hook freebsd_committer 2017-02-05 03:31:43 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 03:30:33 UTC 2017
New revision: 433345
URL: https://svnweb.freebsd.org/changeset/ports/433345

Log:
  emulators/raine: partially unbreak with gcc5 or later

  linux-gnu-sdl/object/games/ctribebl.o: In function `ExecuteCombaTribesFrame':
  ctribebl.c:(.text+0x148): undefined reference to `TechnosSoundOld_Frame'
  linux-gnu-sdl/object/68020/a020core.o: In function `L_8_409':
  core.c:(.data+0x35d85): undefined reference to `m68k_do_jsr'
  linux-gnu-sdl/object/68020/a020core.o: In function `op_4e90':
  [...]

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/emulators/raine/Makefile
Comment 11 commit-hook freebsd_committer 2017-02-05 04:04:11 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 04:03:19 UTC 2017
New revision: 433347
URL: https://svnweb.freebsd.org/changeset/ports/433347

Log:
  emulators/skyeye: unbreak with gcc5 or later

  ./arch/mips/libmips.a(decoder.o): In function `decode':
  arch/mips/common/decoder.c:1105: undefined reference to `sign_extend_UInt32'
  ./arch/mips/libmips.a(decoder.o): In function `decode':
  arch/mips/common/decoder.c:240: undefined reference to `divide_UInt32'
  arch/mips/common/decoder.c:231: undefined reference to `divide_Int32'
  arch/mips/common/decoder.c:64: undefined reference to `sign_extend_UInt32'
  collect2: error: ld returned 1 exit status

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/emulators/skyeye/Makefile
Comment 12 commit-hook freebsd_committer 2017-02-05 04:36:39 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 04:36:23 UTC 2017
New revision: 433350
URL: https://svnweb.freebsd.org/changeset/ports/433350

Log:
  sysutils/shim: unbreak with gcc5 or later

  In file included from /usr/local/include/efi/efi.h:35:0,
                   from shim.c:36:
  /usr/local/include/efi/x86_64/efibind.h:88:24: fatal error: stdint.h: No such file or directory

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/sysutils/shim/Makefile
  head/sysutils/shim/files/patch-Makefile
Comment 13 commit-hook freebsd_committer 2017-02-05 07:20:00 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 07:18:56 UTC 2017
New revision: 433376
URL: https://svnweb.freebsd.org/changeset/ports/433376

Log:
  games/super_methane_brothers: use clang and unbreak with gcc5 or later

  sources/misc.cpp:43:65: error: narrowing conversion of '4294967248u' from 'unsigned int' to 'int' inside { } [-Wnarrowing]
   static PARTYOFFS party_0c = {SPR_ENDSPR_1+0x0c,0x0020,0xFFFFFFD0};
                                                                   ^
  sources/misc.cpp:46:65: error: narrowing conversion of '4294967282u' from 'unsigned int' to 'int' inside { } [-Wnarrowing]
   static PARTYOFFS party_0f = {SPR_ENDSPR_1+0x0f,0x005E,0xFFFFFFF2};
                                                                   ^
  sources/misc.cpp:47:65: error: narrowing conversion of '4294967290u' from 'unsigned int' to 'int' inside { } [-Wnarrowing]
   static PARTYOFFS party_10 = {SPR_ENDSPR_1+0x10,0x007E,0xFFFFFFFA};
                                                                   ^
  sources/misc.cpp:48:65: error: narrowing conversion of '4294967289u' from 'unsigned int' to 'int' inside { } [-Wnarrowing]
   static PARTYOFFS party_11 = {SPR_ENDSPR_1+0x11,0x008E,0xFFFFFFF9};
                                                                   ^
  sources/misc.cpp:50:65: error: narrowing conversion of '4294967291u' from 'unsigned int' to 'int' inside { } [-Wnarrowing]
   static PARTYOFFS party_13 = {SPR_ENDSPR_1+0x13,0x00B2,0xFFFFFFFB};
                                                                   ^
  sources/misc.cpp:51:65: error: narrowing conversion of '4294967290u' from 'unsigned int' to 'int' inside { } [-Wnarrowing]
   static PARTYOFFS party_14 = {SPR_ENDSPR_1+0x14,0x00C2,0xFFFFFFFA};
                                                                   ^
  sources/misc.cpp:60:65: error: narrowing conversion of '4294967280u' from 'unsigned int' to 'int' inside { } [-Wnarrowing]
   static PARTYOFFS party_1d = {SPR_ENDSPR_1+0x1d,0x0030,0xFFFFFFF0};
                                                                   ^

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/games/super_methane_brothers/Makefile
  head/games/super_methane_brothers/files/patch-sources_misc.cpp
Comment 14 commit-hook freebsd_committer 2017-02-05 07:52:34 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 07:52:23 UTC 2017
New revision: 433381
URL: https://svnweb.freebsd.org/changeset/ports/433381

Log:
  graphics/bugle: unbreak with gcc5 or later

  budgielib/tables.c: In function '_budgie_dump_TYPE_10GLXPbuffer':
  budgielib/tables.c:31:47: error: expected ')' before 'PRIu0'
       budgie_snprintf_advance(buffer, size, "%" PRIu0, (uint0_t) *value);
                                                 ^
  [...]

  PR:		216707
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/graphics/bugle/files/patch-budgie_tulexer.ll
Comment 15 commit-hook freebsd_committer 2017-02-05 12:34:32 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 12:34:06 UTC 2017
New revision: 433397
URL: https://svnweb.freebsd.org/changeset/ports/433397

Log:
  lang/hugs: unbreak with gcc5 or later

  /tmp/ccbhQWJd.o: In function `__hscore_get_errno':
  PrelIOUtils.c:(.text+0x0): multiple definition of `__hscore_get_errno'
  /tmp/ccbhQWJd.o: In function `__hscore_s_isreg':
  PrelIOUtils.c:(.text+0x40): multiple definition of `__hscore_s_isreg'
  /tmp/ccH45HdH.o:Ptr.c:(.text+0x180): first defined here
  /tmp/ccbhQWJd.o: In function `__hscore_s_isdir':
  PrelIOUtils.c:(.text+0x60): multiple definition of `__hscore_s_isdir'
  /tmp/ccH45HdH.o:Ptr.c:(.text+0x1a0): first defined here
  /tmp/ccbhQWJd.o: In function `__hscore_s_isfifo':
  PrelIOUtils.c:(.text+0x80): multiple definition of `__hscore_s_isfifo'
  [...]

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/lang/hugs/Makefile
Comment 16 commit-hook freebsd_committer 2017-02-05 13:30:22 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 13:30:01 UTC 2017
New revision: 433405
URL: https://svnweb.freebsd.org/changeset/ports/433405

Log:
  audio/smasher: unbreak with gcc5 or later (runtime still broken)

  In file included from /usr/local/lib/gcc5/include/c++/string:52:0,
                   from /usr/local/include/wx-2.8/wx/string.h:176,
                   from /usr/local/include/wx-2.8/wx/memory.h:16,
                   from /usr/local/include/wx-2.8/wx/object.h:20,
                   from /usr/local/include/wx-2.8/wx/event.h:17,
                   from /usr/local/include/wx-2.8/wx/window.h:19,
                   from /usr/local/include/wx-2.8/wx/control.h:23,
                   from /usr/local/include/wx-2.8/wx/checkbox.h:19,
                   from settingsbook.cpp:4:
  /usr/local/lib/gcc5/include/c++/bits/basic_string.h: In instantiation of 'union std::__cxx11::basic_string<wxPoint>::<anonymous>':
  /usr/local/lib/gcc5/include/c++/bits/basic_string.h:119:7:   required from 'class std::__cxx11::basic_string<wxPoint>'
  fxplotwindow.h:12:32:   required from here
  /usr/local/lib/gcc5/include/c++/bits/basic_string.h:121:53: error: member 'wxPoint std::__cxx11::basic_string<wxPoint>::<anonymous union>::_M_local_buf [2]' with constructor not allowed in union
    _CharT           _M_local_buf[_S_local_capacity + 1];
                                                       ^
  /usr/local/lib/gcc5/include/c++/bits/basic_string.h:121:53: note: unrestricted unions only available with -std=c++11 or -std=gnu++11

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/audio/smasher/Makefile
Comment 17 Jan Beich freebsd_committer 2017-02-05 15:33:00 UTC
Hmm, not much bustage thanks to DragonFly dogfooding GCC 5 before us.

(In reply to Pedro F. Giffuni from comment #3)
> why not jump directly to GCC6 instead of GCC5?

Why not GCC 7? exp-runs are slow and often contain false positives. Having more results at once would speed up fixing similar issues en masse using portmgr hatchet^W blanket, a win in the long run. If there're many misoptimizations or compiler crashes we can backtrack to GCC 6 or just temporarily pin those few ports to an older version.

(In reply to Gerald Pfeifer from comment #4)
> I guess it would be at least 50% or more above. (See the dependencies in
> PR 196712 for how much pain that last update was.)

Still peanuts compared to Clang/libc++ updates. ;)
Comment 18 Pedro F. Giffuni freebsd_committer 2017-02-05 16:07:04 UTC
(In reply to Jan Beich (mail not working) from comment #17)
> Hmm, not much bustage thanks to DragonFly dogfooding GCC 5 before us.

:).

> (In reply to Pedro F. Giffuni from comment #3)
>> why not jump directly to GCC6 instead of GCC5?
>
> Why not GCC 7? exp-runs are slow and often contain false positives. Having more
> results at once would speed up fixing similar issues en masse using portmgr 
> hatchet^W blanket, a win in the long run. If there're many misoptimizations or 
> compiler crashes we can backtrack to GCC 6 or just temporarily pin those few 
> ports to an older version.

GCC version bumps are not fun so yes, it would be nicer to be a step ahead.

IMO, the criteria is that GCC 6 is the latest supported version.
GCC 7 is likely to be unstable enough upstream won't do any claims.
Comment 19 Antoine Brodin freebsd_committer 2017-02-06 09:16:51 UTC
New failures on 10.3 i386:

+ {"origin"=>"devel/hs-ncurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/raine", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gle-graphics", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/gprolog", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"lang/yap", "phase"=>"build", "errortype"=>"gcc4_error"}

Failure logs on 10.3 i386:

http://package22.nyi.freebsd.org/data/103i386-default-PR216707/2017-02-06_06h16m01s/logs/errors/hs-ncurses-0.2.15.log
http://package22.nyi.freebsd.org/data/103i386-default-PR216707/2017-02-06_06h16m01s/logs/errors/raine-0.51.9_4.log
http://package22.nyi.freebsd.org/data/103i386-default-PR216707/2017-02-06_06h16m01s/logs/errors/gle-graphics-4.2.4.c_6.log
http://package22.nyi.freebsd.org/data/103i386-default-PR216707/2017-02-06_06h16m01s/logs/errors/gprolog-1.4.4_1.log
http://package22.nyi.freebsd.org/data/103i386-default-PR216707/2017-02-06_06h16m01s/logs/errors/yap-6.2.2_2.log
Comment 20 Antoine Brodin freebsd_committer 2017-02-06 09:18:37 UTC
New failures on 10.3 amd64:

+ {"origin"=>"devel/hs-ncurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/gle-graphics", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/gprolog", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"lang/yap", "phase"=>"build", "errortype"=>"gcc4_error"}

Failure logs on 10.3 amd64:

http://package23.nyi.freebsd.org/data/103amd64-default-PR216707/2017-02-06_06h16m04s/logs/errors/hs-ncurses-0.2.15.log
http://package23.nyi.freebsd.org/data/103amd64-default-PR216707/2017-02-06_06h16m04s/logs/errors/gle-graphics-4.2.4.c_6.log
http://package23.nyi.freebsd.org/data/103amd64-default-PR216707/2017-02-06_06h16m04s/logs/errors/gprolog-1.4.4_1.log
http://package23.nyi.freebsd.org/data/103amd64-default-PR216707/2017-02-06_06h16m04s/logs/errors/yap-6.2.2_2.log
Comment 21 commit-hook freebsd_committer 2017-02-06 10:55:41 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb  6 10:55:32 UTC 2017
New revision: 433484
URL: https://svnweb.freebsd.org/changeset/ports/433484

Log:
  lang/gprolog: pass -O3 to unbreak with gcc5

  gplc -c --fast-math fd2c.pl
  ====>> Killing runaway build after 7200 seconds with no output

  PR:		216707
  Reported by:	antoine (via exp-run)

Changes:
  head/lang/gprolog/Makefile
Comment 22 Gerald Pfeifer freebsd_committer 2017-02-06 13:06:15 UTC
(In reply to commit-hook from comment #21)
> New revision: 433484
> URL: https://svnweb.freebsd.org/changeset/ports/433484
>
> Log:
>  lang/gprolog: pass -O3 to unbreak with gcc5

That's a little surprising.  Usually I would have expected this to be
fixed with a _lower_ optimization level (so -O1), not a higher, more
aggressive one.
Comment 23 Gerald Pfeifer freebsd_committer 2017-02-06 23:01:06 UTC
(In reply to Jan Beich (mail not working) from comment #17)
> Why not GCC 7?

GCC 7 is still in development and its first release (GCC 7.1) is still
a few months out.

> exp-runs are slow and often contain false positives. Having more results 
> at once would speed up fixing similar issues en masse using portmgr
> hatchet^W blanket, a win in the long run. If there're many misoptimizations
> or compiler crashes we can backtrack to GCC 6 or just temporarily pin those
> few ports to an older version.

You've done a great job fixing ports, even while this exp-run still has been
going on.  Without that, things would look quite differently.  THANK YOU!

Looking how close we are towards being ready for the update to GCC 5, versus
what https://gcc.gnu.org/gcc-6/porting_to.html describes in terms of changes,
I really prefer to go for the update "really soon now" as opposed to possibly
having to wait quite a bit longer.  At least we'd then be on a version of GCC
that's not been EOLed.

If you are open to help again, I'd prepare an update to GCC 6 relatively
soon after the update to GCC 5 has gone in.
Comment 24 Jan Beich freebsd_committer 2017-02-07 02:21:09 UTC
(In reply to Gerald Pfeifer from comment #22)
> Usually I would have expected this to be fixed with a _lower_ optimization level (so -O1),

Both -O1 and -O3 fix the hang but -O2 even manages to crash lang/gcc6 on i386.

gplc -c -C '-O2 -pipe  -fstack-protector -Wl,-rpath=/usr/local/lib/gcc6 -fno-strict-aliasing' machine.c
machine.c: In function 'Pl_M_Absolute_Path_Name':
machine.c:763:1: internal compiler error: Segmentation fault
 }
 ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
compilation failed

(In reply to Gerald Pfeifer from comment #23)
> If you are open to help again, I'd prepare an update to GCC 6 relatively
> soon after the update to GCC 5 has gone in.

Yep, CC me. I'd like to drop bug 193528 workarounds and USE_GCC=yes ports unblocked on aarch64 once 6.3.1 is out.
Comment 25 Antoine Brodin freebsd_committer 2017-02-08 16:30:10 UTC
New failures on 11.0 i386:

+ {"origin"=>"devel/hs-ncurses", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/raine", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/yap", "phase"=>"build", "errortype"=>"gcc4_error"}

New failure logs on 11.0 i386:

http://package22.nyi.freebsd.org/data/110i386-default-PR216707/2017-02-08_15h03m54s/logs/errors/hs-ncurses-0.2.15.log
http://package22.nyi.freebsd.org/data/110i386-default-PR216707/2017-02-08_15h03m54s/logs/errors/raine-0.51.9_4.log
http://package22.nyi.freebsd.org/data/110i386-default-PR216707/2017-02-08_15h03m54s/logs/errors/yap-6.2.2_2.log
Comment 26 Antoine Brodin freebsd_committer 2017-02-08 16:31:38 UTC
New failures on 11.0 amd64:

+ {"origin"=>"devel/hs-ncurses", "pkgname"=>"hs-ncurses-0.2.15", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/yap", "pkgname"=>"yap-6.2.2_2", "phase"=>"build", "errortype"=>"gcc4_error"}

New failure logs on 11.0 amd64:

http://package23.nyi.freebsd.org/data/110amd64-default-PR216707/2017-02-08_15h03m49s/logs/errors/hs-ncurses-0.2.15.log
http://package23.nyi.freebsd.org/data/110amd64-default-PR216707/2017-02-08_15h03m49s/logs/errors/yap-6.2.2_2.log
Comment 27 Gleb Popov freebsd_committer 2017-02-08 19:05:19 UTC
(In reply to Antoine Brodin from comment #26)

>{"origin"=>"devel/hs-ncurses", "pkgname"=>"hs-ncurses-0.2.15", "phase"=>"build", "errortype"=>"???"}

FreeBSD Haskell team is unresponsive for about a year. Its IRC channel is silent and there is no activity in GitHub repo.

I think that this problem can be fixed by switching default compiler to base clang, but that would probably require another exp-run.
Comment 28 John Marino freebsd_committer 2017-02-09 02:03:35 UTC
(In reply to Gerald Pfeifer from comment #22)
We've known about gprolog freezing for a long time now.  I was excited to see the -O3 fix.  Alas, it does not work for DragonFly's base gcc 5.4.1.  It's still locking up in the same place.

I was also surprised -O3 would be the silver bullet.
Comment 29 John Marino freebsd_committer 2017-02-09 19:48:59 UTC
It's probably out of scope, but shells/ksh93 doesn't build with gcc5 either.  Since USE_GCC isn't set for this port, nobody sees it.

We see this error if gcc5 is used:
mamake: *** exit code 1 making lib/libast

So it fails to build libast which results in a linking failure much later.

Basically FYI - in theory ports gcc should be able to build most ports but I can understand if nobody wants to investigate further.
Comment 30 John Marino freebsd_committer 2017-02-09 19:57:50 UTC
(In reply to 6yearold from comment #27)
"I think that this problem can be fixed by switching default compiler to base clang, but that would probably require another exp-run."

On what technical basis are recommending a change to base clang?

Secondly, between 400 and 500 ports are involved here, and exactly 1 doesn't build with gcc5.  Switching the compiler base for a single port seems like a drastic first step to me.
Comment 31 John Marino freebsd_committer 2017-02-09 20:02:05 UTC
(In reply to John Marino from comment #29)
Ah, here's the real error on ksh93:
/construction/shells/ksh93/ksh93-20120801_2/src/lib/libast/comp/tmpnam.c
/construction/shells/ksh93/ksh93-20120801_2/src/lib/libast/comp/tmpnam.c: In function 'tmpnam':
/construction/shells/ksh93/ksh93-20120801_2/src/lib/libast/comp/tmpnam.c:48:14: error: storage size of 'buf' isn't known
  static char buf[L_tmpnam];
              ^
/construction/shells/ksh93/ksh93-20120801_2/src/lib/libast/comp/tmpnam.c:50:39: error: expected expression before ',' token
  return pathtemp(s ? s : buf, L_tmpnam, NiL, "tn", NiL);
                                       ^
mamake [lib/libast]: *** exit code 1 making tmpnam.o
Comment 32 John Marino freebsd_committer 2017-02-09 20:05:39 UTC
okay, ksh93 issue caused by new behavior in gcc5's cpp:
https://github.com/att/ast/issues/2

It's been a while since I saw that one manifest.
I'll test the SuSE patch and commit if it seems good.
Comment 33 commit-hook freebsd_committer 2017-02-09 20:30:28 UTC
A commit references this bug:

Author: marino
Date: Thu Feb  9 20:26:22 UTC 2017
New revision: 433771
URL: https://svnweb.freebsd.org/changeset/ports/433771

Log:
  shells/ksh93: Fix build with gcc5

  The ksh93 build process requires the pre-GCC5 CPP newline behavior, which
  the -P argument provides by disabling line markers.  This enables ksh93
  to be built by gcc5 and later.

  Approved by:	GCC blanket
  PR:		216707 (related)

Changes:
  head/shells/ksh93/files/patch-src_cmd_INIT_iffe.sh
Comment 34 John Marino freebsd_committer 2017-02-09 23:10:56 UTC
(In reply to John Marino from comment #28)
To follow up, the dports framework was adding -O2 after this flag was set, changing it back to -O2 again.  I adjusted the framework so that wouldn't happen, and now gprolog builds on DF with -O3.

I still don't really understand why, but I'll take it.
Comment 35 Gleb Popov freebsd_committer 2017-02-10 12:53:36 UTC
(In reply to John Marino from comment #30)

> On what technical basis are recommending a change to base clang?

I did some research and found that it has nothing to do with C compiler used. I put details into the relevant PR.

Would I be in position to decide such things, I'd remove all Haskell development packages from ports altogether and would only left lang/ghc and various haskell applications like stack and xmonad. Our current ports mostly duplicate work done on Haskell ecosystem side. I really doubt that when someone develop using Haskell on FreeBSD, he would really use ports instead of Haskell "native" tools like Cabal and Stack. But this is irrelevant to this PR anyways.
Comment 36 John Marino freebsd_committer 2017-02-10 13:41:25 UTC
(In reply to 6yearold from comment #35)
Your proposal needs to include all CPAN, rubygems, and python ports that fall into the same category, then, no?

Nudge the Haskell team.  They might be quiet but they are still around.  My guess is they didn't set USE_GCC on a lark.
Comment 37 Gleb Popov freebsd_committer 2017-02-10 18:44:57 UTC
(In reply to John Marino from comment #36)

> Your proposal needs to include all CPAN, rubygems, and python ports that fall into the same category, then, no?

I can't say for these languages, as I haven't used them.
When Haskell ports were starting, Haskell package ecosystem was in such state, that you would quickly get into dependencies hell if you install packages globally (read /usr/local). Haskell ports were solving this problem by providing subset of all Haskell packages that are guaranteed to work together. But now 
a) Haskell package manager has "sandbox" feature that allows to easily prepare whatever environment you need.
b) There is ports-like project that releases package sets with known-to-work-together versions.
So now ports are complete duplication of this work.

> Nudge the Haskell team.  They might be quiet but they are still around.

Last post on maillist was October 2015. Last commit in the development repo was on February 2016. IRC channel is silent for 6 months. Even when the team was active, it was only pgj@, so there isn't a team even.
Comment 38 Gerald Pfeifer freebsd_committer 2017-03-18 11:14:00 UTC
portmgr@, this is stuck on a single port for which a patch has been
submitted a month ago, alas haskell@FreeBSD.org seems dead:

  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216843

Can you please help getting this unstuck?
Comment 39 Antoine Brodin freebsd_committer 2017-03-18 11:40:05 UTC
(In reply to Gerald Pfeifer from comment #38)
PR 216843 can be committed with maintainer timeout.
Comment 40 Antoine Brodin freebsd_committer 2017-03-20 06:33:37 UTC
Do not forget to copy files/patch-libc++ from gcc5 to fix the build with libc++ 4.0,  and maybe the patch for aarch64 support too.
Comment 42 Antoine Brodin freebsd_committer 2017-03-21 19:00:05 UTC
Review at https://reviews.freebsd.org/D10081 should fix all devel/hs-c2hs and devel/hs-gtk2hs-buildtools users.
Comment 43 commit-hook freebsd_committer 2017-03-25 20:30:01 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar 25 20:29:14 UTC 2017
New revision: 436914
URL: https://svnweb.freebsd.org/changeset/ports/436914

Log:
  Fixup devel/hs-c2hs and devel/hs-gtk2hs-buildtools to pass -std=c99 to the preprocessor

  The ports using c2hs and gtk2hs fail to build with modern compilers as the c11 features of the FreeBSD system headers are not hidden, yet the tools only understand c99.
  * revert change to devel/hs-ncurses from r436451
  * patch devel/hs-c2hs to pass -std=c99.
  * patch devel/hs-gtk2-buildtools to pass -std=c99.

  This should fix compilation of
  * devel/hs-ncurses
  * dns/hs-gnuidn
  * graphics/hs-cairo
  * x11-toolkits/hs-vte
  * devel/hs-gconf

  PR:		216707
  Reviewed by:	rakuco
  Approved by:	portmgr (antoine)
  Differential Revision:	https://reviews.freebsd.org/D10081

Changes:
  head/devel/hs-c2hs/Makefile
  head/devel/hs-c2hs/files/
  head/devel/hs-c2hs/files/patch-src_C2HS_Config.hs
  head/devel/hs-gtk2hs-buildtools/Makefile
  head/devel/hs-gtk2hs-buildtools/files/patch-c2hs__c__CAST.hs
  head/devel/hs-gtk2hs-buildtools/files/patch-c2hs_toplevel_C2HSConfig.hs
  head/devel/hs-ncurses/Makefile
  head/devel/hs-ncurses/files/
Comment 44 Jan Beich freebsd_committer 2017-04-01 11:57:28 UTC
Can you merge this to 2017Q2? I'd prefer to not worry stuff builds on 4.9.x when doing MFH for security updates.
Comment 45 Gerald Pfeifer freebsd_committer 2017-04-01 13:23:50 UTC
(In reply to Antoine Brodin from comment #40)
> Do not forget to copy files/patch-libc++ from gcc5 to fix the build
> with libc++ 4.0,  and maybe the patch for aarch64 support too.

Yep, files/patch-libc++ has been in my local tree for two months
(exactly two months). :-)

As for aarch64, I plan on taking care of that very quickly after
the original commit.  (It's not a regression, but will be a nice
addition.)
Comment 46 commit-hook freebsd_committer 2017-04-01 15:04:12 UTC
A commit references this bug:

Author: gerald
Date: Sat Apr  1 15:03:22 UTC 2017
New revision: 437437
URL: https://svnweb.freebsd.org/changeset/ports/437437

Log:
  Update lang/gcc and hence the default version of GCC in the Ports
  Collection (requested by USE_GCC=yes and various USES=compiler
  invocations) from GCC 4.9.4 to GCC 5.4.

  files/patch-arm-support and files/patch-gcc_system.h have become
  obsolete.  New patches files/patch-arm-unwind-cxx-support and
  files/patch-libc++ help support arm targets and new libc++ in base.

  ONLY_FOR_ARCHS now also includes arm.

  A new option GRAPHITE_DESC, off by default for now, adds support for
  Graphite loop optimizations.

  Finally, conflicts with other lang/gcc* ports are adjusted suitably.

  In terms of changes for users, this upgrade brings the following:

  The default mode for C is now -std=gnu11 instead of -std=gnu89.
  New warning options -Wc90-c99-compat and -Wc99-c11-compat may
  prove useful on that front.

  The C++ front end now has full C++14 language support including
  C++14 variable templates, C++14 aggregates with non-static data
  member initializers, C++14 extended constexpr, and more.
  The Standard C++ Library (libstdc++) has full C++11 support and
  experimental full C++14 support.  It uses a new ABI by default.

  There have been significant improvements to inter-procedural optimizations
  and link-time optimization such as One Definition Rule based merging of C++
  types as well as register allocation.

  OpenMP 4.0 specification offloading features are now supported by the C,
  C++, and Fortran compilers.  Cilk Plus, an extension to the C and C++
  languages to support data and task parallelism, has been added as well.

  New warning options -Wswitch-bool, -Wlogical-not-parentheses,
  -Wbool-compare and -Wsizeof-array-argument may prove useful as
  may new preprocessor directives __has_include, __has_include_next,
  and __has_attribute.

  GCC can now be built as a shared library for embedding in other processes
  (such as interpreters), suitable for Just-In-Time compilation to machine
  code.  This provides a C API and a C++ wrapper API.

  Many code generation improvements for AArch64, ARM, support for
  AVX-512{BW,DQ,VL,IFMA,VBMI} and Intel MPX on x86-64, and generally
  improvements on many targets.

  The Local Register Allocator (LRA) now contains a rematerialization
  subpass and is able to reuse the PIC hard register on x86/x86-64 to
  improve performance of position independent code.

  https://gcc.gnu.org/gcc-5/changes.html has a more extensive set of
  changes and https://gcc.gnu.org/gcc-5/porting_to.html has a solid
  overview of issue you may encountering porting to this new version.

  PR:             216707, 218125
  Tested by:      antoine (-exp runs)
  Supported by:   jbeich, tcberner, and others

Changes:
  head/Mk/bsd.default-versions.mk
  head/lang/gcc/Makefile
  head/lang/gcc/distinfo
  head/lang/gcc/files/patch-arm-support
  head/lang/gcc/files/patch-arm-unwind-cxx-support
  head/lang/gcc/files/patch-gcc_system.h
  head/lang/gcc/files/patch-libc++
  head/lang/gcc/pkg-descr
  head/lang/gcc/pkg-plist
  head/lang/gcc49/Makefile
  head/lang/gcc5/Makefile
  head/lang/gcc5-devel/Makefile
Comment 47 Gerald Pfeifer freebsd_committer 2017-04-01 15:06:22 UTC
No objections including this in the quarterly branch, though given the
large number of dependent ports (cf. the next commit) may this be a little
intrusive/risky?  

I am not planning to do this myself, though; if for no other reason, then
shortage of time.
Comment 48 commit-hook freebsd_committer 2017-04-01 15:24:32 UTC
A commit references this bug:

Author: gerald
Date: Sat Apr  1 15:23:43 UTC 2017
New revision: 437439
URL: https://svnweb.freebsd.org/changeset/ports/437439

Log:
  Bump PORTREVISIONs for ports depending on the canonical version of GCC and
  lang/gcc which have moved from GCC 4.9.4 to GCC 5.4 (at least under some
  circumstances such as versions of FreeBSD or platforms).

  This includes ports
   - with USE_GCC=yes or USE_GCC=any,
   - with USES=fortran,
   - using using Mk/bsd.octave.mk which in turn has USES=fortran, and
   - with USES=compiler specifying openmp, nestedfct, c++11-lib, c++14-lang,
     c++11-lang, c++0x, c11, or gcc-c++11-lib.

  PR:		216707

Changes:
  head/archivers/kf5-karchive/Makefile
  head/archivers/paq/Makefile
  head/archivers/pxz/Makefile
  head/archivers/py-brotli/Makefile
  head/archivers/rvm/Makefile
  head/astro/geographiclib/Makefile
  head/astro/gpstk/Makefile
  head/astro/kstars/Makefile
  head/astro/libosmium/Makefile
  head/astro/nightfall/Makefile
  head/astro/opencpn/Makefile
  head/astro/qmapshack/Makefile
  head/astro/viking/Makefile
  head/astro/wcslib/Makefile
  head/astro/xtide/Makefile
  head/audio/audacity/Makefile
  head/audio/calf/Makefile
  head/audio/ccaudio2/Makefile
  head/audio/chromaprint/Makefile
  head/audio/codec2/Makefile
  head/audio/csound/Makefile
  head/audio/csound6/Makefile
  head/audio/deadbeef/Makefile
  head/audio/espeak/Makefile
  head/audio/firefly/Makefile
  head/audio/funktrackergold/Makefile
  head/audio/gbsplay/Makefile
  head/audio/gnuspeechsa/Makefile
  head/audio/gogglesmm/Makefile
  head/audio/idjc/Makefile
  head/audio/libsoxr/Makefile
  head/audio/murmur/Makefile
  head/audio/musescore/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/openal-soft/Makefile
  head/audio/openspc/Makefile
  head/audio/pragha/Makefile
  head/audio/pulseaudio/Makefile
  head/audio/py-karaoke/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/qjackctl/Makefile
  head/audio/rosegarden/Makefile
  head/audio/sayonara/Makefile
  head/audio/schism/Makefile
  head/audio/smasher/Makefile
  head/audio/soundkonverter/Makefile
  head/audio/soundtouch/Makefile
  head/audio/spek/Makefile
  head/audio/tomahawk/Makefile
  head/audio/wxguitar/Makefile
  head/audio/xmms-gbsplay/Makefile
  head/benchmarks/himenobench/Makefile
  head/benchmarks/hpl/Makefile
  head/benchmarks/octave-forge-benchmark/Makefile
  head/benchmarks/phoronix-test-suite/Makefile
  head/benchmarks/polygraph/Makefile
  head/biology/bowtie/Makefile
  head/biology/cd-hit/Makefile
  head/biology/crux/Makefile
  head/biology/diamond/Makefile
  head/biology/fasttree/Makefile
  head/biology/jellyfish/Makefile
  head/biology/molden/Makefile
  head/biology/mopac/Makefile
  head/biology/ncbi-blast+/Makefile
  head/biology/plink/Makefile
  head/biology/psi88/Makefile
  head/biology/seqan-apps/Makefile
  head/biology/seqtools/Makefile
  head/biology/ssaha/Makefile
  head/biology/t_coffee/Makefile
  head/biology/tinker/Makefile
  head/cad/NASTRAN-95/Makefile
  head/cad/alliance/Makefile
  head/cad/calculix/Makefile
  head/cad/cura-engine/Makefile
  head/cad/elmerfem/Makefile
  head/cad/feappv/Makefile
  head/cad/freecad/Makefile
  head/cad/freehdl/Makefile
  head/cad/gmsh/Makefile
  head/cad/gspiceui/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/klayout/Makefile
  head/cad/libopencad/Makefile
  head/cad/librecad/Makefile
  head/cad/meshlab/Makefile
  head/cad/opencascade/Makefile
  head/cad/openscad/Makefile
  head/cad/openvsp/Makefile
  head/cad/pdnmesh/Makefile
  head/cad/qelectrotech/Makefile
  head/cad/sceptre/Makefile
  head/cad/scotch/Makefile
  head/cad/stepcode/Makefile
  head/cad/tochnog/Makefile
  head/chinese/ibus-libpinyin/Makefile
  head/chinese/ibus-pinyin/Makefile
  head/chinese/librime/Makefile
  head/chinese/opencc/Makefile
  head/chinese/pyzy/Makefile
  head/comms/aldo/Makefile
  head/comms/dabstick-radio/Makefile
  head/comms/efax-gtk/Makefile
  head/comms/ems-flasher/Makefile
  head/comms/fldigi/Makefile
  head/comms/freedv/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/qt5-serialbus/Makefile
  head/comms/sdr-wspr/Makefile
  head/comms/telldus-core/Makefile
  head/comms/trustedqsl/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/comms/wsjt/Makefile
  head/comms/wsjtx/Makefile
  head/comms/wspr/Makefile
  head/converters/pdf2djvu/Makefile
  head/databases/clickhouse/Makefile
  head/databases/evolution-data-server/Makefile
  head/databases/fastdb/Makefile
  head/databases/galera/Makefile
  head/databases/gigabase/Makefile
  head/databases/gnats4/Makefile
  head/databases/gomdb/Makefile
  head/databases/grass/Makefile
  head/databases/leveldb/Makefile
  head/databases/levigo/Makefile
  head/databases/mariadb-connector-c/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mysql-q4m/Makefile
  head/databases/mysql56-server/Makefile
  head/databases/mysql57-server/Makefile
  head/databases/mysql80-server/Makefile
  head/databases/percona57-server/Makefile
  head/databases/pgadmin3/Makefile
  head/databases/pgmodeler/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/postgresql-plv8js/Makefile
  head/databases/riak2/Makefile
  head/databases/rocksdb/Makefile
  head/databases/sqlitestudio/Makefile
  head/databases/tarantool/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/bijiben/Makefile
  head/deskutils/gnome-documents/Makefile
  head/deskutils/gnome-initial-setup/Makefile
  head/deskutils/gnome-photos/Makefile
  head/deskutils/gnome-todo/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/growl-for-linux/Makefile
  head/deskutils/homerun/Makefile
  head/deskutils/kdeconnect/Makefile
  head/deskutils/owncloudclient/Makefile
  head/deskutils/sliderule/Makefile
  head/deskutils/taskd/Makefile
  head/deskutils/taskwarrior/Makefile
  head/deskutils/treesheets/Makefile
  head/deskutils/xneur/Makefile
  head/devel/aegis/Makefile
  head/devel/android-tools-adb/Makefile
  head/devel/android-tools-fastboot/Makefile
  head/devel/android-tools-simpleperf/Makefile
  head/devel/api-sanity-autotest/Makefile
  head/devel/argdata/Makefile
  head/devel/asmutils/Makefile
  head/devel/atlas-devel/Makefile
  head/devel/aws-sdk-cpp/Makefile
  head/devel/bisoncpp/Makefile
  head/devel/bossa/Makefile
  head/devel/bullet/Makefile
  head/devel/caf/Makefile
  head/devel/ccrtp/Makefile
  head/devel/cctz/Makefile
  head/devel/cheritrace-devel/Makefile
  head/devel/clanlib/Makefile
  head/devel/covtool/Makefile
  head/devel/cppcheck/Makefile
  head/devel/cssc/Makefile
  head/devel/cx_Freeze/Makefile
  head/devel/dbus-c++/Makefile
  head/devel/devhelp/Makefile
  head/devel/dia2code+/Makefile
  head/devel/drpython/Makefile
  head/devel/efivar/Makefile
  head/devel/efl/Makefile
  head/devel/embb/Makefile
  head/devel/eris/Makefile
  head/devel/flatbuffers/Makefile
  head/devel/freeocl/Makefile
  head/devel/gdb66/Makefile
  head/devel/gitg/Makefile
  head/devel/gnu-efi/Makefile
  head/devel/godot/Makefile
  head/devel/grantlee5/Makefile
  head/devel/hhdate/Makefile
  head/devel/hyperscan/Makefile
  head/devel/injeqt/Makefile
  head/devel/ipython/Makefile
  head/devel/jsoncpp/Makefile
  head/devel/jsonnet/Makefile
  head/devel/kBuild/Makefile
  head/devel/kdesvn-kde4/Makefile
  head/devel/kdevelop-kde4/Makefile
  head/devel/kdevelop-pg-qt/Makefile
  head/devel/kdevelop-php/Makefile
  head/devel/kdevelop-php-docs/Makefile
  head/devel/kdevplatform/Makefile
  head/devel/kf5-kauth/Makefile
  head/devel/kf5-kbookmarks/Makefile
  head/devel/kf5-kcmutils/Makefile
  head/devel/kf5-kconfig/Makefile
  head/devel/kf5-kcoreaddons/Makefile
  head/devel/kf5-kcrash/Makefile
  head/devel/kf5-kdbusaddons/Makefile
  head/devel/kf5-kdeclarative/Makefile
  head/devel/kf5-kdoctools/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-ki18n/Makefile
  head/devel/kf5-kidletime/Makefile
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kitemmodels/Makefile
  head/devel/kf5-knewstuff/Makefile
  head/devel/kf5-knotifications/Makefile
  head/devel/kf5-knotifyconfig/Makefile
  head/devel/kf5-kpackage/Makefile
  head/devel/kf5-kparts/Makefile
  head/devel/kf5-kpeople/Makefile
  head/devel/kf5-kpty/Makefile
  head/devel/kf5-kservice/Makefile
  head/devel/kf5-ktexteditor/Makefile
  head/devel/kf5-kunitconversion/Makefile
  head/devel/kf5-solid/Makefile
  head/devel/kf5-threadweaver/Makefile
  head/devel/libbobcat/Makefile
  head/devel/libbrotli/Makefile
  head/devel/libconcurrent/Makefile
  head/devel/libcrossguid/Makefile
  head/devel/libdbusmenu-qt/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libfmt/Makefile
  head/devel/libgit2-glib/Makefile
  head/devel/libgrading/Makefile
  head/devel/libical-glib/Makefile
  head/devel/liblas/Makefile
  head/devel/liblouisxml/Makefile
  head/devel/liblxqt/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/libqtxdg/Makefile
  head/devel/libtuntap/Makefile
  head/devel/libwfut/Makefile
  head/devel/lldb38/Makefile
  head/devel/llvm-cheri/Makefile
  head/devel/llvm-devel/Makefile
  head/devel/llvm34/Makefile
  head/devel/llvm35/Makefile
  head/devel/llvm36/Makefile
  head/devel/llvm38/Makefile
  head/devel/llvm39/Makefile
  head/devel/llvm40/Makefile
  head/devel/lockfree-malloc/Makefile
  head/devel/love/Makefile
  head/devel/mercator/Makefile
  head/devel/msgpack/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/nlohmann-json/Makefile
  head/devel/ocaml-lacaml/Makefile
  head/devel/opendht/Makefile
  head/devel/openmp/Makefile
  head/devel/p5-perlkde/Makefile
  head/devel/papi/Makefile
  head/devel/ponscripter-sekai/Makefile
  head/devel/protobuf/Makefile
  head/devel/pure-stllib/Makefile
  head/devel/pwlib/Makefile
  head/devel/py-llfuse/Makefile
  head/devel/py-llvmlite/Makefile
  head/devel/py-numba/Makefile
  head/devel/py-tables/Makefile
  head/devel/qbs/Makefile
  head/devel/qt5-qmake/Makefile
  head/devel/qtcreator/Makefile
  head/devel/raknet/Makefile
  head/devel/rapidjson/Makefile
  head/devel/re2/Makefile
  head/devel/rhtvision/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdl2pp/Makefile
  head/devel/sfml/Makefile
  head/devel/simgear/Makefile
  head/devel/smv/Makefile
  head/devel/sourcenav/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/tigcc/Makefile
  head/devel/ucommon/Makefile
  head/devel/valgrind/Makefile
  head/devel/valgrind-devel/Makefile
  head/devel/varconf/Makefile
  head/devel/wxformbuilder/Makefile
  head/devel/zeal/Makefile
  head/dns/bundy/Makefile
  head/dns/c-ares/Makefile
  head/dns/dnsdist/Makefile
  head/dns/kf5-kdnssd/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/dns/void-zones-tools/Makefile
  head/dns/yadifa/Makefile
  head/editors/calligra/Makefile
  head/editors/codelite/Makefile
  head/editors/cooledit/Makefile
  head/editors/focuswriter/Makefile
  head/editors/latexila/Makefile
  head/editors/libreoffice/Makefile
  head/editors/libreoffice4/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/p5-Padre/Makefile
  head/editors/poedit/Makefile
  head/editors/scite/Makefile
  head/editors/yzis/Makefile
  head/editors/zile/Makefile
  head/emulators/bochs/Makefile
  head/emulators/catapult/Makefile
  head/emulators/citra/Makefile
  head/emulators/dolphin-emu/Makefile
  head/emulators/fceux/Makefile
  head/emulators/gxemul/Makefile
  head/emulators/higan/Makefile
  head/emulators/mame/Makefile
  head/emulators/mednafen/Makefile
  head/emulators/mupen64plus-rsp-cxd4/Makefile
  head/emulators/openmsx/Makefile
  head/emulators/pearpc/Makefile
  head/emulators/pipelight/Makefile
  head/emulators/ppsspp/Makefile
  head/emulators/raine/Makefile
  head/emulators/riscv-isa-sim/Makefile
  head/emulators/skyeye/Makefile
  head/emulators/snes9x-gtk/Makefile
  head/emulators/stella/Makefile
  head/emulators/wine/Makefile
  head/emulators/wine-devel/Makefile
  head/emulators/wxmupen64plus/Makefile
  head/emulators/x49gp/Makefile
  head/finance/bitcoin-armory/Makefile
  head/finance/gnucash/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/finance/qhacc/Makefile
  head/finance/skrooge/Makefile
  head/french/aster/Makefile
  head/french/eficas/Makefile
  head/french/med/Makefile
  head/ftp/filezilla/Makefile
  head/ftp/libfilezilla/Makefile
  head/games/0ad/Makefile
  head/games/3omns/Makefile
  head/games/adonthell/Makefile
  head/games/alienarena/Makefile
  head/games/asc/Makefile
  head/games/blinkensisters/Makefile
  head/games/braincurses/Makefile
  head/games/bzflag/Makefile
  head/games/cataclysm-dda/Makefile
  head/games/cockatrice/Makefile
  head/games/connectagram/Makefile
  head/games/corsix-th/Makefile
  head/games/craft/Makefile
  head/games/criticalmass/Makefile
  head/games/critterding/Makefile
  head/games/doomsday/Makefile
  head/games/dunelegacy/Makefile
  head/games/dustrac/Makefile
  head/games/easyrpg-player/Makefile
  head/games/eduke32/Makefile
  head/games/el/Makefile
  head/games/ember/Makefile
  head/games/emptyepsilon/Makefile
  head/games/endless-sky/Makefile
  head/games/etracer/Makefile
  head/games/exult/Makefile
  head/games/flightgear/Makefile
  head/games/freecell-solver/Makefile
  head/games/freedink-dfarc/Makefile
  head/games/freeminer/Makefile
  head/games/gnomebreakout/Makefile
  head/games/gnubg/Makefile
  head/games/golly/Makefile
  head/games/gottet/Makefile
  head/games/gtkpool/Makefile
  head/games/hexalate/Makefile
  head/games/hoverboard-sdl/Makefile
  head/games/irrlamb/Makefile
  head/games/liblcf/Makefile
  head/games/libretro-cores/Makefile
  head/games/lordsawar/Makefile
  head/games/lugaru/Makefile
  head/games/megaglest/Makefile
  head/games/mirrormagic/Makefile
  head/games/naev/Makefile
  head/games/openclonk/Makefile
  head/games/openlierox/Makefile
  head/games/openmw/Makefile
  head/games/openomf/Makefile
  head/games/openspades/Makefile
  head/games/opensurge/Makefile
  head/games/openxcom/Makefile
  head/games/openyahtzee/Makefile
  head/games/peg-e/Makefile
  head/games/pingus/Makefile
  head/games/pioneer/Makefile
  head/games/py-mnemosyne/Makefile
  head/games/quackle/Makefile
  head/games/quakeforge/Makefile
  head/games/retroarch/Makefile
  head/games/rubix/Makefile
  head/games/sdl_scavenger/Makefile
  head/games/sdlroids/Makefile
  head/games/shaaft/Makefile
  head/games/simsu/Makefile
  head/games/slade/Makefile
  head/games/solarus/Makefile
  head/games/solarus-quest-editor/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stonesoup/Makefile
  head/games/supertux2/Makefile
  head/games/supertuxkart/Makefile
  head/games/syobon/Makefile
  head/games/tanglet/Makefile
  head/games/tbe/Makefile
  head/games/teeworlds/Makefile
  head/games/tetzle/Makefile
  head/games/traingame/Makefile
  head/games/trenchbroom/Makefile
  head/games/ufoai/Makefile
  head/games/warsow/Makefile
  head/games/warzone2100/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/games/wxlauncher/Makefile
  head/games/wyrmgus/Makefile
  head/games/xbat/Makefile
  head/games/xonotic/Makefile
  head/graphics/GraphicsMagick/Makefile
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick7/Makefile
  head/graphics/OpenEXR/Makefile
  head/graphics/aaphoto/Makefile
  head/graphics/alembic/Makefile
  head/graphics/animorph/Makefile
  head/graphics/argyllcms/Makefile
  head/graphics/aseprite/Makefile
  head/graphics/blender/Makefile
  head/graphics/bugle/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cegui/Makefile
  head/graphics/cimg/Makefile
  head/graphics/code-eli/Makefile
  head/graphics/colmap/Makefile
  head/graphics/converseen/Makefile
  head/graphics/copperspice/Makefile
  head/graphics/darktable/Makefile
  head/graphics/dataplot/Makefile
  head/graphics/dcp2icc/Makefile
  head/graphics/delaboratory/Makefile
  head/graphics/dilay/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evince/Makefile
  head/graphics/freeimage/Makefile
  head/graphics/geomorph/Makefile
  head/graphics/gimp-beautify-plugin/Makefile
  head/graphics/gimp-gmic-plugin/Makefile
  head/graphics/gimp-refocus-plugin/Makefile
  head/graphics/gimp-resynthesizer/Makefile
  head/graphics/gle-graphics/Makefile
  head/graphics/gource/Makefile
  head/graphics/gthumb/Makefile
  head/graphics/gtimelapse/Makefile
  head/graphics/guetzli/Makefile
  head/graphics/hiptext/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/ipe/Makefile
  head/graphics/jogamp-jogl/Makefile
  head/graphics/kf5-kimageformats/Makefile
  head/graphics/kf5-kplotting/Makefile
  head/graphics/kf5-prison/Makefile
  head/graphics/libbpg/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libraw/Makefile
  head/graphics/lightzone/Makefile
  head/graphics/lximage-qt/Makefile
  head/graphics/mahotas/Makefile
  head/graphics/makehuman/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/mhgui/Makefile
  head/graphics/mupdf/Makefile
  head/graphics/mypaint/Makefile
  head/graphics/nurbs++/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/oyranos/Makefile
  head/graphics/p5-PGPLOT/Makefile
  head/graphics/pfstmo/Makefile
  head/graphics/pgplot/Makefile
  head/graphics/photivo/Makefile
  head/graphics/piglit/Makefile
  head/graphics/pixie/Makefile
  head/graphics/py-gdal/Makefile
  head/graphics/qgis/Makefile
  head/graphics/raster3d/Makefile
  head/graphics/rawtherapee/Makefile
  head/graphics/rawtherapee-devel/Makefile
  head/graphics/seexpr/Makefile
  head/graphics/sekrit-twc-zimg/Makefile
  head/graphics/shotwell/Makefile
  head/graphics/simpleviewer/Makefile
  head/graphics/tesseract/Makefile
  head/graphics/tiled/Makefile
  head/graphics/tulip/Makefile
  head/graphics/vapoursynth-waifu2x-w2xc/Makefile
  head/graphics/vigra/Makefile
  head/graphics/waffle/Makefile
  head/graphics/waifu2x-converter-cpp/Makefile
  head/graphics/webp/Makefile
  head/graphics/wxsvg/Makefile
  head/graphics/xd3d/Makefile
  head/graphics/zathura/Makefile
  head/graphics/zathura-cb/Makefile
  head/graphics/zathura-djvu/Makefile
  head/graphics/zathura-pdf-mupdf/Makefile
  head/graphics/zathura-pdf-poppler/Makefile
  head/graphics/zathura-ps/Makefile
  head/irc/ezbounce/Makefile
  head/irc/ircd-ratbox/Makefile
  head/irc/ircservices/Makefile
  head/irc/quassel/Makefile
  head/irc/znc/Makefile
  head/japanese/fcitx-skk/Makefile
  head/japanese/mozc-server/Makefile
  head/japanese/skkinput3/Makefile
  head/japanese/xtr/Makefile
  head/java/classpath/Makefile
  head/java/intellij-fsnotifier/Makefile
  head/java/sigar/Makefile
  head/lang/afnix/Makefile
  head/lang/angelscript/Makefile
  head/lang/bigloo/Makefile
  head/lang/cilkplus/Makefile
  head/lang/cint/Makefile
  head/lang/cjs/Makefile
  head/lang/clang34/Makefile
  head/lang/clang35/Makefile
  head/lang/clang36/Makefile
  head/lang/cling/Makefile
  head/lang/erlang-runtime15/Makefile
  head/lang/erlang-runtime16/Makefile
  head/lang/erlang-runtime17/Makefile
  head/lang/erlang-runtime18/Makefile
  head/lang/gambit-c/Makefile
  head/lang/gcc6/Makefile
  head/lang/gcc6-devel/Makefile
  head/lang/gcc7-devel/Makefile
  head/lang/gforth/Makefile
  head/lang/ghc/Makefile
  head/lang/gjs/Makefile
  head/lang/gprolog/Makefile
  head/lang/hugs/Makefile
  head/lang/icon/Makefile
  head/lang/io/Makefile
  head/lang/julia/Makefile
  head/lang/kf5-kross/Makefile
  head/lang/mlton/Makefile
  head/lang/modula3/Makefile
  head/lang/mono/Makefile
  head/lang/oo2c/Makefile
  head/lang/opencoarrays/Makefile
  head/lang/p5-ExtUtils-F77/Makefile
  head/lang/phantomjs/Makefile
  head/lang/pure/Makefile
  head/lang/qscheme/Makefile
  head/lang/ratfor/Makefile
  head/lang/sagittarius-scheme/Makefile
  head/lang/scm/Makefile
  head/lang/spidermonkey170/Makefile
  head/lang/spidermonkey24/Makefile
  head/lang/v8/Makefile
  head/lang/v8-devel/Makefile
  head/lang/x10/Makefile
  head/lang/yap/Makefile
  head/lang/yap-devel/Makefile
  head/lang/ypsilon/Makefile
  head/mail/annoyance-filter/Makefile
  head/mail/dovecot2-pigeonhole/Makefile
  head/mail/libmapi/Makefile
  head/mail/libvmime/Makefile
  head/mail/milter-callback/Makefile
  head/mail/pop3vscan/Makefile
  head/mail/spamdyke/Makefile
  head/mail/spamprobe/Makefile
  head/mail/trojita/Makefile
  head/math/R/Makefile
  head/math/algae/Makefile
  head/math/armadillo/Makefile
  head/math/arpack/Makefile
  head/math/arpack-ng/Makefile
  head/math/aspcud/Makefile
  head/math/atlas/Makefile
  head/math/blacs/Makefile
  head/math/blocksolve95/Makefile
  head/math/cadabra2/Makefile
  head/math/cantor/Makefile
  head/math/carve/Makefile
  head/math/cblas/Makefile
  head/math/ceres-solver/Makefile
  head/math/clp/Makefile
  head/math/cmlib/Makefile
  head/math/cryptominisat/Makefile
  head/math/cvc3/Makefile
  head/math/drgeo/Makefile
  head/math/dynare/Makefile
  head/math/eispack/Makefile
  head/math/fflas-ffpack/Makefile
  head/math/fftw/Makefile
  head/math/fftw3/Makefile
  head/math/fityk/Makefile
  head/math/freemat/Makefile
  head/math/gambit/Makefile
  head/math/giacxcas/Makefile
  head/math/gotoblas/Makefile
  head/math/gracetmpl/Makefile
  head/math/gretl/Makefile
  head/math/gringo/Makefile
  head/math/hfst/Makefile
  head/math/ipopt/Makefile
  head/math/ised/Makefile
  head/math/jags/Makefile
  head/math/kig/Makefile
  head/math/kktdirect/Makefile
  head/math/labplot/Makefile
  head/math/lapack/Makefile
  head/math/lapack++/Makefile
  head/math/lapack95/Makefile
  head/math/levmar/Makefile
  head/math/libRmath/Makefile
  head/math/librsb/Makefile
  head/math/libtsnnls/Makefile
  head/math/linpack/Makefile
  head/math/math77/Makefile
  head/math/metis/Makefile
  head/math/miracl/Makefile
  head/math/mosesdecoder/Makefile
  head/math/mumps/Makefile
  head/math/octave/Makefile
  head/math/octave-forge-actuarial/Makefile
  head/math/octave-forge-audio/Makefile
  head/math/octave-forge-bim/Makefile
  head/math/octave-forge-bioinfo/Makefile
  head/math/octave-forge-cgi/Makefile
  head/math/octave-forge-civil-engineering/Makefile
  head/math/octave-forge-communications/Makefile
  head/math/octave-forge-control/Makefile
  head/math/octave-forge-data-smoothing/Makefile
  head/math/octave-forge-database/Makefile
  head/math/octave-forge-dataframe/Makefile
  head/math/octave-forge-divand/Makefile
  head/math/octave-forge-doctest/Makefile
  head/math/octave-forge-econometrics/Makefile
  head/math/octave-forge-engine/Makefile
  head/math/octave-forge-fenv/Makefile
  head/math/octave-forge-financial/Makefile
  head/math/octave-forge-fits/Makefile
  head/math/octave-forge-fl-core/Makefile
  head/math/octave-forge-fpl/Makefile
  head/math/octave-forge-fuzzy-logic-toolkit/Makefile
  head/math/octave-forge-ga/Makefile
  head/math/octave-forge-general/Makefile
  head/math/octave-forge-generate_html/Makefile
  head/math/octave-forge-geometry/Makefile
  head/math/octave-forge-gnuplot/Makefile
  head/math/octave-forge-gsl/Makefile
  head/math/octave-forge-ident/Makefile
  head/math/octave-forge-image/Makefile
  head/math/octave-forge-informationtheory/Makefile
  head/math/octave-forge-integration/Makefile
  head/math/octave-forge-interval/Makefile
  head/math/octave-forge-io/Makefile
  head/math/octave-forge-irsa/Makefile
  head/math/octave-forge-level-set/Makefile
  head/math/octave-forge-linear-algebra/Makefile
  head/math/octave-forge-lssa/Makefile
  head/math/octave-forge-ltfat/Makefile
  head/math/octave-forge-mapping/Makefile
  head/math/octave-forge-mechanics/Makefile
  head/math/octave-forge-miscellaneous/Makefile
  head/math/octave-forge-missing-functions/Makefile
  head/math/octave-forge-msh/Makefile
  head/math/octave-forge-multicore/Makefile
  head/math/octave-forge-mvn/Makefile
  head/math/octave-forge-nan/Makefile
  head/math/octave-forge-ncarray/Makefile
  head/math/octave-forge-netcdf/Makefile
  head/math/octave-forge-nlwing2/Makefile
  head/math/octave-forge-nnet/Makefile
  head/math/octave-forge-nurbs/Makefile
  head/math/octave-forge-ocs/Makefile
  head/math/octave-forge-oct2mat/Makefile
  head/math/octave-forge-octcdf/Makefile
  head/math/octave-forge-octclip/Makefile
  head/math/octave-forge-octproj/Makefile
  head/math/octave-forge-odebvp/Makefile
  head/math/octave-forge-odepkg/Makefile
  head/math/octave-forge-optics/Makefile
  head/math/octave-forge-optim/Makefile
  head/math/octave-forge-optiminterp/Makefile
  head/math/octave-forge-outliers/Makefile
  head/math/octave-forge-parallel/Makefile
  head/math/octave-forge-pdb/Makefile
  head/math/octave-forge-plot/Makefile
  head/math/octave-forge-pt_br/Makefile
  head/math/octave-forge-quaternion/Makefile
  head/math/octave-forge-queueing/Makefile
  head/math/octave-forge-secs1d/Makefile
  head/math/octave-forge-secs2d/Makefile
  head/math/octave-forge-secs3d/Makefile
  head/math/octave-forge-signal/Makefile
  head/math/octave-forge-simp/Makefile
  head/math/octave-forge-sockets/Makefile
  head/math/octave-forge-sparsersb/Makefile
  head/math/octave-forge-specfun/Makefile
  head/math/octave-forge-special-matrix/Makefile
  head/math/octave-forge-splines/Makefile
  head/math/octave-forge-statistics/Makefile
  head/math/octave-forge-stk/Makefile
  head/math/octave-forge-strings/Makefile
  head/math/octave-forge-struct/Makefile
  head/math/octave-forge-symband/Makefile
  head/math/octave-forge-symbolic/Makefile
  head/math/octave-forge-tcl-octave/Makefile
  head/math/octave-forge-tisean/Makefile
  head/math/octave-forge-tsa/Makefile
  head/math/octave-forge-video/Makefile
  head/math/octave-forge-zenity/Makefile
  head/math/octave-forge-zeromq/Makefile
  head/math/openblas/Makefile
  head/math/openfst/Makefile
  head/math/opensolaris-libm/Makefile
  head/math/p5-Math-Int128/Makefile
  head/math/pdal/Makefile
  head/math/plplot/Makefile
  head/math/py-cryptominisat/Makefile
  head/math/py-matplotlib/Makefile
  head/math/py-numpy/Makefile
  head/math/py-pysparse/Makefile
  head/math/py-symeig/Makefile
  head/math/py-theano/Makefile
  head/math/qalculate/Makefile
  head/math/qd/Makefile
  head/math/qrupdate/Makefile
  head/math/rkward-kde4/Makefile
  head/math/rpy2/Makefile
  head/math/saga/Makefile
  head/math/scalapack/Makefile
  head/math/scilab/Makefile
  head/math/sdpa/Makefile
  head/math/sdpara/Makefile
  head/math/sfft/Makefile
  head/math/slatec/Makefile
  head/math/spblas/Makefile
  head/math/suitesparse/Makefile
  head/math/superlu/Makefile
  head/math/superlu_mt/Makefile
  head/math/taucs/Makefile
  head/math/tomsfastmath/Makefile
  head/math/trlan/Makefile
  head/math/vowpal_wabbit/Makefile
  head/math/wfmath/Makefile
  head/math/x12arima/Makefile
  head/math/yacas/Makefile
  head/misc/estic/Makefile
  head/misc/rump/Makefile
  head/misc/seabios/Makefile
  head/misc/terraform/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/assimp/Makefile
  head/multimedia/audacious/Makefile
  head/multimedia/audacious-gtk3/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/audacious-plugins-gtk3/Makefile
  head/multimedia/baka-mplayer/Makefile
  head/multimedia/bombono/Makefile
  head/multimedia/dvdstyler/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpegthumbnailer/Makefile
  head/multimedia/ffms2/Makefile
  head/multimedia/gstreamer1-vaapi/Makefile
  head/multimedia/kf5-kmediaplayer/Makefile
  head/multimedia/kissdx/Makefile
  head/multimedia/kodi/Makefile
  head/multimedia/kvazaar/Makefile
  head/multimedia/libcec/Makefile
  head/multimedia/libde265/Makefile
  head/multimedia/libva-intel-driver/Makefile
  head/multimedia/libvpx/Makefile
  head/multimedia/lives/Makefile
  head/multimedia/mjpegtools/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/mpc-qt/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/obs-studio/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/pHash/Makefile
  head/multimedia/rage/Makefile
  head/multimedia/vapoursynth/Makefile
  head/multimedia/vdr/Makefile
  head/multimedia/vdr-plugin-softhddevice/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/x264/Makefile
  head/multimedia/xanim/Makefile
  head/net/belle-sip/Makefile
  head/net/corosync/Makefile
  head/net/freerdp/Makefile
  head/net/freerdp1/Makefile
  head/net/glusterfs/Makefile
  head/net/gnome-online-accounts/Makefile
  head/net/gupnp/Makefile
  head/net/iaxmodem/Makefile
  head/net/ipxe/Makefile
  head/net/kea/Makefile
  head/net/kf5-kxmlrpcclient/Makefile
  head/net/l2tpd/Makefile
  head/net/libtnl/Makefile
  head/net/mediatomb/Makefile
  head/net/mpich/Makefile
  head/net/mpich2/Makefile
  head/net/ndisc6/Makefile
  head/net/ndpi/Makefile
  head/net/nepenthes/Makefile
  head/net/ohphone/Makefile
  head/net/openbsc/Makefile
  head/net/openh323/Makefile
  head/net/openmpi/Makefile
  head/net/openmpi2/Makefile
  head/net/opensips/Makefile
  head/net/pacemaker/Makefile
  head/net/quagga/Makefile
  head/net/skstream/Makefile
  head/net/spoofer/Makefile
  head/net/uget/Makefile
  head/net/xpvm/Makefile
  head/net/yami4/Makefile
  head/net/zerotier/Makefile
  head/net-im/diligent/Makefile
  head/net-im/jabberd/Makefile
  head/net-im/ktp-common-internals/Makefile
  head/net-im/ktp-text-ui/Makefile
  head/net-im/libaccounts-qt5/Makefile
  head/net-im/qTox/Makefile
  head/net-im/ricochet/Makefile
  head/net-im/ring-daemon/Makefile
  head/net-im/ring-gnome/Makefile
  head/net-im/ring-libclient/Makefile
  head/net-im/teamwords/Makefile
  head/net-im/telegram-purple/Makefile
  head/net-im/tox/Makefile
  head/net-im/uTox/Makefile
  head/net-mgmt/chillispot/Makefile
  head/net-mgmt/mk-livestatus/Makefile
  head/net-mgmt/resource-agents/Makefile
  head/net-mgmt/seafile-gui/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/cpuminer/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/go-ethereum/Makefile
  head/net-p2p/libtorrent/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/rtorrent/Makefile
  head/net-p2p/transmission-qt4/Makefile
  head/net-p2p/zetacoin/Makefile
  head/news/nzbget/Makefile
  head/palm/jpilot/Makefile
  head/polish/kadu/Makefile
  head/polish/qnapi/Makefile
  head/ports-mgmt/octopkg/Makefile
  head/ports-mgmt/portal/Makefile
  head/ports-mgmt/portrac/Makefile
  head/print/cups-filters/Makefile
  head/print/gribouy/Makefile
  head/print/harfbuzz/Makefile
  head/print/libmspub01/Makefile
  head/print/pdftk/Makefile
  head/science/cdf/Makefile
  head/science/cgnslib/Makefile
  head/science/clhep/Makefile
  head/science/dcl/Makefile
  head/science/dlpoly-classic/Makefile
  head/science/fvcom/Makefile
  head/science/fvm/Makefile
  head/science/getdp/Makefile
  head/science/ghemical/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/gromacs/Makefile
  head/science/harminv/Makefile
  head/science/hdf/Makefile
  head/science/hdf5/Makefile
  head/science/hdf5-18/Makefile
  head/science/isaac-cfd/Makefile
  head/science/libctl/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libghemical/Makefile
  head/science/libint/Makefile
  head/science/libxc/Makefile
  head/science/massxpert/Makefile
  head/science/mbdyn/Makefile
  head/science/meep/Makefile
  head/science/mpb/Makefile
  head/science/mpqc/Makefile
  head/science/ncs/Makefile
  head/science/netcdf-fortran/Makefile
  head/science/openkim/Makefile
  head/science/pnetcdf/Makefile
  head/science/psychopy/Makefile
  head/science/py-obspy/Makefile
  head/science/py-scikit-learn/Makefile
  head/science/py-scikit-sparse/Makefile
  head/science/py-scipy/Makefile
  head/science/silo/Makefile
  head/science/v_sim/Makefile
  head/security/arpCounterattack/Makefile
  head/security/bearssl/Makefile
  head/security/bro/Makefile
  head/security/certificate-transparency/Makefile
  head/security/clamav/Makefile
  head/security/clambc/Makefile
  head/security/cryptopp/Makefile
  head/security/gnome-keyring/Makefile
  head/security/gnupg/Makefile
  head/security/gpgme/Makefile
  head/security/hashcat-legacy/Makefile
  head/security/hpenc/Makefile
  head/security/i2pd/Makefile
  head/security/john/Makefile
  head/security/keepassx-devel/Makefile
  head/security/keepassxc/Makefile
  head/security/kf5-kdesu/Makefile
  head/security/libzrtpcppcore/Makefile
  head/security/obfsclient/Makefile
  head/security/pinentry/Makefile
  head/security/pks/Makefile
  head/security/quantis/Makefile
  head/security/seccure/Makefile
  head/security/titus/Makefile
  head/sysutils/android-file-transfer/Makefile
  head/sysutils/b2sum/Makefile
  head/sysutils/bsdisks/Makefile
  head/sysutils/clone/Makefile
  head/sysutils/cloudabi-utils/Makefile
  head/sysutils/conky/Makefile
  head/sysutils/dar/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/fusefs-encfs/Makefile
  head/sysutils/fusefs-lkl/Makefile
  head/sysutils/fusefs-simple-mtpfs/Makefile
  head/sysutils/gnome-control-center/Makefile
  head/sysutils/grub2/Makefile
  head/sysutils/grub2-bhyve/Makefile
  head/sysutils/grub2-efi/Makefile
  head/sysutils/grub2-pcbsd/Makefile
  head/sysutils/hfm/Makefile
  head/sysutils/i7z/Makefile
  head/sysutils/ipdbtools/Makefile
  head/sysutils/kf5-baloo/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/kshutdown-kde4/Makefile
  head/sysutils/libretto-config/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/mate-system-monitor/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/parafly/Makefile
  head/sysutils/pesign/Makefile
  head/sysutils/polkit/Makefile
  head/sysutils/powerdxx/Makefile
  head/sysutils/shim/Makefile
  head/sysutils/spiped/Makefile
  head/sysutils/tarsnap-gui/Makefile
  head/sysutils/wiimms/Makefile
  head/textproc/ctpp2/Makefile
  head/textproc/fcitx-qt5/Makefile
  head/textproc/gutenmark/Makefile
  head/textproc/highlight/Makefile
  head/textproc/ibus/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kf5-kcodecs/Makefile
  head/textproc/kf5-sonnet/Makefile
  head/textproc/kf5-syntax-highlighting/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libsass/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/opengrm-ngram/Makefile
  head/textproc/pdfgrep/Makefile
  head/textproc/pugixml/Makefile
  head/textproc/randlm/Makefile
  head/textproc/sassc/Makefile
  head/textproc/senna/Makefile
  head/textproc/sigil/Makefile
  head/textproc/uim-kde4/Makefile
  head/textproc/wiggle/Makefile
  head/textproc/yodl/Makefile
  head/textproc/zorba/Makefile
  head/www/anyterm/Makefile
  head/www/aria2/Makefile
  head/www/edbrowse/Makefile
  head/www/epiphany/Makefile
  head/www/gecko-mediaplayer/Makefile
  head/www/h2o/Makefile
  head/www/hiawatha/Makefile
  head/www/kannel/Makefile
  head/www/kannel-sqlbox/Makefile
  head/www/kf5-kdewebkit/Makefile
  head/www/kf5-khtml/Makefile
  head/www/kf5-kjs/Makefile
  head/www/kf5-kjsembed/Makefile
  head/www/mod_authnz_crowd/Makefile
  head/www/mod_spdy/Makefile
  head/www/newsbeuter/Makefile
  head/www/nghttp2/Makefile
  head/www/node/Makefile
  head/www/node4/Makefile
  head/www/node6/Makefile
  head/www/otter-browser/Makefile
  head/www/p5-Gtk2-WebKit/Makefile
  head/www/rejik/Makefile
  head/www/spdylay/Makefile
  head/www/squid-devel/Makefile
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
  head/www/webkit2-gtk3/Makefile
  head/www/wt/Makefile
  head/x11/cinnamon/Makefile
  head/x11/cool-retro-term/Makefile
  head/x11/eaglemode/Makefile
  head/x11/gnome-shell/Makefile
  head/x11/kactivities/Makefile
  head/x11/kactivitymanagerd/Makefile
  head/x11/kde4-workspace/Makefile
  head/x11/kf5-frameworkintegration/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kded/Makefile
  head/x11/kf5-kdelibs4support/Makefile
  head/x11/kf5-kglobalaccel/Makefile
  head/x11/kf5-kinit/Makefile
  head/x11/kf5-krunner/Makefile
  head/x11/kf5-kwayland/Makefile
  head/x11/kf5-kwindowsystem/Makefile
  head/x11/kf5-plasma-framework/Makefile
  head/x11/lemonbar/Makefile
  head/x11/libfm-qt/Makefile
  head/x11/qterminal/Makefile
  head/x11/terminology/Makefile
  head/x11/thingylaunch/Makefile
  head/x11/virtualgl/Makefile
  head/x11/xpra/Makefile
  head/x11-fm/gnome-commander2/Makefile
  head/x11-fm/pcmanfm-qt/Makefile
  head/x11-fm/wcmcommander/Makefile
  head/x11-fm/worker/Makefile
  head/x11-themes/adwaita-qt4/Makefile
  head/x11-themes/adwaita-qt5/Makefile
  head/x11-themes/kf5-kemoticons/Makefile
  head/x11-themes/kf5-kiconthemes/Makefile
  head/x11-themes/qt4-style-Kvantum/Makefile
  head/x11-themes/qt5-style-Kvantum/Makefile
  head/x11-themes/qtcurve/Makefile
  head/x11-toolkits/c++-gtk-utils/Makefile
  head/x11-toolkits/fox17/Makefile
  head/x11-toolkits/kf5-attica/Makefile
  head/x11-toolkits/kf5-kcompletion/Makefile
  head/x11-toolkits/kf5-kconfigwidgets/Makefile
  head/x11-toolkits/kf5-kdesignerplugin/Makefile
  head/x11-toolkits/kf5-kguiaddons/Makefile
  head/x11-toolkits/kf5-kitemviews/Makefile
  head/x11-toolkits/kf5-kjobwidgets/Makefile
  head/x11-toolkits/kf5-ktextwidgets/Makefile
  head/x11-toolkits/kf5-kwidgetsaddons/Makefile
  head/x11-toolkits/kf5-kxmlgui/Makefile
  head/x11-toolkits/kirigami/Makefile
  head/x11-toolkits/kirigami2/Makefile
  head/x11-toolkits/mygui/Makefile
  head/x11-toolkits/p5-Wx/Makefile
  head/x11-toolkits/py-wxPython30/Makefile
  head/x11-toolkits/qtermwidget/Makefile
  head/x11-toolkits/scintilla/Makefile
  head/x11-toolkits/vte3/Makefile
  head/x11-toolkits/wxgtk30/Makefile
  head/x11-wm/herbstluftwm/Makefile
  head/x11-wm/metacity/Makefile
  head/x11-wm/mutter/Makefile
Comment 49 commit-hook freebsd_committer 2017-04-02 09:09:21 UTC
A commit references this bug:

Author: jbeich
Date: Sun Apr  2 09:09:00 UTC 2017
New revision: 437538
URL: https://svnweb.freebsd.org/changeset/ports/437538

Log:
  MFH: r437435 r437437 r437439 r437475 by gerald

  Remove files/patch-armv6-hf-support since armv6hf no longer exists as
  an arch.

  Reported by:	andreast

  Update lang/gcc and hence the default version of GCC in the Ports
  Collection (requested by USE_GCC=yes and various USES=compiler
  invocations) from GCC 4.9.4 to GCC 5.4.

  files/patch-arm-support and files/patch-gcc_system.h have become
  obsolete.  New patches files/patch-arm-unwind-cxx-support and
  files/patch-libc++ help support arm targets and new libc++ in base.

  ONLY_FOR_ARCHS now also includes arm.

  A new option GRAPHITE_DESC, off by default for now, adds support for
  Graphite loop optimizations.

  Finally, conflicts with other lang/gcc* ports are adjusted suitably.

  In terms of changes for users, this upgrade brings the following:

  The default mode for C is now -std=gnu11 instead of -std=gnu89.
  New warning options -Wc90-c99-compat and -Wc99-c11-compat may
  prove useful on that front.

  The C++ front end now has full C++14 language support including
  C++14 variable templates, C++14 aggregates with non-static data
  member initializers, C++14 extended constexpr, and more.
  The Standard C++ Library (libstdc++) has full C++11 support and
  experimental full C++14 support.  It uses a new ABI by default.

  There have been significant improvements to inter-procedural optimizations
  and link-time optimization such as One Definition Rule based merging of C++
  types as well as register allocation.

  OpenMP 4.0 specification offloading features are now supported by the C,
  C++, and Fortran compilers.  Cilk Plus, an extension to the C and C++
  languages to support data and task parallelism, has been added as well.

  New warning options -Wswitch-bool, -Wlogical-not-parentheses,
  -Wbool-compare and -Wsizeof-array-argument may prove useful as
  may new preprocessor directives __has_include, __has_include_next,
  and __has_attribute.

  GCC can now be built as a shared library for embedding in other processes
  (such as interpreters), suitable for Just-In-Time compilation to machine
  code.  This provides a C API and a C++ wrapper API.

  Many code generation improvements for AArch64, ARM, support for
  AVX-512{BW,DQ,VL,IFMA,VBMI} and Intel MPX on x86-64, and generally
  improvements on many targets.

  The Local Register Allocator (LRA) now contains a rematerialization
  subpass and is able to reuse the PIC hard register on x86/x86-64 to
  improve performance of position independent code.

  https://gcc.gnu.org/gcc-5/changes.html has a more extensive set of
  changes and https://gcc.gnu.org/gcc-5/porting_to.html has a solid
  overview of issue you may encountering porting to this new version.

  PR:             216707, 218125
  Tested by:      antoine (-exp runs)
  Supported by:   jbeich, tcberner, and others

  Bump PORTREVISIONs for ports depending on the canonical version of GCC and
  lang/gcc which have moved from GCC 4.9.4 to GCC 5.4 (at least under some
  circumstances such as versions of FreeBSD or platforms).

  This includes ports
   - with USE_GCC=yes or USE_GCC=any,
   - with USES=fortran,
   - using using Mk/bsd.octave.mk which in turn has USES=fortran, and
   - with USES=compiler specifying openmp, nestedfct, c++11-lib, c++14-lang,
     c++11-lang, c++0x, c11, or gcc-c++11-lib.

  PR:		216707

  Add support for aarch64.

  Submitted by:	andreast

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/Mk/bsd.default-versions.mk
  branches/2017Q2/archivers/kf5-karchive/Makefile
  branches/2017Q2/archivers/paq/Makefile
  branches/2017Q2/archivers/pxz/Makefile
  branches/2017Q2/archivers/py-brotli/Makefile
  branches/2017Q2/archivers/rvm/Makefile
  branches/2017Q2/astro/geographiclib/Makefile
  branches/2017Q2/astro/gpstk/Makefile
  branches/2017Q2/astro/kstars/Makefile
  branches/2017Q2/astro/libosmium/Makefile
  branches/2017Q2/astro/nightfall/Makefile
  branches/2017Q2/astro/opencpn/Makefile
  branches/2017Q2/astro/qmapshack/Makefile
  branches/2017Q2/astro/viking/Makefile
  branches/2017Q2/astro/wcslib/Makefile
  branches/2017Q2/astro/xtide/Makefile
  branches/2017Q2/audio/audacity/Makefile
  branches/2017Q2/audio/calf/Makefile
  branches/2017Q2/audio/ccaudio2/Makefile
  branches/2017Q2/audio/chromaprint/Makefile
  branches/2017Q2/audio/codec2/Makefile
  branches/2017Q2/audio/csound/Makefile
  branches/2017Q2/audio/csound6/Makefile
  branches/2017Q2/audio/deadbeef/Makefile
  branches/2017Q2/audio/espeak/Makefile
  branches/2017Q2/audio/firefly/Makefile
  branches/2017Q2/audio/funktrackergold/Makefile
  branches/2017Q2/audio/gbsplay/Makefile
  branches/2017Q2/audio/gnuspeechsa/Makefile
  branches/2017Q2/audio/gogglesmm/Makefile
  branches/2017Q2/audio/idjc/Makefile
  branches/2017Q2/audio/libsoxr/Makefile
  branches/2017Q2/audio/murmur/Makefile
  branches/2017Q2/audio/musescore/Makefile
  branches/2017Q2/audio/musicpd/Makefile
  branches/2017Q2/audio/ncmpcpp/Makefile
  branches/2017Q2/audio/openal-soft/Makefile
  branches/2017Q2/audio/openspc/Makefile
  branches/2017Q2/audio/pragha/Makefile
  branches/2017Q2/audio/pulseaudio/Makefile
  branches/2017Q2/audio/py-karaoke/Makefile
  branches/2017Q2/audio/py-tagpy/Makefile
  branches/2017Q2/audio/qjackctl/Makefile
  branches/2017Q2/audio/rosegarden/Makefile
  branches/2017Q2/audio/sayonara/Makefile
  branches/2017Q2/audio/schism/Makefile
  branches/2017Q2/audio/smasher/Makefile
  branches/2017Q2/audio/soundkonverter/Makefile
  branches/2017Q2/audio/soundtouch/Makefile
  branches/2017Q2/audio/spek/Makefile
  branches/2017Q2/audio/tomahawk/Makefile
  branches/2017Q2/audio/wxguitar/Makefile
  branches/2017Q2/audio/xmms-gbsplay/Makefile
  branches/2017Q2/benchmarks/himenobench/Makefile
  branches/2017Q2/benchmarks/hpl/Makefile
  branches/2017Q2/benchmarks/octave-forge-benchmark/Makefile
  branches/2017Q2/benchmarks/phoronix-test-suite/Makefile
  branches/2017Q2/benchmarks/polygraph/Makefile
  branches/2017Q2/biology/bowtie/Makefile
  branches/2017Q2/biology/cd-hit/Makefile
  branches/2017Q2/biology/crux/Makefile
  branches/2017Q2/biology/diamond/Makefile
  branches/2017Q2/biology/fasttree/Makefile
  branches/2017Q2/biology/jellyfish/Makefile
  branches/2017Q2/biology/molden/Makefile
  branches/2017Q2/biology/mopac/Makefile
  branches/2017Q2/biology/ncbi-blast+/Makefile
  branches/2017Q2/biology/plink/Makefile
  branches/2017Q2/biology/psi88/Makefile
  branches/2017Q2/biology/seqan-apps/Makefile
  branches/2017Q2/biology/seqtools/Makefile
  branches/2017Q2/biology/ssaha/Makefile
  branches/2017Q2/biology/t_coffee/Makefile
  branches/2017Q2/biology/tinker/Makefile
  branches/2017Q2/cad/NASTRAN-95/Makefile
  branches/2017Q2/cad/alliance/Makefile
  branches/2017Q2/cad/calculix/Makefile
  branches/2017Q2/cad/cura-engine/Makefile
  branches/2017Q2/cad/elmerfem/Makefile
  branches/2017Q2/cad/feappv/Makefile
  branches/2017Q2/cad/freecad/Makefile
  branches/2017Q2/cad/freehdl/Makefile
  branches/2017Q2/cad/gmsh/Makefile
  branches/2017Q2/cad/gspiceui/Makefile
  branches/2017Q2/cad/kicad/Makefile
  branches/2017Q2/cad/kicad-devel/Makefile
  branches/2017Q2/cad/klayout/Makefile
  branches/2017Q2/cad/libopencad/Makefile
  branches/2017Q2/cad/librecad/Makefile
  branches/2017Q2/cad/meshlab/Makefile
  branches/2017Q2/cad/opencascade/Makefile
  branches/2017Q2/cad/openscad/Makefile
  branches/2017Q2/cad/openvsp/Makefile
  branches/2017Q2/cad/pdnmesh/Makefile
  branches/2017Q2/cad/qelectrotech/Makefile
  branches/2017Q2/cad/sceptre/Makefile
  branches/2017Q2/cad/scotch/Makefile
  branches/2017Q2/cad/stepcode/Makefile
  branches/2017Q2/cad/tochnog/Makefile
  branches/2017Q2/chinese/ibus-libpinyin/Makefile
  branches/2017Q2/chinese/ibus-pinyin/Makefile
  branches/2017Q2/chinese/librime/Makefile
  branches/2017Q2/chinese/opencc/Makefile
  branches/2017Q2/chinese/pyzy/Makefile
  branches/2017Q2/comms/aldo/Makefile
  branches/2017Q2/comms/dabstick-radio/Makefile
  branches/2017Q2/comms/efax-gtk/Makefile
  branches/2017Q2/comms/ems-flasher/Makefile
  branches/2017Q2/comms/fldigi/Makefile
  branches/2017Q2/comms/freedv/Makefile
  branches/2017Q2/comms/gnuradio/Makefile
  branches/2017Q2/comms/gr-osmosdr/Makefile
  branches/2017Q2/comms/qt5-serialbus/Makefile
  branches/2017Q2/comms/sdr-wspr/Makefile
  branches/2017Q2/comms/telldus-core/Makefile
  branches/2017Q2/comms/trustedqsl/Makefile
  branches/2017Q2/comms/uhd/Makefile
  branches/2017Q2/comms/usrp/Makefile
  branches/2017Q2/comms/wsjt/Makefile
  branches/2017Q2/comms/wsjtx/Makefile
  branches/2017Q2/comms/wspr/Makefile
  branches/2017Q2/converters/pdf2djvu/Makefile
  branches/2017Q2/databases/clickhouse/Makefile
  branches/2017Q2/databases/evolution-data-server/Makefile
  branches/2017Q2/databases/fastdb/Makefile
  branches/2017Q2/databases/galera/Makefile
  branches/2017Q2/databases/gigabase/Makefile
  branches/2017Q2/databases/gnats4/Makefile
  branches/2017Q2/databases/gomdb/Makefile
  branches/2017Q2/databases/grass/Makefile
  branches/2017Q2/databases/leveldb/Makefile
  branches/2017Q2/databases/levigo/Makefile
  branches/2017Q2/databases/mariadb-connector-c/Makefile
  branches/2017Q2/databases/mariadb100-server/Makefile
  branches/2017Q2/databases/mariadb101-server/Makefile
  branches/2017Q2/databases/mariadb55-server/Makefile
  branches/2017Q2/databases/mysql-q4m/Makefile
  branches/2017Q2/databases/mysql56-server/Makefile
  branches/2017Q2/databases/mysql57-server/Makefile
  branches/2017Q2/databases/mysql80-server/Makefile
  branches/2017Q2/databases/percona57-server/Makefile
  branches/2017Q2/databases/pgadmin3/Makefile
  branches/2017Q2/databases/pgmodeler/Makefile
  branches/2017Q2/databases/pgrouting/Makefile
  branches/2017Q2/databases/php5-pdo_cassandra/Makefile
  branches/2017Q2/databases/postgresql-plv8js/Makefile
  branches/2017Q2/databases/riak2/Makefile
  branches/2017Q2/databases/rocksdb/Makefile
  branches/2017Q2/databases/sqlitestudio/Makefile
  branches/2017Q2/databases/tarantool/Makefile
  branches/2017Q2/databases/vsqlite/Makefile
  branches/2017Q2/deskutils/bijiben/Makefile
  branches/2017Q2/deskutils/gnome-documents/Makefile
  branches/2017Q2/deskutils/gnome-initial-setup/Makefile
  branches/2017Q2/deskutils/gnome-photos/Makefile
  branches/2017Q2/deskutils/gnome-todo/Makefile
  branches/2017Q2/deskutils/gnote/Makefile
  branches/2017Q2/deskutils/growl-for-linux/Makefile
  branches/2017Q2/deskutils/homerun/Makefile
  branches/2017Q2/deskutils/kdeconnect/Makefile
  branches/2017Q2/deskutils/owncloudclient/Makefile
  branches/2017Q2/deskutils/sliderule/Makefile
  branches/2017Q2/deskutils/taskd/Makefile
  branches/2017Q2/deskutils/taskwarrior/Makefile
  branches/2017Q2/deskutils/treesheets/Makefile
  branches/2017Q2/deskutils/xneur/Makefile
  branches/2017Q2/devel/aegis/Makefile
  branches/2017Q2/devel/android-tools-adb/Makefile
  branches/2017Q2/devel/android-tools-fastboot/Makefile
  branches/2017Q2/devel/android-tools-simpleperf/Makefile
  branches/2017Q2/devel/api-sanity-autotest/Makefile
  branches/2017Q2/devel/argdata/Makefile
  branches/2017Q2/devel/asmutils/Makefile
  branches/2017Q2/devel/atlas-devel/Makefile
  branches/2017Q2/devel/aws-sdk-cpp/Makefile
  branches/2017Q2/devel/bisoncpp/Makefile
  branches/2017Q2/devel/bossa/Makefile
  branches/2017Q2/devel/bullet/Makefile
  branches/2017Q2/devel/caf/Makefile
  branches/2017Q2/devel/ccrtp/Makefile
  branches/2017Q2/devel/cctz/Makefile
  branches/2017Q2/devel/cheritrace-devel/Makefile
  branches/2017Q2/devel/clanlib/Makefile
  branches/2017Q2/devel/covtool/Makefile
  branches/2017Q2/devel/cppcheck/Makefile
  branches/2017Q2/devel/cssc/Makefile
  branches/2017Q2/devel/cx_Freeze/Makefile
  branches/2017Q2/devel/dbus-c++/Makefile
  branches/2017Q2/devel/devhelp/Makefile
  branches/2017Q2/devel/dia2code+/Makefile
  branches/2017Q2/devel/drpython/Makefile
  branches/2017Q2/devel/efivar/Makefile
  branches/2017Q2/devel/efl/Makefile
  branches/2017Q2/devel/embb/Makefile
  branches/2017Q2/devel/eris/Makefile
  branches/2017Q2/devel/flatbuffers/Makefile
  branches/2017Q2/devel/freeocl/Makefile
  branches/2017Q2/devel/gdb66/Makefile
  branches/2017Q2/devel/gitg/Makefile
  branches/2017Q2/devel/gnu-efi/Makefile
  branches/2017Q2/devel/godot/Makefile
  branches/2017Q2/devel/grantlee5/Makefile
  branches/2017Q2/devel/hhdate/Makefile
  branches/2017Q2/devel/hyperscan/Makefile
  branches/2017Q2/devel/injeqt/Makefile
  branches/2017Q2/devel/ipython/Makefile
  branches/2017Q2/devel/jsoncpp/Makefile
  branches/2017Q2/devel/jsonnet/Makefile
  branches/2017Q2/devel/kBuild/Makefile
  branches/2017Q2/devel/kdesvn-kde4/Makefile
  branches/2017Q2/devel/kdevelop-kde4/Makefile
  branches/2017Q2/devel/kdevelop-pg-qt/Makefile
  branches/2017Q2/devel/kdevelop-php/Makefile
  branches/2017Q2/devel/kdevelop-php-docs/Makefile
  branches/2017Q2/devel/kdevplatform/Makefile
  branches/2017Q2/devel/kf5-kauth/Makefile
  branches/2017Q2/devel/kf5-kbookmarks/Makefile
  branches/2017Q2/devel/kf5-kcmutils/Makefile
  branches/2017Q2/devel/kf5-kconfig/Makefile
  branches/2017Q2/devel/kf5-kcoreaddons/Makefile
  branches/2017Q2/devel/kf5-kcrash/Makefile
  branches/2017Q2/devel/kf5-kdbusaddons/Makefile
  branches/2017Q2/devel/kf5-kdeclarative/Makefile
  branches/2017Q2/devel/kf5-kdoctools/Makefile
  branches/2017Q2/devel/kf5-kfilemetadata/Makefile
  branches/2017Q2/devel/kf5-ki18n/Makefile
  branches/2017Q2/devel/kf5-kidletime/Makefile
  branches/2017Q2/devel/kf5-kio/Makefile
  branches/2017Q2/devel/kf5-kitemmodels/Makefile
  branches/2017Q2/devel/kf5-knewstuff/Makefile
  branches/2017Q2/devel/kf5-knotifications/Makefile
  branches/2017Q2/devel/kf5-knotifyconfig/Makefile
  branches/2017Q2/devel/kf5-kpackage/Makefile
  branches/2017Q2/devel/kf5-kparts/Makefile
  branches/2017Q2/devel/kf5-kpeople/Makefile
  branches/2017Q2/devel/kf5-kpty/Makefile
  branches/2017Q2/devel/kf5-kservice/Makefile
  branches/2017Q2/devel/kf5-ktexteditor/Makefile
  branches/2017Q2/devel/kf5-kunitconversion/Makefile
  branches/2017Q2/devel/kf5-solid/Makefile
  branches/2017Q2/devel/kf5-threadweaver/Makefile
  branches/2017Q2/devel/libbobcat/Makefile
  branches/2017Q2/devel/libbrotli/Makefile
  branches/2017Q2/devel/libconcurrent/Makefile
  branches/2017Q2/devel/libcrossguid/Makefile
  branches/2017Q2/devel/libdbusmenu-qt/Makefile
  branches/2017Q2/devel/libflatarray/Makefile
  branches/2017Q2/devel/libfmt/Makefile
  branches/2017Q2/devel/libgit2-glib/Makefile
  branches/2017Q2/devel/libgrading/Makefile
  branches/2017Q2/devel/libical-glib/Makefile
  branches/2017Q2/devel/liblas/Makefile
  branches/2017Q2/devel/liblouisxml/Makefile
  branches/2017Q2/devel/liblxqt/Makefile
  branches/2017Q2/devel/libopkele/Makefile
  branches/2017Q2/devel/liborcus/Makefile
  branches/2017Q2/devel/libqtxdg/Makefile
  branches/2017Q2/devel/libtuntap/Makefile
  branches/2017Q2/devel/libwfut/Makefile
  branches/2017Q2/devel/lldb38/Makefile
  branches/2017Q2/devel/llvm-cheri/Makefile
  branches/2017Q2/devel/llvm-devel/Makefile
  branches/2017Q2/devel/llvm34/Makefile
  branches/2017Q2/devel/llvm35/Makefile
  branches/2017Q2/devel/llvm36/Makefile
  branches/2017Q2/devel/llvm38/Makefile
  branches/2017Q2/devel/llvm39/Makefile
  branches/2017Q2/devel/llvm40/Makefile
  branches/2017Q2/devel/lockfree-malloc/Makefile
  branches/2017Q2/devel/love/Makefile
  branches/2017Q2/devel/mercator/Makefile
  branches/2017Q2/devel/msgpack/Makefile
  branches/2017Q2/devel/msp430-debug-stack/Makefile
  branches/2017Q2/devel/nlohmann-json/Makefile
  branches/2017Q2/devel/ocaml-lacaml/Makefile
  branches/2017Q2/devel/opendht/Makefile
  branches/2017Q2/devel/openmp/Makefile
  branches/2017Q2/devel/p5-perlkde/Makefile
  branches/2017Q2/devel/papi/Makefile
  branches/2017Q2/devel/ponscripter-sekai/Makefile
  branches/2017Q2/devel/protobuf/Makefile
  branches/2017Q2/devel/pure-stllib/Makefile
  branches/2017Q2/devel/pwlib/Makefile
  branches/2017Q2/devel/py-llfuse/Makefile
  branches/2017Q2/devel/py-llvmlite/Makefile
  branches/2017Q2/devel/py-numba/Makefile
  branches/2017Q2/devel/py-tables/Makefile
  branches/2017Q2/devel/qbs/Makefile
  branches/2017Q2/devel/qt5-qmake/Makefile
  branches/2017Q2/devel/qtcreator/Makefile
  branches/2017Q2/devel/raknet/Makefile
  branches/2017Q2/devel/rapidjson/Makefile
  branches/2017Q2/devel/re2/Makefile
  branches/2017Q2/devel/rhtvision/Makefile
  branches/2017Q2/devel/rlvm/Makefile
  branches/2017Q2/devel/sdl2pp/Makefile
  branches/2017Q2/devel/sfml/Makefile
  branches/2017Q2/devel/simgear/Makefile
  branches/2017Q2/devel/smv/Makefile
  branches/2017Q2/devel/sourcenav/Makefile
  branches/2017Q2/devel/thrift-cpp/Makefile
  branches/2017Q2/devel/tigcc/Makefile
  branches/2017Q2/devel/ucommon/Makefile
  branches/2017Q2/devel/valgrind/Makefile
  branches/2017Q2/devel/valgrind-devel/Makefile
  branches/2017Q2/devel/varconf/Makefile
  branches/2017Q2/devel/wxformbuilder/Makefile
  branches/2017Q2/devel/zeal/Makefile
  branches/2017Q2/dns/bundy/Makefile
  branches/2017Q2/dns/c-ares/Makefile
  branches/2017Q2/dns/dnsdist/Makefile
  branches/2017Q2/dns/kf5-kdnssd/Makefile
  branches/2017Q2/dns/powerdns/Makefile
  branches/2017Q2/dns/powerdns-recursor/Makefile
  branches/2017Q2/dns/void-zones-tools/Makefile
  branches/2017Q2/dns/yadifa/Makefile
  branches/2017Q2/editors/calligra/Makefile
  branches/2017Q2/editors/codelite/Makefile
  branches/2017Q2/editors/cooledit/Makefile
  branches/2017Q2/editors/focuswriter/Makefile
  branches/2017Q2/editors/latexila/Makefile
  branches/2017Q2/editors/libreoffice/Makefile
  branches/2017Q2/editors/libreoffice4/Makefile
  branches/2017Q2/editors/openoffice-4/Makefile
  branches/2017Q2/editors/openoffice-devel/Makefile
  branches/2017Q2/editors/p5-Padre/Makefile
  branches/2017Q2/editors/poedit/Makefile
  branches/2017Q2/editors/scite/Makefile
  branches/2017Q2/editors/yzis/Makefile
  branches/2017Q2/editors/zile/Makefile
  branches/2017Q2/emulators/bochs/Makefile
  branches/2017Q2/emulators/catapult/Makefile
  branches/2017Q2/emulators/citra/Makefile
  branches/2017Q2/emulators/dolphin-emu/Makefile
  branches/2017Q2/emulators/fceux/Makefile
  branches/2017Q2/emulators/gxemul/Makefile
  branches/2017Q2/emulators/higan/Makefile
  branches/2017Q2/emulators/mame/Makefile
  branches/2017Q2/emulators/mednafen/Makefile
  branches/2017Q2/emulators/mupen64plus-rsp-cxd4/Makefile
  branches/2017Q2/emulators/openmsx/Makefile
  branches/2017Q2/emulators/pearpc/Makefile
  branches/2017Q2/emulators/pipelight/Makefile
  branches/2017Q2/emulators/ppsspp/Makefile
  branches/2017Q2/emulators/raine/Makefile
  branches/2017Q2/emulators/riscv-isa-sim/Makefile
  branches/2017Q2/emulators/skyeye/Makefile
  branches/2017Q2/emulators/snes9x-gtk/Makefile
  branches/2017Q2/emulators/stella/Makefile
  branches/2017Q2/emulators/wine/Makefile
  branches/2017Q2/emulators/wine-devel/Makefile
  branches/2017Q2/emulators/wxmupen64plus/Makefile
  branches/2017Q2/emulators/x49gp/Makefile
  branches/2017Q2/finance/bitcoin-armory/Makefile
  branches/2017Q2/finance/gnucash/Makefile
  branches/2017Q2/finance/ledger/Makefile
  branches/2017Q2/finance/moneymanagerex/Makefile
  branches/2017Q2/finance/qhacc/Makefile
  branches/2017Q2/finance/skrooge/Makefile
  branches/2017Q2/french/aster/Makefile
  branches/2017Q2/french/eficas/Makefile
  branches/2017Q2/french/med/Makefile
  branches/2017Q2/ftp/filezilla/Makefile
  branches/2017Q2/ftp/libfilezilla/Makefile
  branches/2017Q2/games/0ad/Makefile
  branches/2017Q2/games/3omns/Makefile
  branches/2017Q2/games/adonthell/Makefile
  branches/2017Q2/games/alienarena/Makefile
  branches/2017Q2/games/asc/Makefile
  branches/2017Q2/games/blinkensisters/Makefile
  branches/2017Q2/games/braincurses/Makefile
  branches/2017Q2/games/bzflag/Makefile
  branches/2017Q2/games/cataclysm-dda/Makefile
  branches/2017Q2/games/cockatrice/Makefile
  branches/2017Q2/games/connectagram/Makefile
  branches/2017Q2/games/corsix-th/Makefile
  branches/2017Q2/games/craft/Makefile
  branches/2017Q2/games/criticalmass/Makefile
  branches/2017Q2/games/critterding/Makefile
  branches/2017Q2/games/doomsday/Makefile
  branches/2017Q2/games/dunelegacy/Makefile
  branches/2017Q2/games/dustrac/Makefile
  branches/2017Q2/games/easyrpg-player/Makefile
  branches/2017Q2/games/eduke32/Makefile
  branches/2017Q2/games/el/Makefile
  branches/2017Q2/games/ember/Makefile
  branches/2017Q2/games/emptyepsilon/Makefile
  branches/2017Q2/games/endless-sky/Makefile
  branches/2017Q2/games/etracer/Makefile
  branches/2017Q2/games/exult/Makefile
  branches/2017Q2/games/flightgear/Makefile
  branches/2017Q2/games/freecell-solver/Makefile
  branches/2017Q2/games/freedink-dfarc/Makefile
  branches/2017Q2/games/freeminer/Makefile
  branches/2017Q2/games/gnomebreakout/Makefile
  branches/2017Q2/games/gnubg/Makefile
  branches/2017Q2/games/golly/Makefile
  branches/2017Q2/games/gottet/Makefile
  branches/2017Q2/games/gtkpool/Makefile
  branches/2017Q2/games/hexalate/Makefile
  branches/2017Q2/games/hoverboard-sdl/Makefile
  branches/2017Q2/games/irrlamb/Makefile
  branches/2017Q2/games/liblcf/Makefile
  branches/2017Q2/games/libretro-cores/Makefile
  branches/2017Q2/games/lordsawar/Makefile
  branches/2017Q2/games/lugaru/Makefile
  branches/2017Q2/games/megaglest/Makefile
  branches/2017Q2/games/mirrormagic/Makefile
  branches/2017Q2/games/naev/Makefile
  branches/2017Q2/games/openclonk/Makefile
  branches/2017Q2/games/openlierox/Makefile
  branches/2017Q2/games/openmw/Makefile
  branches/2017Q2/games/openomf/Makefile
  branches/2017Q2/games/openspades/Makefile
  branches/2017Q2/games/opensurge/Makefile
  branches/2017Q2/games/openxcom/Makefile
  branches/2017Q2/games/openyahtzee/Makefile
  branches/2017Q2/games/peg-e/Makefile
  branches/2017Q2/games/pingus/Makefile
  branches/2017Q2/games/pioneer/Makefile
  branches/2017Q2/games/py-mnemosyne/Makefile
  branches/2017Q2/games/quackle/Makefile
  branches/2017Q2/games/quakeforge/Makefile
  branches/2017Q2/games/retroarch/Makefile
  branches/2017Q2/games/rubix/Makefile
  branches/2017Q2/games/sdl_scavenger/Makefile
  branches/2017Q2/games/sdlroids/Makefile
  branches/2017Q2/games/shaaft/Makefile
  branches/2017Q2/games/simsu/Makefile
  branches/2017Q2/games/slade/Makefile
  branches/2017Q2/games/solarus/Makefile
  branches/2017Q2/games/solarus-quest-editor/Makefile
  branches/2017Q2/games/spring/Makefile
  branches/2017Q2/games/springlobby/Makefile
  branches/2017Q2/games/stonesoup/Makefile
  branches/2017Q2/games/supertux2/Makefile
  branches/2017Q2/games/supertuxkart/Makefile
  branches/2017Q2/games/syobon/Makefile
  branches/2017Q2/games/tanglet/Makefile
  branches/2017Q2/games/tbe/Makefile
  branches/2017Q2/games/teeworlds/Makefile
  branches/2017Q2/games/tetzle/Makefile
  branches/2017Q2/games/traingame/Makefile
  branches/2017Q2/games/trenchbroom/Makefile
  branches/2017Q2/games/ufoai/Makefile
  branches/2017Q2/games/warsow/Makefile
  branches/2017Q2/games/warzone2100/Makefile
  branches/2017Q2/games/wesnoth/Makefile
  branches/2017Q2/games/widelands/Makefile
  branches/2017Q2/games/wxlauncher/Makefile
  branches/2017Q2/games/wyrmgus/Makefile
  branches/2017Q2/games/xbat/Makefile
  branches/2017Q2/games/xonotic/Makefile
  branches/2017Q2/graphics/GraphicsMagick/Makefile
  branches/2017Q2/graphics/ImageMagick/Makefile
  branches/2017Q2/graphics/ImageMagick7/Makefile
  branches/2017Q2/graphics/OpenEXR/Makefile
  branches/2017Q2/graphics/aaphoto/Makefile
  branches/2017Q2/graphics/alembic/Makefile
  branches/2017Q2/graphics/animorph/Makefile
  branches/2017Q2/graphics/argyllcms/Makefile
  branches/2017Q2/graphics/aseprite/Makefile
  branches/2017Q2/graphics/blender/Makefile
  branches/2017Q2/graphics/bugle/Makefile
  branches/2017Q2/graphics/caffe/Makefile
  branches/2017Q2/graphics/cegui/Makefile
  branches/2017Q2/graphics/cimg/Makefile
  branches/2017Q2/graphics/code-eli/Makefile
  branches/2017Q2/graphics/colmap/Makefile
  branches/2017Q2/graphics/converseen/Makefile
  branches/2017Q2/graphics/copperspice/Makefile
  branches/2017Q2/graphics/darktable/Makefile
  branches/2017Q2/graphics/dataplot/Makefile
  branches/2017Q2/graphics/dcp2icc/Makefile
  branches/2017Q2/graphics/delaboratory/Makefile
  branches/2017Q2/graphics/dilay/Makefile
  branches/2017Q2/graphics/enblend/Makefile
  branches/2017Q2/graphics/evince/Makefile
  branches/2017Q2/graphics/freeimage/Makefile
  branches/2017Q2/graphics/geomorph/Makefile
  branches/2017Q2/graphics/gimp-beautify-plugin/Makefile
  branches/2017Q2/graphics/gimp-gmic-plugin/Makefile
  branches/2017Q2/graphics/gimp-refocus-plugin/Makefile
  branches/2017Q2/graphics/gimp-resynthesizer/Makefile
  branches/2017Q2/graphics/gle-graphics/Makefile
  branches/2017Q2/graphics/gource/Makefile
  branches/2017Q2/graphics/gthumb/Makefile
  branches/2017Q2/graphics/gtimelapse/Makefile
  branches/2017Q2/graphics/guetzli/Makefile
  branches/2017Q2/graphics/hiptext/Makefile
  branches/2017Q2/graphics/hugin/Makefile
  branches/2017Q2/graphics/inkscape/Makefile
  branches/2017Q2/graphics/ipe/Makefile
  branches/2017Q2/graphics/jogamp-jogl/Makefile
  branches/2017Q2/graphics/kf5-kimageformats/Makefile
  branches/2017Q2/graphics/kf5-kplotting/Makefile
  branches/2017Q2/graphics/kf5-prison/Makefile
  branches/2017Q2/graphics/libbpg/Makefile
  branches/2017Q2/graphics/libcdr01/Makefile
  branches/2017Q2/graphics/libetonyek01/Makefile
  branches/2017Q2/graphics/libfreehand/Makefile
  branches/2017Q2/graphics/libgltf/Makefile
  branches/2017Q2/graphics/libopenraw/Makefile
  branches/2017Q2/graphics/libraw/Makefile
  branches/2017Q2/graphics/lightzone/Makefile
  branches/2017Q2/graphics/lximage-qt/Makefile
  branches/2017Q2/graphics/mahotas/Makefile
  branches/2017Q2/graphics/makehuman/Makefile
  branches/2017Q2/graphics/mapnik/Makefile
  branches/2017Q2/graphics/mhgui/Makefile
  branches/2017Q2/graphics/mupdf/Makefile
  branches/2017Q2/graphics/mypaint/Makefile
  branches/2017Q2/graphics/nurbs++/Makefile
  branches/2017Q2/graphics/ogre3d/Makefile
  branches/2017Q2/graphics/openimageio/Makefile
  branches/2017Q2/graphics/openshadinglanguage/Makefile
  branches/2017Q2/graphics/oyranos/Makefile
  branches/2017Q2/graphics/p5-PGPLOT/Makefile
  branches/2017Q2/graphics/pfstmo/Makefile
  branches/2017Q2/graphics/pgplot/Makefile
  branches/2017Q2/graphics/photivo/Makefile
  branches/2017Q2/graphics/piglit/Makefile
  branches/2017Q2/graphics/pixie/Makefile
  branches/2017Q2/graphics/py-gdal/Makefile
  branches/2017Q2/graphics/qgis/Makefile
  branches/2017Q2/graphics/raster3d/Makefile
  branches/2017Q2/graphics/rawtherapee/Makefile
  branches/2017Q2/graphics/rawtherapee-devel/Makefile
  branches/2017Q2/graphics/seexpr/Makefile
  branches/2017Q2/graphics/sekrit-twc-zimg/Makefile
  branches/2017Q2/graphics/shotwell/Makefile
  branches/2017Q2/graphics/simpleviewer/Makefile
  branches/2017Q2/graphics/tesseract/Makefile
  branches/2017Q2/graphics/tiled/Makefile
  branches/2017Q2/graphics/tulip/Makefile
  branches/2017Q2/graphics/vapoursynth-waifu2x-w2xc/Makefile
  branches/2017Q2/graphics/vigra/Makefile
  branches/2017Q2/graphics/waffle/Makefile
  branches/2017Q2/graphics/waifu2x-converter-cpp/Makefile
  branches/2017Q2/graphics/webp/Makefile
  branches/2017Q2/graphics/wxsvg/Makefile
  branches/2017Q2/graphics/xd3d/Makefile
  branches/2017Q2/graphics/zathura/Makefile
  branches/2017Q2/graphics/zathura-cb/Makefile
  branches/2017Q2/graphics/zathura-djvu/Makefile
  branches/2017Q2/graphics/zathura-pdf-mupdf/Makefile
  branches/2017Q2/graphics/zathura-pdf-poppler/Makefile
  branches/2017Q2/graphics/zathura-ps/Makefile
  branches/2017Q2/irc/ezbounce/Makefile
  branches/2017Q2/irc/ircd-ratbox/Makefile
  branches/2017Q2/irc/ircservices/Makefile
  branches/2017Q2/irc/quassel/Makefile
  branches/2017Q2/irc/znc/Makefile
  branches/2017Q2/japanese/fcitx-skk/Makefile
  branches/2017Q2/japanese/mozc-server/Makefile
  branches/2017Q2/japanese/skkinput3/Makefile
  branches/2017Q2/japanese/xtr/Makefile
  branches/2017Q2/java/classpath/Makefile
  branches/2017Q2/java/intellij-fsnotifier/Makefile
  branches/2017Q2/java/sigar/Makefile
  branches/2017Q2/lang/afnix/Makefile
  branches/2017Q2/lang/angelscript/Makefile
  branches/2017Q2/lang/bigloo/Makefile
  branches/2017Q2/lang/cilkplus/Makefile
  branches/2017Q2/lang/cint/Makefile
  branches/2017Q2/lang/cjs/Makefile
  branches/2017Q2/lang/clang34/Makefile
  branches/2017Q2/lang/clang35/Makefile
  branches/2017Q2/lang/clang36/Makefile
  branches/2017Q2/lang/cling/Makefile
  branches/2017Q2/lang/erlang-runtime15/Makefile
  branches/2017Q2/lang/erlang-runtime16/Makefile
  branches/2017Q2/lang/erlang-runtime17/Makefile
  branches/2017Q2/lang/erlang-runtime18/Makefile
  branches/2017Q2/lang/gambit-c/Makefile
  branches/2017Q2/lang/gcc/Makefile
  branches/2017Q2/lang/gcc/distinfo
  branches/2017Q2/lang/gcc/files/patch-aarch64-support
  branches/2017Q2/lang/gcc/files/patch-arm-support
  branches/2017Q2/lang/gcc/files/patch-arm-unwind-cxx-support
  branches/2017Q2/lang/gcc/files/patch-armv6-hf-support
  branches/2017Q2/lang/gcc/files/patch-gcc_system.h
  branches/2017Q2/lang/gcc/files/patch-libc++
  branches/2017Q2/lang/gcc/pkg-descr
  branches/2017Q2/lang/gcc/pkg-plist
  branches/2017Q2/lang/gcc49/Makefile
  branches/2017Q2/lang/gcc5/Makefile
  branches/2017Q2/lang/gcc5-devel/Makefile
  branches/2017Q2/lang/gcc6/Makefile
  branches/2017Q2/lang/gcc6-devel/Makefile
  branches/2017Q2/lang/gcc7-devel/Makefile
  branches/2017Q2/lang/gforth/Makefile
  branches/2017Q2/lang/ghc/Makefile
  branches/2017Q2/lang/gjs/Makefile
  branches/2017Q2/lang/gprolog/Makefile
  branches/2017Q2/lang/hugs/Makefile
  branches/2017Q2/lang/icon/Makefile
  branches/2017Q2/lang/io/Makefile
  branches/2017Q2/lang/julia/Makefile
  branches/2017Q2/lang/kf5-kross/Makefile
  branches/2017Q2/lang/mlton/Makefile
  branches/2017Q2/lang/modula3/Makefile
  branches/2017Q2/lang/mono/Makefile
  branches/2017Q2/lang/oo2c/Makefile
  branches/2017Q2/lang/opencoarrays/Makefile
  branches/2017Q2/lang/p5-ExtUtils-F77/Makefile
  branches/2017Q2/lang/phantomjs/Makefile
  branches/2017Q2/lang/pure/Makefile
  branches/2017Q2/lang/qscheme/Makefile
  branches/2017Q2/lang/ratfor/Makefile
  branches/2017Q2/lang/sagittarius-scheme/Makefile
  branches/2017Q2/lang/scm/Makefile
  branches/2017Q2/lang/spidermonkey170/Makefile
  branches/2017Q2/lang/spidermonkey24/Makefile
  branches/2017Q2/lang/v8/Makefile
  branches/2017Q2/lang/v8-devel/Makefile
  branches/2017Q2/lang/x10/Makefile
  branches/2017Q2/lang/yap/Makefile
  branches/2017Q2/lang/yap-devel/Makefile
  branches/2017Q2/lang/ypsilon/Makefile
  branches/2017Q2/mail/annoyance-filter/Makefile
  branches/2017Q2/mail/dovecot2-pigeonhole/Makefile
  branches/2017Q2/mail/libmapi/Makefile
  branches/2017Q2/mail/libvmime/Makefile
  branches/2017Q2/mail/milter-callback/Makefile
  branches/2017Q2/mail/pop3vscan/Makefile
  branches/2017Q2/mail/spamdyke/Makefile
  branches/2017Q2/mail/spamprobe/Makefile
  branches/2017Q2/mail/trojita/Makefile
  branches/2017Q2/math/R/Makefile
  branches/2017Q2/math/algae/Makefile
  branches/2017Q2/math/armadillo/Makefile
  branches/2017Q2/math/arpack/Makefile
  branches/2017Q2/math/arpack-ng/Makefile
  branches/2017Q2/math/aspcud/Makefile
  branches/2017Q2/math/atlas/Makefile
  branches/2017Q2/math/blacs/Makefile
  branches/2017Q2/math/blocksolve95/Makefile
  branches/2017Q2/math/cadabra2/Makefile
  branches/2017Q2/math/cantor/Makefile
  branches/2017Q2/math/carve/Makefile
  branches/2017Q2/math/cblas/Makefile
  branches/2017Q2/math/ceres-solver/Makefile
  branches/2017Q2/math/clp/Makefile
  branches/2017Q2/math/cmlib/Makefile
  branches/2017Q2/math/cryptominisat/Makefile
  branches/2017Q2/math/cvc3/Makefile
  branches/2017Q2/math/drgeo/Makefile
  branches/2017Q2/math/dynare/Makefile
  branches/2017Q2/math/eispack/Makefile
  branches/2017Q2/math/fflas-ffpack/Makefile
  branches/2017Q2/math/fftw/Makefile
  branches/2017Q2/math/fftw3/Makefile
  branches/2017Q2/math/fityk/Makefile
  branches/2017Q2/math/freemat/Makefile
  branches/2017Q2/math/gambit/Makefile
  branches/2017Q2/math/giacxcas/Makefile
  branches/2017Q2/math/gotoblas/Makefile
  branches/2017Q2/math/gracetmpl/Makefile
  branches/2017Q2/math/gretl/Makefile
  branches/2017Q2/math/gringo/Makefile
  branches/2017Q2/math/hfst/Makefile
  branches/2017Q2/math/ipopt/Makefile
  branches/2017Q2/math/ised/Makefile
  branches/2017Q2/math/jags/Makefile
  branches/2017Q2/math/kig/Makefile
  branches/2017Q2/math/kktdirect/Makefile
  branches/2017Q2/math/labplot/Makefile
  branches/2017Q2/math/lapack/Makefile
  branches/2017Q2/math/lapack++/Makefile
  branches/2017Q2/math/lapack95/Makefile
  branches/2017Q2/math/levmar/Makefile
  branches/2017Q2/math/libRmath/Makefile
  branches/2017Q2/math/librsb/Makefile
  branches/2017Q2/math/libtsnnls/Makefile
  branches/2017Q2/math/linpack/Makefile
  branches/2017Q2/math/math77/Makefile
  branches/2017Q2/math/metis/Makefile
  branches/2017Q2/math/miracl/Makefile
  branches/2017Q2/math/mosesdecoder/Makefile
  branches/2017Q2/math/mumps/Makefile
  branches/2017Q2/math/octave/Makefile
  branches/2017Q2/math/octave-forge-actuarial/Makefile
  branches/2017Q2/math/octave-forge-audio/Makefile
  branches/2017Q2/math/octave-forge-bim/Makefile
  branches/2017Q2/math/octave-forge-bioinfo/Makefile
  branches/2017Q2/math/octave-forge-cgi/Makefile
  branches/2017Q2/math/octave-forge-civil-engineering/Makefile
  branches/2017Q2/math/octave-forge-communications/Makefile
  branches/2017Q2/math/octave-forge-control/Makefile
  branches/2017Q2/math/octave-forge-data-smoothing/Makefile
  branches/2017Q2/math/octave-forge-database/Makefile
  branches/2017Q2/math/octave-forge-dataframe/Makefile
  branches/2017Q2/math/octave-forge-divand/Makefile
  branches/2017Q2/math/octave-forge-doctest/Makefile
  branches/2017Q2/math/octave-forge-econometrics/Makefile
  branches/2017Q2/math/octave-forge-engine/Makefile
  branches/2017Q2/math/octave-forge-fenv/Makefile
  branches/2017Q2/math/octave-forge-financial/Makefile
  branches/2017Q2/math/octave-forge-fits/Makefile
  branches/2017Q2/math/octave-forge-fl-core/Makefile
  branches/2017Q2/math/octave-forge-fpl/Makefile
  branches/2017Q2/math/octave-forge-fuzzy-logic-toolkit/Makefile
  branches/2017Q2/math/octave-forge-ga/Makefile
  branches/2017Q2/math/octave-forge-general/Makefile
  branches/2017Q2/math/octave-forge-generate_html/Makefile
  branches/2017Q2/math/octave-forge-geometry/Makefile
  branches/2017Q2/math/octave-forge-gnuplot/Makefile
  branches/2017Q2/math/octave-forge-gsl/Makefile
  branches/2017Q2/math/octave-forge-ident/Makefile
  branches/2017Q2/math/octave-forge-image/Makefile
  branches/2017Q2/math/octave-forge-informationtheory/Makefile
  branches/2017Q2/math/octave-forge-integration/Makefile
  branches/2017Q2/math/octave-forge-interval/Makefile
  branches/2017Q2/math/octave-forge-io/Makefile
  branches/2017Q2/math/octave-forge-irsa/Makefile
  branches/2017Q2/math/octave-forge-level-set/Makefile
  branches/2017Q2/math/octave-forge-linear-algebra/Makefile
  branches/2017Q2/math/octave-forge-lssa/Makefile
  branches/2017Q2/math/octave-forge-ltfat/Makefile
  branches/2017Q2/math/octave-forge-mapping/Makefile
  branches/2017Q2/math/octave-forge-mechanics/Makefile
  branches/2017Q2/math/octave-forge-miscellaneous/Makefile
  branches/2017Q2/math/octave-forge-missing-functions/Makefile
  branches/2017Q2/math/octave-forge-msh/Makefile
  branches/2017Q2/math/octave-forge-multicore/Makefile
  branches/2017Q2/math/octave-forge-mvn/Makefile
  branches/2017Q2/math/octave-forge-nan/Makefile
  branches/2017Q2/math/octave-forge-ncarray/Makefile
  branches/2017Q2/math/octave-forge-netcdf/Makefile
  branches/2017Q2/math/octave-forge-nlwing2/Makefile
  branches/2017Q2/math/octave-forge-nnet/Makefile
  branches/2017Q2/math/octave-forge-nurbs/Makefile
  branches/2017Q2/math/octave-forge-ocs/Makefile
  branches/2017Q2/math/octave-forge-oct2mat/Makefile
  branches/2017Q2/math/octave-forge-octcdf/Makefile
  branches/2017Q2/math/octave-forge-octclip/Makefile
  branches/2017Q2/math/octave-forge-octproj/Makefile
  branches/2017Q2/math/octave-forge-odebvp/Makefile
  branches/2017Q2/math/octave-forge-odepkg/Makefile
  branches/2017Q2/math/octave-forge-optics/Makefile
  branches/2017Q2/math/octave-forge-optim/Makefile
  branches/2017Q2/math/octave-forge-optiminterp/Makefile
  branches/2017Q2/math/octave-forge-outliers/Makefile
  branches/2017Q2/math/octave-forge-parallel/Makefile
  branches/2017Q2/math/octave-forge-pdb/Makefile
  branches/2017Q2/math/octave-forge-plot/Makefile
  branches/2017Q2/math/octave-forge-pt_br/Makefile
  branches/2017Q2/math/octave-forge-quaternion/Makefile
  branches/2017Q2/math/octave-forge-queueing/Makefile
  branches/2017Q2/math/octave-forge-secs1d/Makefile
  branches/2017Q2/math/octave-forge-secs2d/Makefile
  branches/2017Q2/math/octave-forge-secs3d/Makefile
  branches/2017Q2/math/octave-forge-signal/Makefile
  branches/2017Q2/math/octave-forge-simp/Makefile
  branches/2017Q2/math/octave-forge-sockets/Makefile
  branches/2017Q2/math/octave-forge-sparsersb/Makefile
  branches/2017Q2/math/octave-forge-specfun/Makefile
  branches/2017Q2/math/octave-forge-special-matrix/Makefile
  branches/2017Q2/math/octave-forge-splines/Makefile
  branches/2017Q2/math/octave-forge-statistics/Makefile
  branches/2017Q2/math/octave-forge-stk/Makefile
  branches/2017Q2/math/octave-forge-strings/Makefile
  branches/2017Q2/math/octave-forge-struct/Makefile
  branches/2017Q2/math/octave-forge-symband/Makefile
  branches/2017Q2/math/octave-forge-symbolic/Makefile
  branches/2017Q2/math/octave-forge-tcl-octave/Makefile
  branches/2017Q2/math/octave-forge-tisean/Makefile
  branches/2017Q2/math/octave-forge-tsa/Makefile
  branches/2017Q2/math/octave-forge-video/Makefile
  branches/2017Q2/math/octave-forge-zenity/Makefile
  branches/2017Q2/math/octave-forge-zeromq/Makefile
  branches/2017Q2/math/openblas/Makefile
  branches/2017Q2/math/openfst/Makefile
  branches/2017Q2/math/opensolaris-libm/Makefile
  branches/2017Q2/math/p5-Math-Int128/Makefile
  branches/2017Q2/math/pdal/Makefile
  branches/2017Q2/math/plplot/Makefile
  branches/2017Q2/math/py-cryptominisat/Makefile
  branches/2017Q2/math/py-matplotlib/Makefile
  branches/2017Q2/math/py-numpy/Makefile
  branches/2017Q2/math/py-pysparse/Makefile
  branches/2017Q2/math/py-symeig/Makefile
  branches/2017Q2/math/py-theano/Makefile
  branches/2017Q2/math/qalculate/Makefile
  branches/2017Q2/math/qd/Makefile
  branches/2017Q2/math/qrupdate/Makefile
  branches/2017Q2/math/rkward-kde4/Makefile
  branches/2017Q2/math/rpy2/Makefile
  branches/2017Q2/math/saga/Makefile
  branches/2017Q2/math/scalapack/Makefile
  branches/2017Q2/math/scilab/Makefile
  branches/2017Q2/math/sdpa/Makefile
  branches/2017Q2/math/sdpara/Makefile
  branches/2017Q2/math/sfft/Makefile
  branches/2017Q2/math/slatec/Makefile
  branches/2017Q2/math/spblas/Makefile
  branches/2017Q2/math/suitesparse/Makefile
  branches/2017Q2/math/superlu/Makefile
  branches/2017Q2/math/superlu_mt/Makefile
  branches/2017Q2/math/taucs/Makefile
  branches/2017Q2/math/tomsfastmath/Makefile
  branches/2017Q2/math/trlan/Makefile
  branches/2017Q2/math/vowpal_wabbit/Makefile
  branches/2017Q2/math/wfmath/Makefile
  branches/2017Q2/math/x12arima/Makefile
  branches/2017Q2/math/yacas/Makefile
  branches/2017Q2/misc/estic/Makefile
  branches/2017Q2/misc/rump/Makefile
  branches/2017Q2/misc/seabios/Makefile
  branches/2017Q2/misc/terraform/Makefile
  branches/2017Q2/multimedia/aegisub/Makefile
  branches/2017Q2/multimedia/assimp/Makefile
  branches/2017Q2/multimedia/audacious/Makefile
  branches/2017Q2/multimedia/audacious-gtk3/Makefile
  branches/2017Q2/multimedia/audacious-plugins/Makefile
  branches/2017Q2/multimedia/audacious-plugins-gtk3/Makefile
  branches/2017Q2/multimedia/baka-mplayer/Makefile
  branches/2017Q2/multimedia/bombono/Makefile
  branches/2017Q2/multimedia/dvdstyler/Makefile
  branches/2017Q2/multimedia/ffmpeg/Makefile
  branches/2017Q2/multimedia/ffmpegthumbnailer/Makefile
  branches/2017Q2/multimedia/ffms2/Makefile
  branches/2017Q2/multimedia/gstreamer1-vaapi/Makefile
  branches/2017Q2/multimedia/kf5-kmediaplayer/Makefile
  branches/2017Q2/multimedia/kissdx/Makefile
  branches/2017Q2/multimedia/kodi/Makefile
  branches/2017Q2/multimedia/kvazaar/Makefile
  branches/2017Q2/multimedia/libcec/Makefile
  branches/2017Q2/multimedia/libde265/Makefile
  branches/2017Q2/multimedia/libva-intel-driver/Makefile
  branches/2017Q2/multimedia/libvpx/Makefile
  branches/2017Q2/multimedia/lives/Makefile
  branches/2017Q2/multimedia/mjpegtools/Makefile
  branches/2017Q2/multimedia/mkvtoolnix/Makefile
  branches/2017Q2/multimedia/mpc-qt/Makefile
  branches/2017Q2/multimedia/mpv/Makefile
  branches/2017Q2/multimedia/obs-studio/Makefile
  branches/2017Q2/multimedia/oggvideotools/Makefile
  branches/2017Q2/multimedia/pHash/Makefile
  branches/2017Q2/multimedia/rage/Makefile
  branches/2017Q2/multimedia/vapoursynth/Makefile
  branches/2017Q2/multimedia/vdr/Makefile
  branches/2017Q2/multimedia/vdr-plugin-softhddevice/Makefile
  branches/2017Q2/multimedia/vlc/Makefile
  branches/2017Q2/multimedia/x264/Makefile
  branches/2017Q2/multimedia/xanim/Makefile
  branches/2017Q2/net/belle-sip/Makefile
  branches/2017Q2/net/corosync/Makefile
  branches/2017Q2/net/freerdp/Makefile
  branches/2017Q2/net/freerdp1/Makefile
  branches/2017Q2/net/glusterfs/Makefile
  branches/2017Q2/net/gnome-online-accounts/Makefile
  branches/2017Q2/net/gupnp/Makefile
  branches/2017Q2/net/iaxmodem/Makefile
  branches/2017Q2/net/ipxe/Makefile
  branches/2017Q2/net/kea/Makefile
  branches/2017Q2/net/kf5-kxmlrpcclient/Makefile
  branches/2017Q2/net/l2tpd/Makefile
  branches/2017Q2/net/libtnl/Makefile
  branches/2017Q2/net/mediatomb/Makefile
  branches/2017Q2/net/mpich/Makefile
  branches/2017Q2/net/mpich2/Makefile
  branches/2017Q2/net/ndisc6/Makefile
  branches/2017Q2/net/ndpi/Makefile
  branches/2017Q2/net/nepenthes/Makefile
  branches/2017Q2/net/ohphone/Makefile
  branches/2017Q2/net/openbsc/Makefile
  branches/2017Q2/net/openh323/Makefile
  branches/2017Q2/net/openmpi/Makefile
  branches/2017Q2/net/openmpi2/Makefile
  branches/2017Q2/net/opensips/Makefile
  branches/2017Q2/net/pacemaker/Makefile
  branches/2017Q2/net/quagga/Makefile
  branches/2017Q2/net/skstream/Makefile
  branches/2017Q2/net/spoofer/Makefile
  branches/2017Q2/net/uget/Makefile
  branches/2017Q2/net/xpvm/Makefile
  branches/2017Q2/net/yami4/Makefile
  branches/2017Q2/net/zerotier/Makefile
  branches/2017Q2/net-im/diligent/Makefile
  branches/2017Q2/net-im/jabberd/Makefile
  branches/2017Q2/net-im/ktp-common-internals/Makefile
  branches/2017Q2/net-im/ktp-text-ui/Makefile
  branches/2017Q2/net-im/libaccounts-qt5/Makefile
  branches/2017Q2/net-im/qTox/Makefile
  branches/2017Q2/net-im/ricochet/Makefile
  branches/2017Q2/net-im/ring-daemon/Makefile
  branches/2017Q2/net-im/ring-gnome/Makefile
  branches/2017Q2/net-im/ring-libclient/Makefile
  branches/2017Q2/net-im/teamwords/Makefile
  branches/2017Q2/net-im/telegram-purple/Makefile
  branches/2017Q2/net-im/tox/Makefile
  branches/2017Q2/net-im/uTox/Makefile
  branches/2017Q2/net-mgmt/chillispot/Makefile
  branches/2017Q2/net-mgmt/mk-livestatus/Makefile
  branches/2017Q2/net-mgmt/resource-agents/Makefile
  branches/2017Q2/net-mgmt/seafile-gui/Makefile
  branches/2017Q2/net-p2p/bitcoin/Makefile
  branches/2017Q2/net-p2p/cpuminer/Makefile
  branches/2017Q2/net-p2p/dogecoin/Makefile
  branches/2017Q2/net-p2p/eiskaltdcpp-daemon/Makefile
  branches/2017Q2/net-p2p/eiskaltdcpp-gtk/Makefile
  branches/2017Q2/net-p2p/eiskaltdcpp-lib/Makefile
  branches/2017Q2/net-p2p/eiskaltdcpp-qt/Makefile
  branches/2017Q2/net-p2p/go-ethereum/Makefile
  branches/2017Q2/net-p2p/libtorrent/Makefile
  branches/2017Q2/net-p2p/libtorrent-rasterbar/Makefile
  branches/2017Q2/net-p2p/namecoin/Makefile
  branches/2017Q2/net-p2p/qbittorrent/Makefile
  branches/2017Q2/net-p2p/rtorrent/Makefile
  branches/2017Q2/net-p2p/transmission-qt4/Makefile
  branches/2017Q2/net-p2p/zetacoin/Makefile
  branches/2017Q2/news/nzbget/Makefile
  branches/2017Q2/palm/jpilot/Makefile
  branches/2017Q2/polish/kadu/Makefile
  branches/2017Q2/polish/qnapi/Makefile
  branches/2017Q2/ports-mgmt/octopkg/Makefile
  branches/2017Q2/ports-mgmt/portal/Makefile
  branches/2017Q2/ports-mgmt/portrac/Makefile
  branches/2017Q2/print/cups-filters/Makefile
  branches/2017Q2/print/gribouy/Makefile
  branches/2017Q2/print/harfbuzz/Makefile
  branches/2017Q2/print/libmspub01/Makefile
  branches/2017Q2/print/pdftk/Makefile
  branches/2017Q2/science/cdf/Makefile
  branches/2017Q2/science/cgnslib/Makefile
  branches/2017Q2/science/clhep/Makefile
  branches/2017Q2/science/dcl/Makefile
  branches/2017Q2/science/dlpoly-classic/Makefile
  branches/2017Q2/science/fvcom/Makefile
  branches/2017Q2/science/fvm/Makefile
  branches/2017Q2/science/getdp/Makefile
  branches/2017Q2/science/ghemical/Makefile
  branches/2017Q2/science/gnudatalanguage/Makefile
  branches/2017Q2/science/gromacs/Makefile
  branches/2017Q2/science/harminv/Makefile
  branches/2017Q2/science/hdf/Makefile
  branches/2017Q2/science/hdf5/Makefile
  branches/2017Q2/science/hdf5-18/Makefile
  branches/2017Q2/science/isaac-cfd/Makefile
  branches/2017Q2/science/libctl/Makefile
  branches/2017Q2/science/libgeodecomp/Makefile
  branches/2017Q2/science/libghemical/Makefile
  branches/2017Q2/science/libint/Makefile
  branches/2017Q2/science/libxc/Makefile
  branches/2017Q2/science/massxpert/Makefile
  branches/2017Q2/science/mbdyn/Makefile
  branches/2017Q2/science/meep/Makefile
  branches/2017Q2/science/mpb/Makefile
  branches/2017Q2/science/mpqc/Makefile
  branches/2017Q2/science/ncs/Makefile
  branches/2017Q2/science/netcdf-fortran/Makefile
  branches/2017Q2/science/openkim/Makefile
  branches/2017Q2/science/pnetcdf/Makefile
  branches/2017Q2/science/psychopy/Makefile
  branches/2017Q2/science/py-obspy/Makefile
  branches/2017Q2/science/py-scikit-learn/Makefile
  branches/2017Q2/science/py-scikit-sparse/Makefile
  branches/2017Q2/science/py-scipy/Makefile
  branches/2017Q2/science/silo/Makefile
  branches/2017Q2/science/v_sim/Makefile
  branches/2017Q2/security/arpCounterattack/Makefile
  branches/2017Q2/security/bearssl/Makefile
  branches/2017Q2/security/bro/Makefile
  branches/2017Q2/security/certificate-transparency/Makefile
  branches/2017Q2/security/clamav/Makefile
  branches/2017Q2/security/clambc/Makefile
  branches/2017Q2/security/cryptopp/Makefile
  branches/2017Q2/security/gnome-keyring/Makefile
  branches/2017Q2/security/gnupg/Makefile
  branches/2017Q2/security/gpgme/Makefile
  branches/2017Q2/security/hashcat-legacy/Makefile
  branches/2017Q2/security/hpenc/Makefile
  branches/2017Q2/security/i2pd/Makefile
  branches/2017Q2/security/john/Makefile
  branches/2017Q2/security/keepassx-devel/Makefile
  branches/2017Q2/security/keepassxc/Makefile
  branches/2017Q2/security/kf5-kdesu/Makefile
  branches/2017Q2/security/libzrtpcppcore/Makefile
  branches/2017Q2/security/obfsclient/Makefile
  branches/2017Q2/security/pinentry/Makefile
  branches/2017Q2/security/pks/Makefile
  branches/2017Q2/security/quantis/Makefile
  branches/2017Q2/security/seccure/Makefile
  branches/2017Q2/security/titus/Makefile
  branches/2017Q2/sysutils/android-file-transfer/Makefile
  branches/2017Q2/sysutils/b2sum/Makefile
  branches/2017Q2/sysutils/bsdisks/Makefile
  branches/2017Q2/sysutils/clone/Makefile
  branches/2017Q2/sysutils/cloudabi-utils/Makefile
  branches/2017Q2/sysutils/conky/Makefile
  branches/2017Q2/sysutils/dar/Makefile
  branches/2017Q2/sysutils/facter/Makefile
  branches/2017Q2/sysutils/freefilesync/Makefile
  branches/2017Q2/sysutils/fusefs-encfs/Makefile
  branches/2017Q2/sysutils/fusefs-lkl/Makefile
  branches/2017Q2/sysutils/fusefs-simple-mtpfs/Makefile
  branches/2017Q2/sysutils/gnome-control-center/Makefile
  branches/2017Q2/sysutils/grub2/Makefile
  branches/2017Q2/sysutils/grub2-bhyve/Makefile
  branches/2017Q2/sysutils/grub2-efi/Makefile
  branches/2017Q2/sysutils/grub2-pcbsd/Makefile
  branches/2017Q2/sysutils/hfm/Makefile
  branches/2017Q2/sysutils/i7z/Makefile
  branches/2017Q2/sysutils/ipdbtools/Makefile
  branches/2017Q2/sysutils/kf5-baloo/Makefile
  branches/2017Q2/sysutils/kf5-kwallet/Makefile
  branches/2017Q2/sysutils/kshutdown-kde4/Makefile
  branches/2017Q2/sysutils/libretto-config/Makefile
  branches/2017Q2/sysutils/logstalgia/Makefile
  branches/2017Q2/sysutils/mate-system-monitor/Makefile
  branches/2017Q2/sysutils/osquery/Makefile
  branches/2017Q2/sysutils/parafly/Makefile
  branches/2017Q2/sysutils/pesign/Makefile
  branches/2017Q2/sysutils/polkit/Makefile
  branches/2017Q2/sysutils/powerdxx/Makefile
  branches/2017Q2/sysutils/shim/Makefile
  branches/2017Q2/sysutils/spiped/Makefile
  branches/2017Q2/sysutils/tarsnap-gui/Makefile
  branches/2017Q2/sysutils/wiimms/Makefile
  branches/2017Q2/textproc/ctpp2/Makefile
  branches/2017Q2/textproc/fcitx-qt5/Makefile
  branches/2017Q2/textproc/gutenmark/Makefile
  branches/2017Q2/textproc/highlight/Makefile
  branches/2017Q2/textproc/ibus/Makefile
  branches/2017Q2/textproc/kenlm/Makefile
  branches/2017Q2/textproc/kf5-kcodecs/Makefile
  branches/2017Q2/textproc/kf5-sonnet/Makefile
  branches/2017Q2/textproc/kf5-syntax-highlighting/Makefile
  branches/2017Q2/textproc/libe-book/Makefile
  branches/2017Q2/textproc/libsass/Makefile
  branches/2017Q2/textproc/libvisio01/Makefile
  branches/2017Q2/textproc/opengrm-ngram/Makefile
  branches/2017Q2/textproc/pdfgrep/Makefile
  branches/2017Q2/textproc/pugixml/Makefile
  branches/2017Q2/textproc/randlm/Makefile
  branches/2017Q2/textproc/sassc/Makefile
  branches/2017Q2/textproc/senna/Makefile
  branches/2017Q2/textproc/sigil/Makefile
  branches/2017Q2/textproc/uim-kde4/Makefile
  branches/2017Q2/textproc/wiggle/Makefile
  branches/2017Q2/textproc/yodl/Makefile
  branches/2017Q2/textproc/zorba/Makefile
  branches/2017Q2/www/anyterm/Makefile
  branches/2017Q2/www/aria2/Makefile
  branches/2017Q2/www/edbrowse/Makefile
  branches/2017Q2/www/epiphany/Makefile
  branches/2017Q2/www/gecko-mediaplayer/Makefile
  branches/2017Q2/www/h2o/Makefile
  branches/2017Q2/www/hiawatha/Makefile
  branches/2017Q2/www/kannel/Makefile
  branches/2017Q2/www/kannel-sqlbox/Makefile
  branches/2017Q2/www/kf5-kdewebkit/Makefile
  branches/2017Q2/www/kf5-khtml/Makefile
  branches/2017Q2/www/kf5-kjs/Makefile
  branches/2017Q2/www/kf5-kjsembed/Makefile
  branches/2017Q2/www/mod_authnz_crowd/Makefile
  branches/2017Q2/www/mod_spdy/Makefile
  branches/2017Q2/www/newsbeuter/Makefile
  branches/2017Q2/www/nghttp2/Makefile
  branches/2017Q2/www/node/Makefile
  branches/2017Q2/www/node4/Makefile
  branches/2017Q2/www/node6/Makefile
  branches/2017Q2/www/otter-browser/Makefile
  branches/2017Q2/www/p5-Gtk2-WebKit/Makefile
  branches/2017Q2/www/rejik/Makefile
  branches/2017Q2/www/spdylay/Makefile
  branches/2017Q2/www/squid-devel/Makefile
  branches/2017Q2/www/webkit-gtk2/Makefile
  branches/2017Q2/www/webkit-gtk3/Makefile
  branches/2017Q2/www/webkit2-gtk3/Makefile
  branches/2017Q2/www/wt/Makefile
  branches/2017Q2/x11/cinnamon/Makefile
  branches/2017Q2/x11/cool-retro-term/Makefile
  branches/2017Q2/x11/eaglemode/Makefile
  branches/2017Q2/x11/gnome-shell/Makefile
  branches/2017Q2/x11/kactivities/Makefile
  branches/2017Q2/x11/kactivitymanagerd/Makefile
  branches/2017Q2/x11/kde4-workspace/Makefile
  branches/2017Q2/x11/kf5-frameworkintegration/Makefile
  branches/2017Q2/x11/kf5-kactivities/Makefile
  branches/2017Q2/x11/kf5-kded/Makefile
  branches/2017Q2/x11/kf5-kdelibs4support/Makefile
  branches/2017Q2/x11/kf5-kglobalaccel/Makefile
  branches/2017Q2/x11/kf5-kinit/Makefile
  branches/2017Q2/x11/kf5-krunner/Makefile
  branches/2017Q2/x11/kf5-kwayland/Makefile
  branches/2017Q2/x11/kf5-kwindowsystem/Makefile
  branches/2017Q2/x11/kf5-plasma-framework/Makefile
  branches/2017Q2/x11/lemonbar/Makefile
  branches/2017Q2/x11/libfm-qt/Makefile
  branches/2017Q2/x11/qterminal/Makefile
  branches/2017Q2/x11/terminology/Makefile
  branches/2017Q2/x11/thingylaunch/Makefile
  branches/2017Q2/x11/virtualgl/Makefile
  branches/2017Q2/x11/xpra/Makefile
  branches/2017Q2/x11-fm/gnome-commander2/Makefile
  branches/2017Q2/x11-fm/pcmanfm-qt/Makefile
  branches/2017Q2/x11-fm/wcmcommander/Makefile
  branches/2017Q2/x11-fm/worker/Makefile
  branches/2017Q2/x11-themes/adwaita-qt4/Makefile
  branches/2017Q2/x11-themes/adwaita-qt5/Makefile
  branches/2017Q2/x11-themes/kf5-kemoticons/Makefile
  branches/2017Q2/x11-themes/kf5-kiconthemes/Makefile
  branches/2017Q2/x11-themes/qt4-style-Kvantum/Makefile
  branches/2017Q2/x11-themes/qt5-style-Kvantum/Makefile
  branches/2017Q2/x11-themes/qtcurve/Makefile
  branches/2017Q2/x11-toolkits/c++-gtk-utils/Makefile
  branches/2017Q2/x11-toolkits/fox17/Makefile
  branches/2017Q2/x11-toolkits/kf5-attica/Makefile
  branches/2017Q2/x11-toolkits/kf5-kcompletion/Makefile
  branches/2017Q2/x11-toolkits/kf5-kconfigwidgets/Makefile
  branches/2017Q2/x11-toolkits/kf5-kdesignerplugin/Makefile
  branches/2017Q2/x11-toolkits/kf5-kguiaddons/Makefile
  branches/2017Q2/x11-toolkits/kf5-kitemviews/Makefile
  branches/2017Q2/x11-toolkits/kf5-kjobwidgets/Makefile
  branches/2017Q2/x11-toolkits/kf5-ktextwidgets/Makefile
  branches/2017Q2/x11-toolkits/kf5-kwidgetsaddons/Makefile
  branches/2017Q2/x11-toolkits/kf5-kxmlgui/Makefile
  branches/2017Q2/x11-toolkits/kirigami/Makefile
  branches/2017Q2/x11-toolkits/kirigami2/Makefile
  branches/2017Q2/x11-toolkits/mygui/Makefile
  branches/2017Q2/x11-toolkits/p5-Wx/Makefile
  branches/2017Q2/x11-toolkits/py-wxPython30/Makefile
  branches/2017Q2/x11-toolkits/qtermwidget/Makefile
  branches/2017Q2/x11-toolkits/scintilla/Makefile
  branches/2017Q2/x11-toolkits/vte3/Makefile
  branches/2017Q2/x11-toolkits/wxgtk30/Makefile
  branches/2017Q2/x11-wm/herbstluftwm/Makefile
  branches/2017Q2/x11-wm/metacity/Makefile
  branches/2017Q2/x11-wm/mutter/Makefile
Comment 50 commit-hook freebsd_committer 2017-04-02 09:09:26 UTC
A commit references this bug:

Author: jbeich
Date: Sun Apr  2 09:09:01 UTC 2017
New revision: 437538
URL: https://svnweb.freebsd.org/changeset/ports/437538

Log:
  MFH: r437435 r437437 r437439 r437475 by gerald

  Remove files/patch-armv6-hf-support since armv6hf no longer exists as
  an arch.

  Reported by:	andreast

  Update lang/gcc and hence the default version of GCC in the Ports
  Collection (requested by USE_GCC=yes and various USES=compiler
  invocations) from GCC 4.9.4 to GCC 5.4.

  files/patch-arm-support and files/patch-gcc_system.h have become
  obsolete.  New patches files/patch-arm-unwind-cxx-support and
  files/patch-libc++ help support arm targets and new libc++ in base.

  ONLY_FOR_ARCHS now also includes arm.

  A new option GRAPHITE_DESC, off by default for now, adds support for
  Graphite loop optimizations.

  Finally, conflicts with other lang/gcc* ports are adjusted suitably.

  In terms of changes for users, this upgrade brings the following:

  The default mode for C is now -std=gnu11 instead of -std=gnu89.
  New warning options -Wc90-c99-compat and -Wc99-c11-compat may
  prove useful on that front.

  The C++ front end now has full C++14 language support including
  C++14 variable templates, C++14 aggregates with non-static data
  member initializers, C++14 extended constexpr, and more.
  The Standard C++ Library (libstdc++) has full C++11 support and
  experimental full C++14 support.  It uses a new ABI by default.

  There have been significant improvements to inter-procedural optimizations
  and link-time optimization such as One Definition Rule based merging of C++
  types as well as register allocation.

  OpenMP 4.0 specification offloading features are now supported by the C,
  C++, and Fortran compilers.  Cilk Plus, an extension to the C and C++
  languages to support data and task parallelism, has been added as well.

  New warning options -Wswitch-bool, -Wlogical-not-parentheses,
  -Wbool-compare and -Wsizeof-array-argument may prove useful as
  may new preprocessor directives __has_include, __has_include_next,
  and __has_attribute.

  GCC can now be built as a shared library for embedding in other processes
  (such as interpreters), suitable for Just-In-Time compilation to machine
  code.  This provides a C API and a C++ wrapper API.

  Many code generation improvements for AArch64, ARM, support for
  AVX-512{BW,DQ,VL,IFMA,VBMI} and Intel MPX on x86-64, and generally
  improvements on many targets.

  The Local Register Allocator (LRA) now contains a rematerialization
  subpass and is able to reuse the PIC hard register on x86/x86-64 to
  improve performance of position independent code.

  https://gcc.gnu.org/gcc-5/changes.html has a more extensive set of
  changes and https://gcc.gnu.org/gcc-5/porting_to.html has a solid
  overview of issue you may encountering porting to this new version.

  PR:             216707, 218125
  Tested by:      antoine (-exp runs)
  Supported by:   jbeich, tcberner, and others

  Bump PORTREVISIONs for ports depending on the canonical version of GCC and
  lang/gcc which have moved from GCC 4.9.4 to GCC 5.4 (at least under some
  circumstances such as versions of FreeBSD or platforms).

  This includes ports
   - with USE_GCC=yes or USE_GCC=any,
   - with USES=fortran,
   - using using Mk/bsd.octave.mk which in turn has USES=fortran, and
   - with USES=compiler specifying openmp, nestedfct, c++11-lib, c++14-lang,
     c++11-lang, c++0x, c11, or gcc-c++11-lib.

  PR:		216707

  Add support for aarch64.

  Submitted by:	andreast

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/Mk/bsd.default-versions.mk
  branches/2017Q2/archivers/kf5-karchive/Makefile
  branches/2017Q2/archivers/paq/Makefile
  branches/2017Q2/archivers/pxz/Makefile
  branches/2017Q2/archivers/py-brotli/Makefile
  branches/2017Q2/archivers/rvm/Makefile
  branches/2017Q2/astro/geographiclib/Makefile
  branches/2017Q2/astro/gpstk/Makefile
  branches/2017Q2/astro/kstars/Makefile
  branches/2017Q2/astro/libosmium/Makefile
  branches/2017Q2/astro/nightfall/Makefile
  branches/2017Q2/astro/opencpn/Makefile
  branches/2017Q2/astro/qmapshack/Makefile
  branches/2017Q2/astro/viking/Makefile
  branches/2017Q2/astro/wcslib/Makefile
  branches/2017Q2/astro/xtide/Makefile
  branches/2017Q2/audio/audacity/Makefile
  branches/2017Q2/audio/calf/Makefile
  branches/2017Q2/audio/ccaudio2/Makefile
  branches/2017Q2/audio/chromaprint/Makefile
  branches/2017Q2/audio/codec2/Makefile
  branches/2017Q2/audio/csound/Makefile
  branches/2017Q2/audio/csound6/Makefile
  branches/2017Q2/audio/deadbeef/Makefile
  branches/2017Q2/audio/espeak/Makefile
  branches/2017Q2/audio/firefly/Makefile
  branches/2017Q2/audio/funktrackergold/Makefile
  branches/2017Q2/audio/gbsplay/Makefile
  branches/2017Q2/audio/gnuspeechsa/Makefile
  branches/2017Q2/audio/gogglesmm/Makefile
  branches/2017Q2/audio/idjc/Makefile
  branches/2017Q2/audio/libsoxr/Makefile
  branches/2017Q2/audio/murmur/Makefile
  branches/2017Q2/audio/musescore/Makefile
  branches/2017Q2/audio/musicpd/Makefile
  branches/2017Q2/audio/ncmpcpp/Makefile
  branches/2017Q2/audio/openal-soft/Makefile
  branches/2017Q2/audio/openspc/Makefile
  branches/2017Q2/audio/pragha/Makefile
  branches/2017Q2/audio/pulseaudio/Makefile
  branches/2017Q2/audio/py-karaoke/Makefile
  branches/2017Q2/audio/py-tagpy/Makefile
  branches/2017Q2/audio/qjackctl/Makefile
  branches/2017Q2/audio/rosegarden/Makefile
  branches/2017Q2/audio/sayonara/Makefile
  branches/2017Q2/audio/schism/Makefile
  branches/2017Q2/audio/smasher/Makefile
  branches/2017Q2/audio/soundkonverter/Makefile
  branches/2017Q2/audio/soundtouch/Makefile
  branches/2017Q2/audio/spek/Makefile
  branches/2017Q2/audio/tomahawk/Makefile
  branches/2017Q2/audio/wxguitar/Makefile
  branches/2017Q2/audio/xmms-gbsplay/Makefile
  branches/2017Q2/benchmarks/himenobench/Makefile
  branches/2017Q2/benchmarks/hpl/Makefile
  branches/2017Q2/benchmarks/octave-forge-benchmark/Makefile
  branches/2017Q2/benchmarks/phoronix-test-suite/Makefile
  branches/2017Q2/benchmarks/polygraph/Makefile
  branches/2017Q2/biology/bowtie/Makefile
  branches/2017Q2/biology/cd-hit/Makefile
  branches/2017Q2/biology/crux/Makefile
  branches/2017Q2/biology/diamond/Makefile
  branches/2017Q2/biology/fasttree/Makefile
  branches/2017Q2/biology/jellyfish/Makefile
  branches/2017Q2/biology/molden/Makefile
  branches/2017Q2/biology/mopac/Makefile
  branches/2017Q2/biology/ncbi-blast+/Makefile
  branches/2017Q2/biology/plink/Makefile
  branches/2017Q2/biology/psi88/Makefile
  branches/2017Q2/biology/seqan-apps/Makefile
  branches/2017Q2/biology/seqtools/Makefile
  branches/2017Q2/biology/ssaha/Makefile
  branches/2017Q2/biology/t_coffee/Makefile
  branches/2017Q2/biology/tinker/Makefile
  branches/2017Q2/cad/NASTRAN-95/Makefile
  branches/2017Q2/cad/alliance/Makefile
  branches/2017Q2/cad/calculix/Makefile
  branches/2017Q2/cad/cura-engine/Makefile
  branches/2017Q2/cad/elmerfem/Makefile
  branches/2017Q2/cad/feappv/Makefile
  branches/2017Q2/cad/freecad/Makefile
  branches/2017Q2/cad/freehdl/Makefile
  branches/2017Q2/cad/gmsh/Makefile
  branches/2017Q2/cad/gspiceui/Makefile
  branches/2017Q2/cad/kicad/Makefile
  branches/2017Q2/cad/kicad-devel/Makefile
  branches/2017Q2/cad/klayout/Makefile
  branches/2017Q2/cad/libopencad/Makefile
  branches/2017Q2/cad/librecad/Makefile
  branches/2017Q2/cad/meshlab/Makefile
  branches/2017Q2/cad/opencascade/Makefile
  branches/2017Q2/cad/openscad/Makefile
  branches/2017Q2/cad/openvsp/Makefile
  branches/2017Q2/cad/pdnmesh/Makefile
  branches/2017Q2/cad/qelectrotech/Makefile
  branches/2017Q2/cad/sceptre/Makefile
  branches/2017Q2/cad/scotch/Makefile
  branches/2017Q2/cad/stepcode/Makefile
  branches/2017Q2/cad/tochnog/Makefile
  branches/2017Q2/chinese/ibus-libpinyin/Makefile
  branches/2017Q2/chinese/ibus-pinyin/Makefile
  branches/2017Q2/chinese/librime/Makefile
  branches/2017Q2/chinese/opencc/Makefile
  branches/2017Q2/chinese/pyzy/Makefile
  branches/2017Q2/comms/aldo/Makefile
  branches/2017Q2/comms/dabstick-radio/Makefile
  branches/2017Q2/comms/efax-gtk/Makefile
  branches/2017Q2/comms/ems-flasher/Makefile
  branches/2017Q2/comms/fldigi/Makefile
  branches/2017Q2/comms/freedv/Makefile
  branches/2017Q2/comms/gnuradio/Makefile
  branches/2017Q2/comms/gr-osmosdr/Makefile
  branches/2017Q2/comms/qt5-serialbus/Makefile
  branches/2017Q2/comms/sdr-wspr/Makefile
  branches/2017Q2/comms/telldus-core/Makefile
  branches/2017Q2/comms/trustedqsl/Makefile
  branches/2017Q2/comms/uhd/Makefile
  branches/2017Q2/comms/usrp/Makefile
  branches/2017Q2/comms/wsjt/Makefile
  branches/2017Q2/comms/wsjtx/Makefile
  branches/2017Q2/comms/wspr/Makefile
  branches/2017Q2/converters/pdf2djvu/Makefile
  branches/2017Q2/databases/clickhouse/Makefile
  branches/2017Q2/databases/evolution-data-server/Makefile
  branches/2017Q2/databases/fastdb/Makefile
  branches/2017Q2/databases/galera/Makefile
  branches/2017Q2/databases/gigabase/Makefile
  branches/2017Q2/databases/gnats4/Makefile
  branches/2017Q2/databases/gomdb/Makefile
  branches/2017Q2/databases/grass/Makefile
  branches/2017Q2/databases/leveldb/Makefile
  branches/2017Q2/databases/levigo/Makefile
  branches/2017Q2/databases/mariadb-connector-c/Makefile
  branches/2017Q2/databases/mariadb100-server/Makefile
  branches/2017Q2/databases/mariadb101-server/Makefile
  branches/2017Q2/databases/mariadb55-server/Makefile
  branches/2017Q2/databases/mysql-q4m/Makefile
  branches/2017Q2/databases/mysql56-server/Makefile
  branches/2017Q2/databases/mysql57-server/Makefile
  branches/2017Q2/databases/mysql80-server/Makefile
  branches/2017Q2/databases/percona57-server/Makefile
  branches/2017Q2/databases/pgadmin3/Makefile
  branches/2017Q2/databases/pgmodeler/Makefile
  branches/2017Q2/databases/pgrouting/Makefile
  branches/2017Q2/databases/php5-pdo_cassandra/Makefile
  branches/2017Q2/databases/postgresql-plv8js/Makefile
  branches/2017Q2/databases/riak2/Makefile
  branches/2017Q2/databases/rocksdb/Makefile
  branches/2017Q2/databases/sqlitestudio/Makefile
  branches/2017Q2/databases/tarantool/Makefile
  branches/2017Q2/databases/vsqlite/Makefile
  branches/2017Q2/deskutils/bijiben/Makefile
  branches/2017Q2/deskutils/gnome-documents/Makefile
  branches/2017Q2/deskutils/gnome-initial-setup/Makefile
  branches/2017Q2/deskutils/gnome-photos/Makefile
  branches/2017Q2/deskutils/gnome-todo/Makefile
  branches/2017Q2/deskutils/gnote/Makefile
  branches/2017Q2/deskutils/growl-for-linux/Makefile
  branches/2017Q2/deskutils/homerun/Makefile
  branches/2017Q2/deskutils/kdeconnect/Makefile
  branches/2017Q2/deskutils/owncloudclient/Makefile
  branches/2017Q2/deskutils/sliderule/Makefile
  branches/2017Q2/deskutils/taskd/Makefile
  branches/2017Q2/deskutils/taskwarrior/Makefile
  branches/2017Q2/deskutils/treesheets/Makefile
  branches/2017Q2/deskutils/xneur/Makefile
  branches/2017Q2/devel/aegis/Makefile
  branches/2017Q2/devel/android-tools-adb/Makefile
  branches/2017Q2/devel/android-tools-fastboot/Makefile
  branches/2017Q2/devel/android-tools-simpleperf/Makefile
  branches/2017Q2/devel/api-sanity-autotest/Makefile
  branches/2017Q2/devel/argdata/Makefile
  branches/2017Q2/devel/asmutils/Makefile
  branches/2017Q2/devel/atlas-devel/Makefile
  branches/2017Q2/devel/aws-sdk-cpp/Makefile
  branches/2017Q2/devel/bisoncpp/Makefile
  branches/2017Q2/devel/bossa/Makefile
  branches/2017Q2/devel/bullet/Makefile
  branches/2017Q2/devel/caf/Makefile
  branches/2017Q2/devel/ccrtp/Makefile
  branches/2017Q2/devel/cctz/Makefile
  branches/2017Q2/devel/cheritrace-devel/Makefile
  branches/2017Q2/devel/clanlib/Makefile
  branches/2017Q2/devel/covtool/Makefile
  branches/2017Q2/devel/cppcheck/Makefile
  branches/2017Q2/devel/cssc/Makefile
  branches/2017Q2/devel/cx_Freeze/Makefile
  branches/2017Q2/devel/dbus-c++/Makefile
  branches/2017Q2/devel/devhelp/Makefile
  branches/2017Q2/devel/dia2code+/Makefile
  branches/2017Q2/devel/drpython/Makefile
  branches/2017Q2/devel/efivar/Makefile
  branches/2017Q2/devel/efl/Makefile
  branches/2017Q2/devel/embb/Makefile
  branches/2017Q2/devel/eris/Makefile
  branches/2017Q2/devel/flatbuffers/Makefile
  branches/2017Q2/devel/freeocl/Makefile
  branches/2017Q2/devel/gdb66/Makefile
  branches/2017Q2/devel/gitg/Makefile
  branches/2017Q2/devel/gnu-efi/Makefile
  branches/2017Q2/devel/godot/Makefile
  branches/2017Q2/devel/grantlee5/Makefile
  branches/2017Q2/devel/hhdate/Makefile
  branches/2017Q2/devel/hyperscan/Makefile
  branches/2017Q2/devel/injeqt/Makefile
  branches/2017Q2/devel/ipython/Makefile
  branches/2017Q2/devel/jsoncpp/Makefile
  branches/2017Q2/devel/jsonnet/Makefile
  branches/2017Q2/devel/kBuild/Makefile
  branches/2017Q2/devel/kdesvn-kde4/Makefile
  branches/2017Q2/devel/kdevelop-kde4/Makefile
  branches/2017Q2/devel/kdevelop-pg-qt/Makefile
  branches/2017Q2/devel/kdevelop-php/Makefile
  branches/2017Q2/devel/kdevelop-php-docs/Makefile
  branches/2017Q2/devel/kdevplatform/Makefile
  branches/2017Q2/devel/kf5-kauth/Makefile
  branches/2017Q2/devel/kf5-kbookmarks/Makefile
  branches/2017Q2/devel/kf5-kcmutils/Makefile
  branches/2017Q2/devel/kf5-kconfig/Makefile
  branches/2017Q2/devel/kf5-kcoreaddons/Makefile
  branches/2017Q2/devel/kf5-kcrash/Makefile
  branches/2017Q2/devel/kf5-kdbusaddons/Makefile
  branches/2017Q2/devel/kf5-kdeclarative/Makefile
  branches/2017Q2/devel/kf5-kdoctools/Makefile
  branches/2017Q2/devel/kf5-kfilemetadata/Makefile
  branches/2017Q2/devel/kf5-ki18n/Makefile
  branches/2017Q2/devel/kf5-kidletime/Makefile
  branches/2017Q2/devel/kf5-kio/Makefile
  branches/2017Q2/devel/kf5-kitemmodels/Makefile
  branches/2017Q2/devel/kf5-knewstuff/Makefile
  branches/2017Q2/devel/kf5-knotifications/Makefile
  branches/2017Q2/devel/kf5-knotifyconfig/Makefile
  branches/2017Q2/devel/kf5-kpackage/Makefile
  branches/2017Q2/devel/kf5-kparts/Makefile
  branches/2017Q2/devel/kf5-kpeople/Makefile
  branches/2017Q2/devel/kf5-kpty/Makefile
  branches/2017Q2/devel/kf5-kservice/Makefile
  branches/2017Q2/devel/kf5-ktexteditor/Makefile
  branches/2017Q2/devel/kf5-kunitconversion/Makefile
  branches/2017Q2/devel/kf5-solid/Makefile
  branches/2017Q2/devel/kf5-threadweaver/Makefile
  branches/2017Q2/devel/libbobcat/Makefile
  branches/2017Q2/devel/libbrotli/Makefile
  branches/2017Q2/devel/libconcurrent/Makefile
  branches/2017Q2/devel/libcrossguid/Makefile
  branches/2017Q2/devel/libdbusmenu-qt/Makefile
  branches/2017Q2/devel/libflatarray/Makefile
  branches/2017Q2/devel/libfmt/Makefile
  branches/2017Q2/devel/libgit2-glib/Makefile
  branches/2017Q2/devel/libgrading/Makefile
  branches/2017Q2/devel/libical-glib/Makefile
  branches/2017Q2/devel/liblas/Makefile
  branches/2017Q2/devel/liblouisxml/Makefile
  branches/2017Q2/devel/liblxqt/Makefile
  branches/2017Q2/devel/libopkele/Makefile
  branches/2017Q2/devel/liborcus/Makefile
  branches/2017Q2/devel/libqtxdg/Makefile
  branches/2017Q2/devel/libtuntap/Makefile
  branches/2017Q2/devel/libwfut/Makefile
  branches/2017Q2/devel/lldb38/Makefile
  branches/2017Q2/devel/llvm-cheri/Makefile
  branches/2017Q2/devel/llvm-devel/Makefile
  branches/2017Q2/devel/llvm34/Makefile
  branches/2017Q2/devel/llvm35/Makefile
  branches/2017Q2/devel/llvm36/Makefile
  branches/2017Q2/devel/llvm38/Makefile
  branches/2017Q2/devel/llvm39/Makefile
  branches/2017Q2/devel/llvm40/Makefile
  branches/2017Q2/devel/lockfree-malloc/Makefile
  branches/2017Q2/devel/love/Makefile
  branches/2017Q2/devel/mercator/Makefile
  branches/2017Q2/devel/msgpack/Makefile
  branches/2017Q2/devel/msp430-debug-stack/Makefile
  branches/2017Q2/devel/nlohmann-json/Makefile
  branches/2017Q2/devel/ocaml-lacaml/Makefile
  branches/2017Q2/devel/opendht/Makefile
  branches/2017Q2/devel/openmp/Makefile
  branches/2017Q2/devel/p5-perlkde/Makefile
  branches/2017Q2/devel/papi/Makefile
  branches/2017Q2/devel/ponscripter-sekai/Makefile
  branches/2017Q2/devel/protobuf/Makefile
  branches/2017Q2/devel/pure-stllib/Makefile
  branches/2017Q2/devel/pwlib/Makefile
  branches/2017Q2/devel/py-llfuse/Makefile
  branches/2017Q2/devel/py-llvmlite/Makefile
  branches/2017Q2/devel/py-numba/Makefile
  branches/2017Q2/devel/py-tables/Makefile
  branches/2017Q2/devel/qbs/Makefile
  branches/2017Q2/devel/qt5-qmake/Makefile
  branches/2017Q2/devel/qtcreator/Makefile
  branches/2017Q2/devel/raknet/Makefile
  branches/2017Q2/devel/rapidjson/Makefile
  branches/2017Q2/devel/re2/Makefile
  branches/2017Q2/devel/rhtvision/Makefile
  branches/2017Q2/devel/rlvm/Makefile
  branches/2017Q2/devel/sdl2pp/Makefile
  branches/2017Q2/devel/sfml/Makefile
  branches/2017Q2/devel/simgear/Makefile
  branches/2017Q2/devel/smv/Makefile
  branches/2017Q2/devel/sourcenav/Makefile
  branches/2017Q2/devel/thrift-cpp/Makefile
  branches/2017Q2/devel/tigcc/Makefile
  branches/2017Q2/devel/ucommon/Makefile
  branches/2017Q2/devel/valgrind/Makefile
  branches/2017Q2/devel/valgrind-devel/Makefile
  branches/2017Q2/devel/varconf/Makefile
  branches/2017Q2/devel/wxformbuilder/Makefile
  branches/2017Q2/devel/zeal/Makefile
  branches/2017Q2/dns/bundy/Makefile
  branches/2017Q2/dns/c-ares/Makefile
  branches/2017Q2/dns/dnsdist/Makefile
  branches/2017Q2/dns/kf5-kdnssd/Makefile
  branches/2017Q2/dns/powerdns/Makefile
  branches/2017Q2/dns/powerdns-recursor/Makefile
  branches/2017Q2/dns/void-zones-tools/Makefile
  branches/2017Q2/dns/yadifa/Makefile
  branches/2017Q2/editors/calligra/Makefile
  branches/2017Q2/editors/codelite/Makefile
  branches/2017Q2/editors/cooledit/Makefile
  branches/2017Q2/editors/focuswriter/Makefile
  branches/2017Q2/editors/latexila/Makefile
  branches/2017Q2/editors/libreoffice/Makefile
  branches/2017Q2/editors/libreoffice4/Makefile
  branches/2017Q2/editors/openoffice-4/Makefile
  branches/2017Q2/editors/openoffice-devel/Makefile
  branches/2017Q2/editors/p5-Padre/Makefile
  branches/2017Q2/editors/poedit/Makefile
  branches/2017Q2/editors/scite/Makefile
  branches/2017Q2/editors/yzis/Makefile
  branches/2017Q2/editors/zile/Makefile
  branches/2017Q2/emulators/bochs/Makefile
  branches/2017Q2/emulators/catapult/Makefile
  branches/2017Q2/emulators/citra/Makefile
  branches/2017Q2/emulators/dolphin-emu/Makefile
  branches/2017Q2/emulators/fceux/Makefile
  branches/2017Q2/emulators/gxemul/Makefile
  branches/2017Q2/emulators/higan/Makefile
  branches/2017Q2/emulators/mame/Makefile
  branches/2017Q2/emulators/mednafen/Makefile
  branches/2017Q2/emulators/mupen64plus-rsp-cxd4/Makefile
  branches/2017Q2/emulators/openmsx/Makefile
  branches/2017Q2/emulators/pearpc/Makefile
  branches/2017Q2/emulators/pipelight/Makefile
  branches/2017Q2/emulators/ppsspp/Makefile
  branches/2017Q2/emulators/raine/Makefile
  branches/2017Q2/emulators/riscv-isa-sim/Makefile
  branches/2017Q2/emulators/skyeye/Makefile
  branches/2017Q2/emulators/snes9x-gtk/Makefile
  branches/2017Q2/emulators/stella/Makefile
  branches/2017Q2/emulators/wine/Makefile
  branches/2017Q2/emulators/wine-devel/Makefile
  branches/2017Q2/emulators/wxmupen64plus/Makefile
  branches/2017Q2/emulators/x49gp/Makefile
  branches/2017Q2/finance/bitcoin-armory/Makefile
  branches/2017Q2/finance/gnucash/Makefile
  branches/2017Q2/finance/ledger/Makefile
  branches/2017Q2/finance/moneymanagerex/Makefile
  branches/2017Q2/finance/qhacc/Makefile
  branches/2017Q2/finance/skrooge/Makefile
  branches/2017Q2/french/aster/Makefile
  branches/2017Q2/french/eficas/Makefile
  branches/2017Q2/french/med/Makefile
  branches/2017Q2/ftp/filezilla/Makefile
  branches/2017Q2/ftp/libfilezilla/Makefile
  branches/2017Q2/games/0ad/Makefile
  branches/2017Q2/games/3omns/Makefile
  branches/2017Q2/games/adonthell/Makefile
  branches/2017Q2/games/alienarena/Makefile
  branches/2017Q2/games/asc/Makefile
  branches/2017Q2/games/blinkensisters/Makefile
  branches/2017Q2/games/braincurses/Makefile
  branches/2017Q2/games/bzflag/Makefile
  branches/2017Q2/games/cataclysm-dda/Makefile
  branches/2017Q2/games/cockatrice/Makefile
  branches/2017Q2/games/connectagram/Makefile
  branches/2017Q2/games/corsix-th/Makefile
  branches/2017Q2/games/craft/Makefile
  branches/2017Q2/games/criticalmass/Makefile
  branches/2017Q2/games/critterding/Makefile
  branches/2017Q2/games/doomsday/Makefile
  branches/2017Q2/games/dunelegacy/Makefile
  branches/2017Q2/games/dustrac/Makefile
  branches/2017Q2/games/easyrpg-player/Makefile
  branches/2017Q2/games/eduke32/Makefile
  branches/2017Q2/games/el/Makefile
  branches/2017Q2/games/ember/Makefile
  branches/2017Q2/games/emptyepsilon/Makefile
  branches/2017Q2/games/endless-sky/Makefile
  branches/2017Q2/games/etracer/Makefile
  branches/2017Q2/games/exult/Makefile
  branches/2017Q2/games/flightgear/Makefile
  branches/2017Q2/games/freecell-solver/Makefile
  branches/2017Q2/games/freedink-dfarc/Makefile
  branches/2017Q2/games/freeminer/Makefile
  branches/2017Q2/games/gnomebreakout/Makefile
  branches/2017Q2/games/gnubg/Makefile
  branches/2017Q2/games/golly/Makefile
  branches/2017Q2/games/gottet/Makefile
  branches/2017Q2/games/gtkpool/Makefile
  branches/2017Q2/games/hexalate/Makefile
  branches/2017Q2/games/hoverboard-sdl/Makefile
  branches/2017Q2/games/irrlamb/Makefile
  branches/2017Q2/games/liblcf/Makefile
  branches/2017Q2/games/libretro-cores/Makefile
  branches/2017Q2/games/lordsawar/Makefile
  branches/2017Q2/games/lugaru/Makefile
  branches/2017Q2/games/megaglest/Makefile
  branches/2017Q2/games/mirrormagic/Makefile
  branches/2017Q2/games/naev/Makefile
  branches/2017Q2/games/openclonk/Makefile
  branches/2017Q2/games/openlierox/Makefile
  branches/2017Q2/games/openmw/Makefile
  branches/2017Q2/games/openomf/Makefile
  branches/2017Q2/games/openspades/Makefile
  branches/2017Q2/games/opensurge/Makefile
  branches/2017Q2/games/openxcom/Makefile
  branches/2017Q2/games/openyahtzee/Makefile
  branches/2017Q2/games/peg-e/Makefile
  branches/2017Q2/games/pingus/Makefile
  branches/2017Q2/games/pioneer/Makefile
  branches/2017Q2/games/py-mnemosyne/Makefile
  branches/2017Q2/games/quackle/Makefile
  branches/2017Q2/games/quakeforge/Makefile
  branches/2017Q2/games/retroarch/Makefile
  branches/2017Q2/games/rubix/Makefile
  branches/2017Q2/games/sdl_scavenger/Makefile
  branches/2017Q2/games/sdlroids/Makefile
  branches/2017Q2/games/shaaft/Makefile
  branches/2017Q2/games/simsu/Makefile
  branches/2017Q2/games/slade/Makefile
  branches/2017Q2/games/solarus/Makefile
  branches/2017Q2/games/solarus-quest-editor/Makefile
  branches/2017Q2/games/spring/Makefile
  branches/2017Q2/games/springlobby/Makefile
  branches/2017Q2/games/stonesoup/Makefile
  branches/2017Q2/games/supertux2/Makefile
  branches/2017Q2/games/supertuxkart/Makefile
  branches/2017Q2/games/syobon/Makefile
  branches/2017Q2/games/tanglet/Makefile
  branches/2017Q2/games/tbe/Makefile
  branches/2017Q2/games/teeworlds/Makefile
  branches/2017Q2/games/tetzle/Makefile
  branches/2017Q2/games/traingame/Makefile
  branches/2017Q2/games/trenchbroom/Makefile
  branches/2017Q2/games/ufoai/Makefile
  branches/2017Q2/games/warsow/Makefile
  branches/2017Q2/games/warzone2100/Makefile
  branches/2017Q2/games/wesnoth/Makefile
  branches/2017Q2/games/widelands/Makefile
  branches/2017Q2/games/wxlauncher/Makefile
  branches/2017Q2/games/wyrmgus/Makefile
  branches/2017Q2/games/xbat/Makefile
  branches/2017Q2/games/xonotic/Makefile
  branches/2017Q2/graphics/GraphicsMagick/Makefile
  branches/2017Q2/graphics/ImageMagick/Makefile
  branches/2017Q2/graphics/ImageMagick7/Makefile
  branches/2017Q2/graphics/OpenEXR/Makefile
  branches/2017Q2/graphics/aaphoto/Makefile
  branches/2017Q2/graphics/alembic/Makefile
  branches/2017Q2/graphics/animorph/Makefile
  branches/2017Q2/graphics/argyllcms/Makefile
  branches/2017Q2/graphics/aseprite/Makefile
  branches/2017Q2/graphics/blender/Makefile
  branches/2017Q2/graphics/bugle/Makefile
  branches/2017Q2/graphics/caffe/Makefile
  branches/2017Q2/graphics/cegui/Makefile
  branches/2017Q2/graphics/cimg/Makefile
  branches/2017Q2/graphics/code-eli/Makefile
  branches/2017Q2/graphics/colmap/Makefile
  branches/2017Q2/graphics/converseen/Makefile
  branches/2017Q2/graphics/copperspice/Makefile
  branches/2017Q2/graphics/darktable/Makefile
  branches/2017Q2/graphics/dataplot/Makefile
  branches/2017Q2/graphics/dcp2icc/Makefile
  branches/2017Q2/graphics/delaboratory/Makefile
  branches/2017Q2/graphics/dilay/Makefile
  branches/2017Q2/graphics/enblend/Makefile
  branches/2017Q2/graphics/evince/Makefile
  branches/2017Q2/graphics/freeimage/Makefile
  branches/2017Q2/graphics/geomorph/Makefile
  branches/2017Q2/graphics/gimp-beautify-plugin/Makefile
  branches/2017Q2/graphics/gimp-gmic-plugin/Makefile
  branches/2017Q2/graphics/gimp-refocus-plugin/Makefile
  branches/2017Q2/graphics/gimp-resynthesizer/Makefile
  branches/2017Q2/graphics/gle-graphics/Makefile
  branches/2017Q2/graphics/gource/Makefile
  branches/2017Q2/graphics/gthumb/Makefile
  branches/2017Q2/graphics/gtimelapse/Makefile
  branches/2017Q2/graphics/guetzli/Makefile
  branches/2017Q2/graphics/hiptext/Makefile
  branches/2017Q2/graphics/hugin/Makefile
  branches/2017Q2/graphics/inkscape/Makefile
  branches/2017Q2/graphics/ipe/Makefile
  branches/2017Q2/graphics/jogamp-jogl/Makefile
  branches/2017Q2/graphics/kf5-kimageformats/Makefile
  branches/2017Q2/graphics/kf5-kplotting/Makefile
  branches/2017Q2/graphics/kf5-prison/Makefile
  branches/2017Q2/graphics/libbpg/Makefile
  branches/2017Q2/graphics/libcdr01/Makefile
  branches/2017Q2/graphics/libetonyek01/Makefile
  branches/2017Q2/graphics/libfreehand/Makefile
  branches/2017Q2/graphics/libgltf/Makefile
  branches/2017Q2/graphics/libopenraw/Makefile
  branches/2017Q2/graphics/libraw/Makefile
  branches/2017Q2/graphics/lightzone/Makefile
  branches/2017Q2/graphics/lximage-qt/Makefile
  branches/2017Q2/graphics/mahotas/Makefile
  branches/2017Q2/graphics/makehuman/Makefile
  branches/2017Q2/graphics/mapnik/Makefile
  branches/2017Q2/graphics/mhgui/Makefile
  branches/2017Q2/graphics/mupdf/Makefile
  branches/2017Q2/graphics/mypaint/Makefile
  branches/2017Q2/graphics/nurbs++/Makefile
  branches/2017Q2/graphics/ogre3d/Makefile
  branches/2017Q2/graphics/openimageio/Makefile
  branches/2017Q2/graphics/openshadinglanguage/Makefile
  branches/2017Q2/graphics/oyranos/Makefile
  branches/2017Q2/graphics/p5-PGPLOT/Makefile
  branches/2017Q2/graphics/pfstmo/Makefile
  branches/2017Q2/graphics/pgplot/Makefile
  branches/2017Q2/graphics/photivo/Makefile
  branches/2017Q2/graphics/piglit/Makefile
  branches/2017Q2/graphics/pixie/Makefile
  branches/2017Q2/graphics/py-gdal/Makefile
  branches/2017Q2/graphics/qgis/Makefile
  branches/2017Q2/graphics/raster3d/Makefile
  branches/2017Q2/graphics/rawtherapee/Makefile
  branches/2017Q2/graphics/rawtherapee-devel/Makefile
  branches/2017Q2/graphics/seexpr/Makefile
  branches/2017Q2/graphics/sekrit-twc-zimg/Makefile
  branches/2017Q2/graphics/shotwell/Makefile
  branches/2017Q2/graphics/simpleviewer/Makefile
  branches/2017Q2/graphics/tesseract/Makefile
  branches/2017Q2/graphics/tiled/Makefile
  branches/2017Q2/graphics/tulip/Makefile
  branches/2017Q2/graphics/vapoursynth-waifu2x-w2xc/Makefile
  branches/2017Q2/graphics/vigra/Makefile
  branches/2017Q2/graphics/waffle/Makefile
  branches/2017Q2/graphics/waifu2x-converter-cpp/Makefile
  branches/2017Q2/graphics/webp/Makefile
  branches/2017Q2/graphics/wxsvg/Makefile
  branches/2017Q2/graphics/xd3d/Makefile
  branches/2017Q2/graphics/zathura/Makefile
  branches/2017Q2/graphics/zathura-cb/Makefile
  branches/2017Q2/graphics/zathura-djvu/Makefile
  branches/2017Q2/graphics/zathura-pdf-mupdf/Makefile
  branches/2017Q2/graphics/zathura-pdf-poppler/Makefile
  branches/2017Q2/graphics/zathura-ps/Makefile
  branches/2017Q2/irc/ezbounce/Makefile
  branches/2017Q2/irc/ircd-ratbox/Makefile
  branches/2017Q2/irc/ircservices/Makefile
  branches/2017Q2/irc/quassel/Makefile
  branches/2017Q2/irc/znc/Makefile
  branches/2017Q2/japanese/fcitx-skk/Makefile
  branches/2017Q2/japanese/mozc-server/Makefile
  branches/2017Q2/japanese/skkinput3/Makefile
  branches/2017Q2/japanese/xtr/Makefile
  branches/2017Q2/java/classpath/Makefile
  branches/2017Q2/java/intellij-fsnotifier/Makefile
  branches/2017Q2/java/sigar/Makefile
  branches/2017Q2/lang/afnix/Makefile
  branches/2017Q2/lang/angelscript/Makefile
  branches/2017Q2/lang/bigloo/Makefile
  branches/2017Q2/lang/cilkplus/Makefile
  branches/2017Q2/lang/cint/Makefile
  branches/2017Q2/lang/cjs/Makefile
  branches/2017Q2/lang/clang34/Makefile
  branches/2017Q2/lang/clang35/Makefile
  branches/2017Q2/lang/clang36/Makefile
  branches/2017Q2/lang/cling/Makefile
  branches/2017Q2/lang/erlang-runtime15/Makefile
  branches/2017Q2/lang/erlang-runtime16/Makefile
  branches/2017Q2/lang/erlang-runtime17/Makefile
  branches/2017Q2/lang/erlang-runtime18/Makefile
  branches/2017Q2/lang/gambit-c/Makefile
  branches/2017Q2/lang/gcc/Makefile
  branches/2017Q2/lang/gcc/distinfo
  branches/2017Q2/lang/gcc/files/patch-aarch64-support
  branches/2017Q2/lang/gcc/files/patch-arm-support
  branches/2017Q2/lang/gcc/files/patch-arm-unwind-cxx-support
  branches/2017Q2/lang/gcc/files/patch-armv6-hf-support
  branches/2017Q2/lang/gcc/files/patch-gcc_system.h
  branches/2017Q2/lang/gcc/files/patch-libc++
  branches/2017Q2/lang/gcc/pkg-descr
  branches/2017Q2/lang/gcc/pkg-plist
  branches/2017Q2/lang/gcc49/Makefile
  branches/2017Q2/lang/gcc5/Makefile
  branches/2017Q2/lang/gcc5-devel/Makefile
  branches/2017Q2/lang/gcc6/Makefile
  branches/2017Q2/lang/gcc6-devel/Makefile
  branches/2017Q2/lang/gcc7-devel/Makefile
  branches/2017Q2/lang/gforth/Makefile
  branches/2017Q2/lang/ghc/Makefile
  branches/2017Q2/lang/gjs/Makefile
  branches/2017Q2/lang/gprolog/Makefile
  branches/2017Q2/lang/hugs/Makefile
  branches/2017Q2/lang/icon/Makefile
  branches/2017Q2/lang/io/Makefile
  branches/2017Q2/lang/julia/Makefile
  branches/2017Q2/lang/kf5-kross/Makefile
  branches/2017Q2/lang/mlton/Makefile
  branches/2017Q2/lang/modula3/Makefile
  branches/2017Q2/lang/mono/Makefile
  branches/2017Q2/lang/oo2c/Makefile
  branches/2017Q2/lang/opencoarrays/Makefile
  branches/2017Q2/lang/p5-ExtUtils-F77/Makefile
  branches/2017Q2/lang/phantomjs/Makefile
  branches/2017Q2/lang/pure/Makefile
  branches/2017Q2/lang/qscheme/Makefile
  branches/2017Q2/lang/ratfor/Makefile
  branches/2017Q2/lang/sagittarius-scheme/Makefile
  branches/2017Q2/lang/scm/Makefile
  branches/2017Q2/lang/spidermonkey170/Makefile
  branches/2017Q2/lang/spidermonkey24/Makefile
  branches/2017Q2/lang/v8/Makefile
  branches/2017Q2/lang/v8-devel/Makefile
  branches/2017Q2/lang/x10/Makefile
  branches/2017Q2/lang/yap/Makefile
  branches/2017Q2/lang/yap-devel/Makefile
  branches/2017Q2/lang/ypsilon/Makefile
  branches/2017Q2/mail/annoyance-filter/Makefile
  branches/2017Q2/mail/dovecot2-pigeonhole/Makefile
  branches/2017Q2/mail/libmapi/Makefile
  branches/2017Q2/mail/libvmime/Makefile
  branches/2017Q2/mail/milter-callback/Makefile
  branches/2017Q2/mail/pop3vscan/Makefile
  branches/2017Q2/mail/spamdyke/Makefile
  branches/2017Q2/mail/spamprobe/Makefile
  branches/2017Q2/mail/trojita/Makefile
  branches/2017Q2/math/R/Makefile
  branches/2017Q2/math/algae/Makefile
  branches/2017Q2/math/armadillo/Makefile
  branches/2017Q2/math/arpack/Makefile
  branches/2017Q2/math/arpack-ng/Makefile
  branches/2017Q2/math/aspcud/Makefile
  branches/2017Q2/math/atlas/Makefile
  branches/2017Q2/math/blacs/Makefile
  branches/2017Q2/math/blocksolve95/Makefile
  branches/2017Q2/math/cadabra2/Makefile
  branches/2017Q2/math/cantor/Makefile
  branches/2017Q2/math/carve/Makefile
  branches/2017Q2/math/cblas/Makefile
  branches/2017Q2/math/ceres-solver/Makefile
  branches/2017Q2/math/clp/Makefile
  branches/2017Q2/math/cmlib/Makefile
  branches/2017Q2/math/cryptominisat/Makefile
  branches/2017Q2/math/cvc3/Makefile
  branches/2017Q2/math/drgeo/Makefile
  branches/2017Q2/math/dynare/Makefile
  branches/2017Q2/math/eispack/Makefile
  branches/2017Q2/math/fflas-ffpack/Makefile
  branches/2017Q2/math/fftw/Makefile
  branches/2017Q2/math/fftw3/Makefile
  branches/2017Q2/math/fityk/Makefile
  branches/2017Q2/math/freemat/Makefile
  branches/2017Q2/math/gambit/Makefile
  branches/2017Q2/math/giacxcas/Makefile
  branches/2017Q2/math/gotoblas/Makefile
  branches/2017Q2/math/gracetmpl/Makefile
  branches/2017Q2/math/gretl/Makefile
  branches/2017Q2/math/gringo/Makefile
  branches/2017Q2/math/hfst/Makefile
  branches/2017Q2/math/ipopt/Makefile
  branches/2017Q2/math/ised/Makefile
  branches/2017Q2/math/jags/Makefile
  branches/2017Q2/math/kig/Makefile
  branches/2017Q2/math/kktdirect/Makefile
  branches/2017Q2/math/labplot/Makefile
  branches/2017Q2/math/lapack/Makefile
  branches/2017Q2/math/lapack++/Makefile
  branches/2017Q2/math/lapack95/Makefile
  branches/2017Q2/math/levmar/Makefile
  branches/2017Q2/math/libRmath/Makefile
  branches/2017Q2/math/librsb/Makefile
  branches/2017Q2/math/libtsnnls/Makefile
  branches/2017Q2/math/linpack/Makefile
  branches/2017Q2/math/math77/Makefile
  branches/2017Q2/math/metis/Makefile
  branches/2017Q2/math/miracl/Makefile
  branches/2017Q2/math/mosesdecoder/Makefile
  branches/2017Q2/math/mumps/Makefile
  branches/2017Q2/math/octave/Makefile
  branches/2017Q2/math/octave-forge-actuarial/Makefile
  branches/2017Q2/math/octave-forge-audio/Makefile
  branches/2017Q2/math/octave-forge-bim/Makefile
  branches/2017Q2/math/octave-forge-bioinfo/Makefile
  branches/2017Q2/math/octave-forge-cgi/Makefile
  branches/2017Q2/math/octave-forge-civil-engineering/Makefile
  branches/2017Q2/math/octave-forge-communications/Makefile
  branches/2017Q2/math/octave-forge-control/Makefile
  branches/2017Q2/math/octave-forge-data-smoothing/Makefile
  branches/2017Q2/math/octave-forge-database/Makefile
  branches/2017Q2/math/octave-forge-dataframe/Makefile
  branches/2017Q2/math/octave-forge-divand/Makefile
  branches/2017Q2/math/octave-forge-doctest/Makefile
  branches/2017Q2/math/octave-forge-econometrics/Makefile
  branches/2017Q2/math/octave-forge-engine/Makefile
  branches/2017Q2/math/octave-forge-fenv/Makefile
  branches/2017Q2/math/octave-forge-financial/Makefile
  branches/2017Q2/math/octave-forge-fits/Makefile
  branches/2017Q2/math/octave-forge-fl-core/Makefile
  branches/2017Q2/math/octave-forge-fpl/Makefile
  branches/2017Q2/math/octave-forge-fuzzy-logic-toolkit/Makefile
  branches/2017Q2/math/octave-forge-ga/Makefile
  branches/2017Q2/math/octave-forge-general/Makefile
  branches/2017Q2/math/octave-forge-generate_html/Makefile
  branches/2017Q2/math/octave-forge-geometry/Makefile
  branches/2017Q2/math/octave-forge-gnuplot/Makefile
  branches/2017Q2/math/octave-forge-gsl/Makefile
  branches/2017Q2/math/octave-forge-ident/Makefile
  branches/2017Q2/math/octave-forge-image/Makefile
  branches/2017Q2/math/octave-forge-informationtheory/Makefile
  branches/2017Q2/math/octave-forge-integration/Makefile
  branches/2017Q2/math/octave-forge-interval/Makefile
  branches/2017Q2/math/octave-forge-io/Makefile
  branches/2017Q2/math/octave-forge-irsa/Makefile
  branches/2017Q2/math/octave-forge-level-set/Makefile
  branches/2017Q2/math/octave-forge-linear-algebra/Makefile
  branches/2017Q2/math/octave-forge-lssa/Makefile
  branches/2017Q2/math/octave-forge-ltfat/Makefile
  branches/2017Q2/math/octave-forge-mapping/Makefile
  branches/2017Q2/math/octave-forge-mechanics/Makefile
  branches/2017Q2/math/octave-forge-miscellaneous/Makefile
  branches/2017Q2/math/octave-forge-missing-functions/Makefile
  branches/2017Q2/math/octave-forge-msh/Makefile
  branches/2017Q2/math/octave-forge-multicore/Makefile
  branches/2017Q2/math/octave-forge-mvn/Makefile
  branches/2017Q2/math/octave-forge-nan/Makefile
  branches/2017Q2/math/octave-forge-ncarray/Makefile
  branches/2017Q2/math/octave-forge-netcdf/Makefile
  branches/2017Q2/math/octave-forge-nlwing2/Makefile
  branches/2017Q2/math/octave-forge-nnet/Makefile
  branches/2017Q2/math/octave-forge-nurbs/Makefile
  branches/2017Q2/math/octave-forge-ocs/Makefile
  branches/2017Q2/math/octave-forge-oct2mat/Makefile
  branches/2017Q2/math/octave-forge-octcdf/Makefile
  branches/2017Q2/math/octave-forge-octclip/Makefile
  branches/2017Q2/math/octave-forge-octproj/Makefile
  branches/2017Q2/math/octave-forge-odebvp/Makefile
  branches/2017Q2/math/octave-forge-odepkg/Makefile
  branches/2017Q2/math/octave-forge-optics/Makefile
  branches/2017Q2/math/octave-forge-optim/Makefile
  branches/2017Q2/math/octave-forge-optiminterp/Makefile
  branches/2017Q2/math/octave-forge-outliers/Makefile
  branches/2017Q2/math/octave-forge-parallel/Makefile
  branches/2017Q2/math/octave-forge-pdb/Makefile
  branches/2017Q2/math/octave-forge-plot/Makefile
  branches/2017Q2/math/octave-forge-pt_br/Makefile
  branches/2017Q2/math/octave-forge-quaternion/Makefile
  branches/2017Q2/math/octave-forge-queueing/Makefile
  branches/2017Q2/math/octave-forge-secs1d/Makefile
  branches/2017Q2/math/octave-forge-secs2d/Makefile
  branches/2017Q2/math/octave-forge-secs3d/Makefile
  branches/2017Q2/math/octave-forge-signal/Makefile
  branches/2017Q2/math/octave-forge-simp/Makefile
  branches/2017Q2/math/octave-forge-sockets/Makefile
  branches/2017Q2/math/octave-forge-sparsersb/Makefile
  branches/2017Q2/math/octave-forge-specfun/Makefile
  branches/2017Q2/math/octave-forge-special-matrix/Makefile
  branches/2017Q2/math/octave-forge-splines/Makefile
  branches/2017Q2/math/octave-forge-statistics/Makefile
  branches/2017Q2/math/octave-forge-stk/Makefile
  branches/2017Q2/math/octave-forge-strings/Makefile
  branches/2017Q2/math/octave-forge-struct/Makefile
  branches/2017Q2/math/octave-forge-symband/Makefile
  branches/2017Q2/math/octave-forge-symbolic/Makefile
  branches/2017Q2/math/octave-forge-tcl-octave/Makefile
  branches/2017Q2/math/octave-forge-tisean/Makefile
  branches/2017Q2/math/octave-forge-tsa/Makefile
  branches/2017Q2/math/octave-forge-video/Makefile
  branches/2017Q2/math/octave-forge-zenity/Makefile
  branches/2017Q2/math/octave-forge-zeromq/Makefile
  branches/2017Q2/math/openblas/Makefile
  branches/2017Q2/math/openfst/Makefile
  branches/2017Q2/math/opensolaris-libm/Makefile
  branches/2017Q2/math/p5-Math-Int128/Makefile
  branches/2017Q2/math/pdal/Makefile
  branches/2017Q2/math/plplot/Makefile
  branches/2017Q2/math/py-cryptominisat/Makefile
  branches/2017Q2/math/py-matplotlib/Makefile
  branches/2017Q2/math/py-numpy/Makefile
  branches/2017Q2/math/py-pysparse/Makefile
  branches/2017Q2/math/py-symeig/Makefile
  branches/2017Q2/math/py-theano/Makefile
  branches/2017Q2/math/qalculate/Makefile
  branches/2017Q2/math/qd/Makefile
  branches/2017Q2/math/qrupdate/Makefile
  branches/2017Q2/math/rkward-kde4/Makefile
  branches/2017Q2/math/rpy2/Makefile
  branches/2017Q2/math/saga/Makefile
  branches/2017Q2/math/scalapack/Makefile
  branches/2017Q2/math/scilab/Makefile
  branches/2017Q2/math/sdpa/Makefile
  branches/2017Q2/math/sdpara/Makefile
  branches/2017Q2/math/sfft/Makefile
  branches/2017Q2/math/slatec/Makefile
  branches/2017Q2/math/spblas/Makefile
  branches/2017Q2/math/suitesparse/Makefile
  branches/2017Q2/math/superlu/Makefile
  branches/2017Q2/math/superlu_mt/Makefile
  branches/2017Q2/math/taucs/Makefile
  branches/2017Q2/math/tomsfastmath/Makefile
  branches/2017Q2/math/trlan/Makefile
  branches/2017Q2/math/vowpal_wabbit/Makefile
  branches/2017Q2/math/wfmath/Makefile
  branches/2017Q2/math/x12arima/Makefile
  branches/2017Q2/math/yacas/Makefile
  branches/2017Q2/misc/estic/Makefile
  branches/2017Q2/misc/rump/Makefile
  branches/2017Q2/misc/seabios/Makefile
  branches/2017Q2/misc/terraform/Makefile
  branches/2017Q2/multimedia/aegisub/Makefile
  branches/2017Q2/multimedia/assimp/Makefile
  branches/2017Q2/multimedia/audacious/Makefile
  branches/2017Q2/multimedia/audacious-gtk3/Makefile
  branches/2017Q2/multimedia/audacious-plugins/Makefile
  branches/2017Q2/multimedia/audacious-plugins-gtk3/Makefile
  branches/2017Q2/multimedia/baka-mplayer/Makefile
  branches/2017Q2/multimedia/bombono/Makefile
  branches/2017Q2/multimedia/dvdstyler/Makefile
  branches/2017Q2/multimedia/ffmpeg/Makefile
  branches/2017Q2/multimedia/ffmpegthumbnailer/Makefile
  branches/2017Q2/multimedia/ffms2/Makefile
  branches/2017Q2/multimedia/gstreamer1-vaapi/Makefile
  branches/2017Q2/multimedia/kf5-kmediaplayer/Makefile
  branches/2017Q2/multimedia/kissdx/Makefile
  branches/2017Q2/multimedia/kodi/Makefile
  branches/2017Q2/multimedia/kvazaar/Makefile
  branches/2017Q2/multimedia/libcec/Makefile
  branches/2017Q2/multimedia/libde265/Makefile
  branches/2017Q2/multimedia/libva-intel-driver/Makefile
  branches/2017Q2/multimedia/libvpx/Makefile
  branches/2017Q2/multimedia/lives/Makefile
  branches/2017Q2/multimedia/mjpegtools/Makefile
  branches/2017Q2/multimedia/mkvtoolnix/Makefile
  branches/2017Q2/multimedia/mpc-qt/Makefile
  branches/2017Q2/multimedia/mpv/Makefile
  branches/2017Q2/multimedia/obs-studio/Makefile
  branches/2017Q2/multimedia/oggvideotools/Makefile
  branches/2017Q2/multimedia/pHash/Makefile
  branches/2017Q2/multimedia/rage/Makefile
  branches/2017Q2/multimedia/vapoursynth/Makefile
  branches/2017Q2/multimedia/vdr/Makefile
  branches/2017Q2/multimedia/vdr-plugin-softhddevice/Makefile
  branches/2017Q2/multimedia/vlc/Makefile
  branches/2017Q2/multimedia/x264/Makefile
  branches/2017Q2/multimedia/xanim/Makefile
  branches/2017Q2/net/belle-sip/Makefile
  branches/2017Q2/net/corosync/Makefile
  branches/2017Q2/net/freerdp/Makefile
  branches/2017Q2/net/freerdp1/Makefile
  branches/2017Q2/net/glusterfs/Makefile
  branches/2017Q2/net/gnome-online-accounts/Makefile
  branches/2017Q2/net/gupnp/Makefile
  branches/2017Q2/net/iaxmodem/Makefile
  branches/2017Q2/net/ipxe/Makefile
  branches/2017Q2/net/kea/Makefile
  branches/2017Q2/net/kf5-kxmlrpcclient/Makefile
  branches/2017Q2/net/l2tpd/Makefile
  branches/2017Q2/net/libtnl/Makefile
  branches/2017Q2/net/mediatomb/Makefile
  branches/2017Q2/net/mpich/Makefile
  branches/2017Q2/net/mpich2/Makefile
  branches/2017Q2/net/ndisc6/Makefile
  branches/2017Q2/net/ndpi/Makefile
  branches/2017Q2/net/nepenthes/Makefile
  branches/2017Q2/net/ohphone/Makefile
  branches/2017Q2/net/openbsc/Makefile
  branches/2017Q2/net/openh323/Makefile
  branches/2017Q2/net/openmpi/Makefile
  branches/2017Q2/net/openmpi2/Makefile
  branches/2017Q2/net/opensips/Makefile
  branches/2017Q2/net/pacemaker/Makefile
  branches/2017Q2/net/quagga/Makefile
  branches/2017Q2/net/skstream/Makefile
  branches/2017Q2/net/spoofer/Makefile
  branches/2017Q2/net/uget/Makefile
  branches/2017Q2/net/xpvm/Makefile
  branches/2017Q2/net/yami4/Makefile
  branches/2017Q2/net/zerotier/Makefile
  branches/2017Q2/net-im/diligent/Makefile
  branches/2017Q2/net-im/jabberd/Makefile
  branches/2017Q2/net-im/ktp-common-internals/Makefile
  branches/2017Q2/net-im/ktp-text-ui/Makefile
  branches/2017Q2/net-im/libaccounts-qt5/Makefile
  branches/2017Q2/net-im/qTox/Makefile
  branches/2017Q2/net-im/ricochet/Makefile
  branches/2017Q2/net-im/ring-daemon/Makefile
  branches/2017Q2/net-im/ring-gnome/Makefile
  branches/2017Q2/net-im/ring-libclient/Makefile
  branches/2017Q2/net-im/teamwords/Makefile
  branches/2017Q2/net-im/telegram-purple/Makefile
  branches/2017Q2/net-im/tox/Makefile
  branches/2017Q2/net-im/uTox/Makefile
  branches/2017Q2/net-mgmt/chillispot/Makefile
  branches/2017Q2/net-mgmt/mk-livestatus/Makefile
  branches/2017Q2/net-mgmt/resource-agents/Makefile
  branches/2017Q2/net-mgmt/seafile-gui/Makefile
  branches/2017Q2/net-p2p/bitcoin/Makefile
  branches/2017Q2/net-p2p/cpuminer/Makefile
  branches/2017Q2/net-p2p/dogecoin/Makefile
  branches/2017Q2/net-p2p/eiskaltdcpp-daemon/Makefile
  branches/2017Q2/net-p2p/eiskaltdcpp-gtk/Makefile
  branches/2017Q2/net-p2p/eiskaltdcpp-lib/Makefile
  branches/2017Q2/net-p2p/eiskaltdcpp-qt/Makefile
  branches/2017Q2/net-p2p/go-ethereum/Makefile
  branches/2017Q2/net-p2p/libtorrent/Makefile
  branches/2017Q2/net-p2p/libtorrent-rasterbar/Makefile
  branches/2017Q2/net-p2p/namecoin/Makefile
  branches/2017Q2/net-p2p/qbittorrent/Makefile
  branches/2017Q2/net-p2p/rtorrent/Makefile
  branches/2017Q2/net-p2p/transmission-qt4/Makefile
  branches/2017Q2/net-p2p/zetacoin/Makefile
  branches/2017Q2/news/nzbget/Makefile
  branches/2017Q2/palm/jpilot/Makefile
  branches/2017Q2/polish/kadu/Makefile
  branches/2017Q2/polish/qnapi/Makefile
  branches/2017Q2/ports-mgmt/octopkg/Makefile
  branches/2017Q2/ports-mgmt/portal/Makefile
  branches/2017Q2/ports-mgmt/portrac/Makefile
  branches/2017Q2/print/cups-filters/Makefile
  branches/2017Q2/print/gribouy/Makefile
  branches/2017Q2/print/harfbuzz/Makefile
  branches/2017Q2/print/libmspub01/Makefile
  branches/2017Q2/print/pdftk/Makefile
  branches/2017Q2/science/cdf/Makefile
  branches/2017Q2/science/cgnslib/Makefile
  branches/2017Q2/science/clhep/Makefile
  branches/2017Q2/science/dcl/Makefile
  branches/2017Q2/science/dlpoly-classic/Makefile
  branches/2017Q2/science/fvcom/Makefile
  branches/2017Q2/science/fvm/Makefile
  branches/2017Q2/science/getdp/Makefile
  branches/2017Q2/science/ghemical/Makefile
  branches/2017Q2/science/gnudatalanguage/Makefile
  branches/2017Q2/science/gromacs/Makefile
  branches/2017Q2/science/harminv/Makefile
  branches/2017Q2/science/hdf/Makefile
  branches/2017Q2/science/hdf5/Makefile
  branches/2017Q2/science/hdf5-18/Makefile
  branches/2017Q2/science/isaac-cfd/Makefile
  branches/2017Q2/science/libctl/Makefile
  branches/2017Q2/science/libgeodecomp/Makefile
  branches/2017Q2/science/libghemical/Makefile
  branches/2017Q2/science/libint/Makefile
  branches/2017Q2/science/libxc/Makefile
  branches/2017Q2/science/massxpert/Makefile
  branches/2017Q2/science/mbdyn/Makefile
  branches/2017Q2/science/meep/Makefile
  branches/2017Q2/science/mpb/Makefile
  branches/2017Q2/science/mpqc/Makefile
  branches/2017Q2/science/ncs/Makefile
  branches/2017Q2/science/netcdf-fortran/Makefile
  branches/2017Q2/science/openkim/Makefile
  branches/2017Q2/science/pnetcdf/Makefile
  branches/2017Q2/science/psychopy/Makefile
  branches/2017Q2/science/py-obspy/Makefile
  branches/2017Q2/science/py-scikit-learn/Makefile
  branches/2017Q2/science/py-scikit-sparse/Makefile
  branches/2017Q2/science/py-scipy/Makefile
  branches/2017Q2/science/silo/Makefile
  branches/2017Q2/science/v_sim/Makefile
  branches/2017Q2/security/arpCounterattack/Makefile
  branches/2017Q2/security/bearssl/Makefile
  branches/2017Q2/security/bro/Makefile
  branches/2017Q2/security/certificate-transparency/Makefile
  branches/2017Q2/security/clamav/Makefile
  branches/2017Q2/security/clambc/Makefile
  branches/2017Q2/security/cryptopp/Makefile
  branches/2017Q2/security/gnome-keyring/Makefile
  branches/2017Q2/security/gnupg/Makefile
  branches/2017Q2/security/gpgme/Makefile
  branches/2017Q2/security/hashcat-legacy/Makefile
  branches/2017Q2/security/hpenc/Makefile
  branches/2017Q2/security/i2pd/Makefile
  branches/2017Q2/security/john/Makefile
  branches/2017Q2/security/keepassx-devel/Makefile
  branches/2017Q2/security/keepassxc/Makefile
  branches/2017Q2/security/kf5-kdesu/Makefile
  branches/2017Q2/security/libzrtpcppcore/Makefile
  branches/2017Q2/security/obfsclient/Makefile
  branches/2017Q2/security/pinentry/Makefile
  branches/2017Q2/security/pks/Makefile
  branches/2017Q2/security/quantis/Makefile
  branches/2017Q2/security/seccure/Makefile
  branches/2017Q2/security/titus/Makefile
  branches/2017Q2/sysutils/android-file-transfer/Makefile
  branches/2017Q2/sysutils/b2sum/Makefile
  branches/2017Q2/sysutils/bsdisks/Makefile
  branches/2017Q2/sysutils/clone/Makefile
  branches/2017Q2/sysutils/cloudabi-utils/Makefile
  branches/2017Q2/sysutils/conky/Makefile
  branches/2017Q2/sysutils/dar/Makefile
  branches/2017Q2/sysutils/facter/Makefile
  branches/2017Q2/sysutils/freefilesync/Makefile
  branches/2017Q2/sysutils/fusefs-encfs/Makefile
  branches/2017Q2/sysutils/fusefs-lkl/Makefile
  branches/2017Q2/sysutils/fusefs-simple-mtpfs/Makefile
  branches/2017Q2/sysutils/gnome-control-center/Makefile
  branches/2017Q2/sysutils/grub2/Makefile
  branches/2017Q2/sysutils/grub2-bhyve/Makefile
  branches/2017Q2/sysutils/grub2-efi/Makefile
  branches/2017Q2/sysutils/grub2-pcbsd/Makefile
  branches/2017Q2/sysutils/hfm/Makefile
  branches/2017Q2/sysutils/i7z/Makefile
  branches/2017Q2/sysutils/ipdbtools/Makefile
  branches/2017Q2/sysutils/kf5-baloo/Makefile
  branches/2017Q2/sysutils/kf5-kwallet/Makefile
  branches/2017Q2/sysutils/kshutdown-kde4/Makefile
  branches/2017Q2/sysutils/libretto-config/Makefile
  branches/2017Q2/sysutils/logstalgia/Makefile
  branches/2017Q2/sysutils/mate-system-monitor/Makefile
  branches/2017Q2/sysutils/osquery/Makefile
  branches/2017Q2/sysutils/parafly/Makefile
  branches/2017Q2/sysutils/pesign/Makefile
  branches/2017Q2/sysutils/polkit/Makefile
  branches/2017Q2/sysutils/powerdxx/Makefile
  branches/2017Q2/sysutils/shim/Makefile
  branches/2017Q2/sysutils/spiped/Makefile
  branches/2017Q2/sysutils/tarsnap-gui/Makefile
  branches/2017Q2/sysutils/wiimms/Makefile
  branches/2017Q2/textproc/ctpp2/Makefile
  branches/2017Q2/textproc/fcitx-qt5/Makefile
  branches/2017Q2/textproc/gutenmark/Makefile
  branches/2017Q2/textproc/highlight/Makefile
  branches/2017Q2/textproc/ibus/Makefile
  branches/2017Q2/textproc/kenlm/Makefile
  branches/2017Q2/textproc/kf5-kcodecs/Makefile
  branches/2017Q2/textproc/kf5-sonnet/Makefile
  branches/2017Q2/textproc/kf5-syntax-highlighting/Makefile
  branches/2017Q2/textproc/libe-book/Makefile
  branches/2017Q2/textproc/libsass/Makefile
  branches/2017Q2/textproc/libvisio01/Makefile
  branches/2017Q2/textproc/opengrm-ngram/Makefile
  branches/2017Q2/textproc/pdfgrep/Makefile
  branches/2017Q2/textproc/pugixml/Makefile
  branches/2017Q2/textproc/randlm/Makefile
  branches/2017Q2/textproc/sassc/Makefile
  branches/2017Q2/textproc/senna/Makefile
  branches/2017Q2/textproc/sigil/Makefile
  branches/2017Q2/textproc/uim-kde4/Makefile
  branches/2017Q2/textproc/wiggle/Makefile
  branches/2017Q2/textproc/yodl/Makefile
  branches/2017Q2/textproc/zorba/Makefile
  branches/2017Q2/www/anyterm/Makefile
  branches/2017Q2/www/aria2/Makefile
  branches/2017Q2/www/edbrowse/Makefile
  branches/2017Q2/www/epiphany/Makefile
  branches/2017Q2/www/gecko-mediaplayer/Makefile
  branches/2017Q2/www/h2o/Makefile
  branches/2017Q2/www/hiawatha/Makefile
  branches/2017Q2/www/kannel/Makefile
  branches/2017Q2/www/kannel-sqlbox/Makefile
  branches/2017Q2/www/kf5-kdewebkit/Makefile
  branches/2017Q2/www/kf5-khtml/Makefile
  branches/2017Q2/www/kf5-kjs/Makefile
  branches/2017Q2/www/kf5-kjsembed/Makefile
  branches/2017Q2/www/mod_authnz_crowd/Makefile
  branches/2017Q2/www/mod_spdy/Makefile
  branches/2017Q2/www/newsbeuter/Makefile
  branches/2017Q2/www/nghttp2/Makefile
  branches/2017Q2/www/node/Makefile
  branches/2017Q2/www/node4/Makefile
  branches/2017Q2/www/node6/Makefile
  branches/2017Q2/www/otter-browser/Makefile
  branches/2017Q2/www/p5-Gtk2-WebKit/Makefile
  branches/2017Q2/www/rejik/Makefile
  branches/2017Q2/www/spdylay/Makefile
  branches/2017Q2/www/squid-devel/Makefile
  branches/2017Q2/www/webkit-gtk2/Makefile
  branches/2017Q2/www/webkit-gtk3/Makefile
  branches/2017Q2/www/webkit2-gtk3/Makefile
  branches/2017Q2/www/wt/Makefile
  branches/2017Q2/x11/cinnamon/Makefile
  branches/2017Q2/x11/cool-retro-term/Makefile
  branches/2017Q2/x11/eaglemode/Makefile
  branches/2017Q2/x11/gnome-shell/Makefile
  branches/2017Q2/x11/kactivities/Makefile
  branches/2017Q2/x11/kactivitymanagerd/Makefile
  branches/2017Q2/x11/kde4-workspace/Makefile
  branches/2017Q2/x11/kf5-frameworkintegration/Makefile
  branches/2017Q2/x11/kf5-kactivities/Makefile
  branches/2017Q2/x11/kf5-kded/Makefile
  branches/2017Q2/x11/kf5-kdelibs4support/Makefile
  branches/2017Q2/x11/kf5-kglobalaccel/Makefile
  branches/2017Q2/x11/kf5-kinit/Makefile
  branches/2017Q2/x11/kf5-krunner/Makefile
  branches/2017Q2/x11/kf5-kwayland/Makefile
  branches/2017Q2/x11/kf5-kwindowsystem/Makefile
  branches/2017Q2/x11/kf5-plasma-framework/Makefile
  branches/2017Q2/x11/lemonbar/Makefile
  branches/2017Q2/x11/libfm-qt/Makefile
  branches/2017Q2/x11/qterminal/Makefile
  branches/2017Q2/x11/terminology/Makefile
  branches/2017Q2/x11/thingylaunch/Makefile
  branches/2017Q2/x11/virtualgl/Makefile
  branches/2017Q2/x11/xpra/Makefile
  branches/2017Q2/x11-fm/gnome-commander2/Makefile
  branches/2017Q2/x11-fm/pcmanfm-qt/Makefile
  branches/2017Q2/x11-fm/wcmcommander/Makefile
  branches/2017Q2/x11-fm/worker/Makefile
  branches/2017Q2/x11-themes/adwaita-qt4/Makefile
  branches/2017Q2/x11-themes/adwaita-qt5/Makefile
  branches/2017Q2/x11-themes/kf5-kemoticons/Makefile
  branches/2017Q2/x11-themes/kf5-kiconthemes/Makefile
  branches/2017Q2/x11-themes/qt4-style-Kvantum/Makefile
  branches/2017Q2/x11-themes/qt5-style-Kvantum/Makefile
  branches/2017Q2/x11-themes/qtcurve/Makefile
  branches/2017Q2/x11-toolkits/c++-gtk-utils/Makefile
  branches/2017Q2/x11-toolkits/fox17/Makefile
  branches/2017Q2/x11-toolkits/kf5-attica/Makefile
  branches/2017Q2/x11-toolkits/kf5-kcompletion/Makefile
  branches/2017Q2/x11-toolkits/kf5-kconfigwidgets/Makefile
  branches/2017Q2/x11-toolkits/kf5-kdesignerplugin/Makefile
  branches/2017Q2/x11-toolkits/kf5-kguiaddons/Makefile
  branches/2017Q2/x11-toolkits/kf5-kitemviews/Makefile
  branches/2017Q2/x11-toolkits/kf5-kjobwidgets/Makefile
  branches/2017Q2/x11-toolkits/kf5-ktextwidgets/Makefile
  branches/2017Q2/x11-toolkits/kf5-kwidgetsaddons/Makefile
  branches/2017Q2/x11-toolkits/kf5-kxmlgui/Makefile
  branches/2017Q2/x11-toolkits/kirigami/Makefile
  branches/2017Q2/x11-toolkits/kirigami2/Makefile
  branches/2017Q2/x11-toolkits/mygui/Makefile
  branches/2017Q2/x11-toolkits/p5-Wx/Makefile
  branches/2017Q2/x11-toolkits/py-wxPython30/Makefile
  branches/2017Q2/x11-toolkits/qtermwidget/Makefile
  branches/2017Q2/x11-toolkits/scintilla/Makefile
  branches/2017Q2/x11-toolkits/vte3/Makefile
  branches/2017Q2/x11-toolkits/wxgtk30/Makefile
  branches/2017Q2/x11-wm/herbstluftwm/Makefile
  branches/2017Q2/x11-wm/metacity/Makefile
  branches/2017Q2/x11-wm/mutter/Makefile
Comment 51 Jan Beich freebsd_committer 2017-04-02 09:18:51 UTC
Gerald, can you file a bug for lang/gcc 5.4.0 -> 6.3.0 update? If there's no exp-run there's nothing to fix which postpones the update indefinitely.
Comment 52 Gerald Pfeifer freebsd_committer 2017-04-03 13:55:29 UTC
(In reply to Jan Beich from comment #51)
> Gerald, can you file a bug for lang/gcc 5.4.0 -> 6.3.0 update? If there's
> no there's nothing to fix which postpones the update indefinitely.

I absolutely will, Jan.

It's just that there is another change to the lang/gcc* port(s) I am
planning that'll need an -exp run first, or I would have already started
the GCC 5 -> 6 upgrade.  


Based on your request and the utter lack of _any_ negative feedback on
the update to GCC 5 (yeah!) I expedited this intermediary step and created
PR 218330 for an -exp run.